2005-03-29 [paul]	1.0.4cvs1

	* src/compose.c
		fix bug 697 'Segmentation Fault due to
		NULL string (%s) pointers in fprintf'
		draft privacy information only when
		privacy system available
		patch by by Markus Schwarzenberg
		(schwarzb<AT>ipms_fraunhofer_de)
	* src/gtk/gtkaspell.c
		don't pass NULL to *printf() and the likes
		spotted by Alex Moore, patch by Alfons 

2005-03-24 [paul]	1.0.4

	* 1.0.4 released

2005-03-24 [paul]	1.0.3cvs8

	* ChangeLog
	* ChangeLog.jp
	* src/codeconv.c
	* src/textview.c
	* src/unmime.c
	* src/unmime.h
	* src/common/smtp.c
		sync with main 1.0.4
		see ChangeLog 2005-03-18 and 2005-03-24
		fixes buffer overflow

2005-03-25 [paul]

	* tools/Makefile.am
	* tools/README
	* tools/acroread2sylpheed.pl
		add script to send pdfs as attachments from Adobe Reader 7

2005-03-21 [holger]	1.0.3cvs7

	* src/plugins/spamassassin/spamassassin.c
		Don't leave hook registered when plugin init
		failed.

2005-03-20 [colin]	1.0.3cvs6

	* src/common/plugin.c
		Check that plugin isn't already loaded
	* src/procheader.c
		Fix buffer overflow (security issue)
		Both patches by Alfons

2005-03-20 [paul]	1.0.3cvs5

	* src/compose.c
		neglect Reply-To header if empty
		Patch by Alfons

2005-03-19 [holger]	1.0.3cvs4

	* src/summaryview.c
	* src/summaryview.h
		Add plugin hook for manual filtering invocation,
		remove some dead code.

2005-03-18 [paul]	1.0.3cvs3

	* AUTHORS
	* src/gtk/about.c
	* src/pixmaps/sylpheed_logo.xpm
		add new Sylpheed-Claws logo by Jesper Schultz

2005-03-11 [paul]	1.0.3cvs2

	* src/plugins/trayicon/trayicon.c
		make a string translatable

2005-03-11 [paul]	1.0.3cvs1

	* po/ru.po
		updated by Pavlo Bohmat

2005-03-10 [paul]	1.0.3

	* po/de.po
	* po/es.po
	* po/fr.po
	* po/it.po
	* po/pt_BR.po
	* po/sk.po
	* po/sr.po
	* po/zh_CN.po
		updated by Thomas Gilgin, Ricardo Mones Lastra, Fabien
		Vantard, Andrea Spadaccini, Frederico Goncalves Guimaraes,
		Andrej Kacian, Aleksandar Urosevic, Ralgh Young

	1.0.3 released

2005-03-04 [colin]	1.0.1cvs22

	* src/common/smtp.c
	* src/common/smtp.h
		Don't use SIZE parameter in MAIL FROM: if
		server doesn't support it. Patch by 
		Eugen Freiter <eugen_f@users.sf.net>

2005-03-04 [paul]	1.0.1cvs21

	* ChangeLog
	* ChangeLog.jp
	* src/addrharvest.c
	* src/codeconv.c
	* src/codeconv.h
	* src/compose.c
	* src/procmime.c
		sync with main 1.0.3
		see ChangeLog 2005-02-28, 2005-03-02, and 2005-03-04
		fix buffer overflow, CAN-2005-0667, see
		http://secunia.com/advisories/14491/

2005-02-27 [paul]	1.0.1cvs20

	* src/messageview.c
		fix crash-causing typo. spotted by
		Ralgh Young 

2005-02-25 [paul]	1.0.1cvs19

	* src/prefs_account.c
	* src/prefs_folder_item.c
	* src/gtk/prefswindow.c
	* src/gtk/prefswindow.h
		fix bug 698 'Clicking OK without username 'crashes'
		account edit window'. Patch by Alfons

2005-02-24 [colin]	1.0.1cvs18

	* src/messageview.c
		Don't send out receipts if offline. Ask.

2005-02-23 [colin]	1.0.1cvs17

	* src/compose.c
		Encode parts when signing

2005-02-23 [colin]	1.0.1cvs16

	* src/compose.c
	* src/procmsg.c
		Fix mimeinfo leakages

2005-02-21 [colin]	1.0.1cvs15

	* src/compose.c
		Fix signing/encrypting still on after
		privacy system has been disabled

2005-02-18 [colin]	1.0.1cvs14

	* src/quote_fmt_lex.l
	* src/quote_fmt_parse.y
		Bugfix: Fix parser init (patch by Ivan)

2005-02-18 [colin]	1.0.1cvs13

	* src/plugins/pgpmime/pgpmime.c
		Fix build (missed my `mv`)

2005-02-18 [colin]	1.0.1cvs12

	* src/Makefile.am
	* src/privacy.c		** RE-ADDED **
	* src/privacy.cpp	** REMOVED **
	* src/privacy.h
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/pgpmime/passphrase.h
	* src/plugins/pgpmime/pgpmime.c		** RE-ADDED **
	* src/plugins/pgpmime/pgpmime.cpp	** REMOVED **
	* src/plugins/pgpmime/pgpmime.h
	* src/plugins/pgpmime/prefs_gpg.h
	* src/plugins/pgpmime/select-keys.h
	* src/plugins/pgpmime/sgpgme.h
		Revert huge API breakage.

2005-02-16 [christoph]	1.0.1cvs11

	* src/mh.c
		add scan required function for MH folders

	(Patch by Ivan Rayner <ivanr@sgi.com>)

2005-02-15 [christoph]	1.0.1cvs10

	* src/plugins/pgpmime/pgpmime.cpp
	* src/plugins/pgpmime/pgpmime.h
		add sign and encrypt functions

2005-02-15 [christoph]	1.0.1cvs9

	* configure.ac
	* src/Makefile.am
	* src/privacy.c					** REMOVE **
	* src/privacy.cpp				** NEW **
	* src/privacy.h
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/pgpmime/passphrase.h
	* src/plugins/pgpmime/pgpmime.c			** REMOVE **
	* src/plugins/pgpmime/pgpmime.cpp		** NEW **
	* src/plugins/pgpmime/pgpmime.h
	* src/plugins/pgpmime/prefs_gpg.h
	* src/plugins/pgpmime/select-keys.h
	* src/plugins/pgpmime/sgpgme.h
		change Privacy-API to C++

2005-02-15 [colin]	1.0.1cvs8

	* src/mimeview.c
	* src/common/utils.c
		Sanitize substitution for saved filenames:
		only \ / * and \r \n \t are bad. 

2005-02-15 [colin]	1.0.1cvs7

	* src/compose.c
	* src/procmime.c
		Optimize (constant instead of strlen). Thanks
		Alfons for the hint.

2005-02-14 [colin]	1.0.1cvs6

	* src/compose.c
	* src/procmime.c
		Use quoted-printable instead of 7bit or 8bit
		to encode "^From " and avoid mail corruption 
		on the MTA, as specified by RFC 3156. Thanks
		Hoa for the hint.

2005-02-12 [colin]	1.0.1cvs5

	* src/filtering.c
		Remove wrong use of compose struct after
		compose_send(). Spotted by Alfons and Holger Berndt.

2005-02-10 [paul]	1.0.1cvs4

	* src/compose.c
		sync with main, see ChangeLog 2005-02-10

2005-02-10 [colin]	1.0.1cvs3

	* src/mainwindow.c
		dereference freed messageview,
		and don't try to use it after free.
		This caused occasional late segfaults
		when quitting.

2005-02-10 [colin]	1.0.1cvs2

	* src/messageview.c
		Don't display html with plugin automatically
		(Dillo steals focus)

2005-02-09 [colin]	1.0.1cvs1

	* src/mimeview.c
	* src/mimeview.h
	* src/messageview.c
		Display first relevant part using plugin
		if not text/plain if possible (useful for 
		vCalendar for example)

2005-02-08 [paul]	1.0.1

	1.0.1 released

2005-02-08 [paul]	1.0.0cvs29

	* po/de.po
	* po/es.po
	* po/fr.po
	* po/it.po
	* po/pt_BR.po
	* po/sk.po
	* po/sr.po
		updated by Thomas Gilgin, Ricardo Mones Lastra,
		Fabien Vantard, Andrea Spadaccini, Frederico Goncalves
		Guimaraes, Andrej Kacian, Aleksandar Urosevic

2005-02-05 [paul]	1.0.0cvs28

	* src/compose.c
		fix Bug 682 'redirect is broken'


2005-02-05 [thorsten]	1.0.0cvs27

	* src/partial_download.c
		fix buf overflow

2005-02-03 [colin]	1.0.0cvs26

	* src/common/plugin.c
		Don't load GTK2 plugins at all. This solves
		the plugins problem when switching between
		GTK1 and GTK2 version.

2005-02-02 [colin]	1.0.0cvs25

	* src/messageview.c
		Fix dangerous typo

2005-01-31 [colin]	1.0.0cvs24

	* src/compose.c
		Fix MsgInfo reference leak

2005-01-28 [colin]	1.0.0cvs23

	* src/folderview.c
		Change check - partial_recv is not cached.

2005-01-28 [colin]	1.0.0cvs22

	* src/folderview.c
		Don't call partial_mark_for_delete() when 
		it's useless

2005-01-27 [colin]	1.0.0cvs21

	* src/procmsg.c
	* src/compose.c
		Fix build - sorry.

2005-01-27 [christoph]	1.0.0cvs20

	* src/folder.c
		use normal message remove function if a folder has no function
		to remove all messages

	* src/folderview.c
		fix memory leak

2005-01-27 [colin]	1.0.0cvs19

	* src/procmime.c
		Forgot to commit this file with cvs18.

2005-01-27 [colin]	1.0.0cvs18

	* src/compose.c
		Uhm, better not touch the original msginfo_list.

2005-01-27 [colin]	1.0.0cvs17

	* src/procmsg.c
	* src/procmsg.h
		Add a way to dump message/rfc822 MimeInfos to MsgInfos...
	* src/compose.c
		... And use it to be able to reply to the currently 
		selected MimeInfo.

2005-01-27 [colin]	1.0.0cvs16

	* src/messageview.c
	* src/summaryview.c
	* src/compose.c
	* src/compose.h
	* src/toolbar.c
	* src/mainwindow.c
		Factorize this reply mess

2005-01-26 [paul]	1.0.0cvs15

	* ChangeLog
	* ChangeLog.jp
	* src/common/template.c
		sync with main, (fix memory leak), see ChangeLog
		2005-01-25

2005-01-25 [paul]	1.0.0cvs14

	* src/compose.c
		compose_redirect(): fix sensitivity of attachment 
		"Properties..." button

2005-01-24 [colin]	1.0.0cvs13

	* src/summaryview.c
		Freeze clist during operations involving message
		lists.

2005-01-24 [paul]	1.0.0cvs12

	* ChangeLog
	* ChangeLog.jp
	* src/messageview.c
	* src/mh.c
	* src/common/utils.c
		sync with main, see ChangeLog 2005-01-19

2005-01-24 [colin]	1.0.0cvs11

	* src/procheader.c
		Fix build with MIPSpro compiler.
		Patch by Ivan Rayner <ivanr@sgi.com>

2005-01-24 [colin]	1.0.0cvs10

	* src/folderview.c
		Use (+) in collapsed folders with quicksearch-
		matching subfolders

2005-01-23 [holger]	1.0.0cvs9

	* src/crash.c
		Include missing header file

2005-01-22 [colin]	1.0.0cvs8

	* src/summaryview.c
	* src/gtk/quicksearch.c
		Make recursive quicksearch work in
		root folders (and code fixes)

2005-01-21 [colin]	1.0.0cvs7

	* src/summaryview.c
		Set cursor to wait while looking in subfolders

2005-01-21 [colin]	1.0.0cvs6

	* src/summaryview.c
		Don't clear quicksearch if recursion is on,
		even if !sticky

2005-01-21 [colin]	1.0.0cvs5

	* src/gtk/quicksearch.c
	* src/prefs_common.c
	* src/prefs_common.h
		Add option to recurse or not

2005-01-21 [colin]	1.0.0cvs4

	* src/folder.h
	* src/folderview.c
	* src/folderview.h
	* src/summaryview.c
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Make quicksearch recursive - results materialized
		by search icons in the folderview.

2005-01-20 [holger]	1.0.0cvs3

	* src/addrindex.c
	* src/addrindex.h
		Add addrindex_load_person_attribute() (for plugins)

2005-01-19 [colin]	1.0.0cvs2

	* src/mbox.c
	* src/mbox.h
	* src/mainwindow.c
	* src/summaryview.c
	* src/summaryview.h
		Add an easy way to export specific messages
		to an mbox file.

2005-01-19 [paul]	1.0.0cvs1

	* po/ja.po
	* po/ko.po
		updated by  Rui Hirokawa and
		SungHyun Nam

2005-01-18 [paul]	1.0.0

	* version 1.0.0 released

2005-01-17 [thorsten]	0.9.13cvs38

	* src/crash.c
	* src/gtk/pluginwindow.c
		return value of filesel should not be free()d

2005-01-17 [paul]	0.9.13cvs37

	* AUTHORS
	* po/es.po
	* po/fr.po
	* po/hr.po
	* po/it.po
	* po/pt_BR.po
	* po/sk.po
	* po/sr.po
		update translations. submitted by Ricardo Mones
		Lastra, Fabien Vantard, Dragan, Andrea Spadaccini,
		Frederico Goncalves Guimaraes, Andrej Kacian,
		Aleksandar Urosevic

2005-01-16 [colin]	0.9.13cvs36

	* src/prefs_toolbar.c
		Fix two leaks, both found by Alfons.

2005-01-15 [paul]	0.9.13cvs35

	* src/gtk/pluginwindow.c
		fix 2 memleaks, patch by Alfons

2005-01-15 [paul]	0.9.13cvs34

	* ChangeLog
	* ChangeLog.jp
	* src/common/template.c
		sync with main, see ChangeLog 2005-01-11
		(fix potential memory corruption bug)

2005-01-14 [colin]	0.9.13cvs33

	* src/html.c
	* src/msgcache.c
		Fix coding style issues from the last patch

2005-01-14 [colin]	0.9.13cvs32

	* src/msgcache.c
		Fix possible double free, avoid putting 8k on the stack
	* src/html.c
	* src/html.h
		Fix links with tags inside, add some entities
	* AUTHORS
		Both patches by Rich Coe <Richard.Coe@med.ge.com>

2005-01-09 [thorsten]	0.9.13cvs31

	* tools/calypso_convert.pl
		support nested subdirs (possible in recent calypso versions)
		fix "change of readonly value" error with perl >= 5.8

2005-01-08 [colin]	0.9.13cvs30

	* src/prefs_filtering_action.c
		Plug leak - patch by Alfons

2005-01-07 [paul]	0.9.13cvs29

	* ChangeLog
	* ChangeLog.jp
	* src/pop.c
	* src/pop.h
		sync with main, see ChangeLog 2005-01-06

2005-01-06 [colin]	0.9.13cvs28

	* src/prefs_matcher.c
		Plug leak. Patch by Alfons

2005-01-04 [christoph]	0.9.13cvs27

	* src/folderview.c
	* src/imap_gtk.c
	* src/news_gtk.c
		Create extra popup menu entries for account settings

	(Closes Bug 663 segfault choosing "Properties" for root MH mailbox)

2005-01-03 [colin]	0.9.13cvs26

	* src/main.c
		Plugins should be loaded before --receive or --receive-all 
		is processed. 
		Patch by Felix Eckhofer <felix-ml@tribut.de>

2005-01-03 [colin]	0.9.13cvs25

	* src/pop.c
	* src/pop.h
		Add data_len member, because we can get NULs from network
		Patch by Alfons

2005-01-01 [colin]	0.9.13cvs24

	* src/procmime.c
		Fix possible memleak in corner case - found by
		Martin Kluge, patch by Alfons

2004-12-30 [colin]	0.9.13cvs23

	* src/account.c
		Fix prototypes - patch by Alfons

2004-12-30 [paul]	0.9.13cvs22

	* ChangeLog
	* ChangeLog.jp
	* NEWS
	* src/account.c
		sync with main 1.0.0.
		see ChangeLog 2004-12-22

2004-12-18 [paul]	0.9.13cvs21

	* AUTHORS
	* ChangeLog
	* ChangeLog.jp
	* src/action.c
		sync with main, see ChangeLog 2004-12-17

2004-12-17 [thorsten]	0.9.13cvs20

	* src/compose.c
		protect trailing spaces when signing message

2004-12-16 [paul]	0.9.13cvs19

	* ChangeLog
	* ChangeLog.jp
	* NEWS
	* src/compose.c
	* src/syldap.c
		sync with main 1.0.0rc
		see ChangeLog 2004-12-15

2004-12-14 [colin]	0.9.13cvs18

	* src/gtk/prefswindow.c
		Fix build. Sorry :)

2004-12-14 [colin]	0.9.13cvs17

	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/prefswindow.c
		Catch Enter in prefswindow while in text
		widget. Patch by Alfons.

2004-12-14 [paul]	0.9.13cvs16

	* ChangeLog
	* ChangeLog.jp
	* src/action.c
	* src/compose.c
	* src/common/utils.c
		sync with main, see ChangeLog entries 2004-12-10
		and 2004-12-13

	* po/ru.po
		updated by Pavlo Bohmat

2004-12-13 [thorsten]	0.9.13cvs15

	* src/plugins/spamassassin/libspamc.c
		fix memleak

2004-12-13 [colin]	0.9.13cvs14

	* src/gtk/prefswindow.c
	* src/gtk/pluginwindow.c
		Fix key_pressed handlers

2004-12-11 [colin]	0.9.13cvs13

	* src/quote_fmt_parse.y
		Rework quote_fmt_parse to use less local 
		arrays in local blocks, so it doesn't 
		freak out IBM's stack protector. Patch
		by Alfons.

2004-12-10 [colin]	0.9.13cvs12

	* src/messageview.c
		Fix logic error
	* src/mainwindow.c
		Fix corruptions when de-separating messageview

2004-12-10 [paul]	0.9.13cvs11

	* src/prefs_themes.c
		use a different set of icons for the Preview

2004-12-09 [colin]	0.9.13cvs10

	* src/procmime.c
		Fix procmime_encode_content doing horribly wrong
		stuff when encoding to B64 from memory

2004-12-08 [colin]	0.9.13cvs9

	* src/gtk/colorlabel.c
		Fix color label off-by-one
		Patch by Alfons

2004-12-08 [hoa]	0.9.13cvs8

	* src/quote_fmt_parse.y
		really fix buffer overflow

2004-12-08 [colin]	0.9.13cvs7

	* src/matcher_parser_parse.y
	* src/msgcache.c
	* src/prefs_matcher.c
	* src/procheader.c
	* src/matcher.c
	* src/common/defs.h
		Cache total_size and use that to speed up
		'partial' match.
		Add 'partial' to the list of useable stuff
		in filtering

2004-12-08 [paul]

	* po/sr.po
		updated by URKE MMI

2004-12-08 [colin]	0.9.13cvs6

	* src/textview.c
		Fix possible boundary overrun in
		get_email_part(). Patch by Alfons

2004-12-08 [hoa]	0.9.13cvs5

	* src/quote_fmt_parse.y
		fix buffer overflow
		http://bugs.gentoo.org/show_bug.cgi?id=67253

2004-12-07 [thorsten]	0.9.13cvs4

	* src/procmime.c
		fix leak introduced with 0.9.13cvs1

2004-12-07 [keith]	0.9.13cvs3

	* src/procmime.c
		Fix typo

2004-12-07 [colin]	0.9.13cvs2

	* AUTHORS
	* src/prefs_account.c
	* src/common/smtp.c
	* src/common/smtp.h
		Add SMTP PLAIN authentication. Patch by 
		George Michaelson <ggm@apnic.net>

2004-12-07 [thorsten]	0.9.13cvs1

	* src/procmime.c
		[Bug 650] reply button causes crash
		Patch partly by David Relson

2004-12-06 [paul]	0.9.13

	0.9.13 released

2004-12-06 [paul]

	* po/sk.po
		updated by Andrej Kacian
	* INSTALL
	* README.claws
		updated
	
2004-12-06 [christoph]

	* configure.ac
		move GPGME check to PGP/MIME plugin checks

2004-12-06 [colin]	0.9.12cvs187

	* src/compose.c
		X-Sylpheed-Gnupg-Mode -> X-Sylpheed-Privacy-System

2004-12-06 [paul]	0.9.12cvs186

	* INSTALL
	* README.claws
		updated
	* po/es.po
	* po/fr.po
	* po/it.po
	* po/ja.po
	* po/pt_BR.po
	* po/zh_CN.po
		updated by Ricardo Mones Lastra, Fabien Vantard, Andrea 
		Spadaccini, Rui Hirokawa, Frederico Goncalves Guimaraes,
		and Yang Guilong

2004-12-05 [paul]	0.9.12cvs185

	* INSTALL
	* Makefile.am
	* README.claws
		update
	* TODO.claws 	**REMOVED**
		removed, use the wiki instead
	* tools/Makefile.am
	* tools/README
		remove newscache_conv.pl from the release package
		and notes as it is broken and not currently maintained
	* tools/filter_conv.pl
		use --config-dir to find claws' config dir
	* tools/kdeservicemenu/README
	* tools/kdeservicemenu/template_sylpheed-attach-files.desktop
	* tools/kdeservicemenu/template_sylpheed-compress-attach.desktop
		make a top-level menu entry

2004-12-04 [paul]	0.9.12cvs184

	* src/addrharvest.c
		conv_unmime_header_overwrite(name)

2004-12-04 [colin]	0.9.12cvs183

	* src/compose.c
		Fix saving of compose window position
		when sending mail. Patch by Alfons.

2004-12-04 [paul]	0.9.12cvs182

	* ChangeLog
	* ChangeLog.jp
	* INSTALL
	* NEWS
	* README
	* README.jp
	* doc/manual/ja/Makefile.am
	* doc/manual/ja/sylpheed-1.html
	* doc/manual/ja/sylpheed-10.html
	* doc/manual/ja/sylpheed-11.html
	* doc/manual/ja/sylpheed-12.html
	* doc/manual/ja/sylpheed-13.html
	* doc/manual/ja/sylpheed-14.html
	* doc/manual/ja/sylpheed-15.html
	* doc/manual/ja/sylpheed-16.html
	* doc/manual/ja/sylpheed-17.html
	* doc/manual/ja/sylpheed-18.html
	* doc/manual/ja/sylpheed-19.html
	* doc/manual/ja/sylpheed-2.html
	* doc/manual/ja/sylpheed-20.html
	* doc/manual/ja/sylpheed-3.html
	* doc/manual/ja/sylpheed-4.html
	* doc/manual/ja/sylpheed-5.html
	* doc/manual/ja/sylpheed-6.html
	* doc/manual/ja/sylpheed-7.html
	* doc/manual/ja/sylpheed-8.html
	* doc/manual/ja/sylpheed-9.html
	* doc/manual/ja/sylpheed.html
	* doc/manual/ja/sylpheed.sgml
	* src/Makefile.am
	* src/procmime.c
	* src/pixmaps/regular.xpm **REMOVED**
		sync with main 1.0.0beta4, including: "canonicalize text files
		before encoding to BASE64, and uncanonicalize after decoding
		to conform with RFC 2045" 

2004-12-03 [christoph]	0.9.12cvs181

	* src/compose.c
		build the Privacy System menu without GtkItemFactory to
		allow '/' in Privacy System names

	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/plugin.c
		Update description and change Privacy System name

2004-12-03 [paul]

	* src/pixmaps/dir_close.xpm
	* src/pixmaps/dir_open.xpm
	* src/pixmaps/drafts_close.xpm
	* src/pixmaps/drafts_open.xpm
	* src/pixmaps/group.xpm
	* src/pixmaps/unread.xpm
		update icons (sync with main (adjust hue))	

2004-12-02 [paul]	0.9.12cvs180

	* ChangeLog
	* ChangeLog.jp
	* src/Makefile.am
	* src/pop.c
	* src/common/utils.c
	* src/common/utils.h
	* src/pixmaps/folder.xpm **REMOVED**
		sync with main
		fixes bug 644 'extra CRs in subject line break filtering' 

2004-12-02 [colin]	0.9.12cvs179

	* src/compose.c
		Prevent duplicate edition of queued
		and drafted mails

2004-12-02 [colin]	0.9.12cvs178

	* src/compose.c
		Fix quote linewrapping ignoring pref
		Patch by Alfons

2004-11-30 [colin]	0.9.12cvs177

	* src/gtk/prefswindow.c
	* src/gtk/pluginwindow.c
		Add shortcut keys to prefs window
		and plugin window. Patch by Fabien Vantard.

2004-11-29 [colin]	0.9.12cvs176

	* src/folderview.c
		Fix disappearing separators in folderview's popup

2004-11-29 [colin]	0.9.12cvs175

	* src/procmime.c
		Another format bug

2004-11-29 [colin]	0.9.12cvs174

	* src/pop.c
		Fix format string

2004-11-26 [colin]	0.9.12cvs173

	* src/common/smtp.c
	* src/common/smtp.h
		Use ESMTP for all servers advertising it
		Add SIZE= parameter to MAIL command for 
		ESMTP servers

2004-11-24 [colin]	0.9.12cvs172

	* src/plugins/pgpmime/pgpmime.c
		Forgot one :(

2004-11-24 [colin]	0.9.12cvs171

	* src/plugins/pgpmime/pgpmime.c
		Fix numerous GpgmeGtk leaks

2004-11-24 [colin]	0.9.12cvs170

	* src/plugins/pgpmime/pgpmime.c
		Fix numerous GpgmeCtx leaks

2004-11-24 [colin]	0.9.12cvs169

	* src/plugins/pgpmime/plugin.c
		Update requirements
	* src/plugins/trayicon/Makefile.am
	* src/plugins/trayicon/newmarkedmail.xpm
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/unreadmarkedmail.xpm
		Add new icons when there are unread marked mails
		answers

2004-11-23 [thorsten]	0.9.12cvs168

	* src/plugins/pgpmime/plugin.c
		typo: plugin_init instead of plugin_done

2004-11-23 [thorsten]	0.9.12cvs167

	* commitHelper
		o add me
	* src/partial_download.c
	* src/partial_download.h
		o fix path for includes

2004-11-23 [colin]	0.9.12cvs166

	* src/procmime.c
		Uh, changed API.

2004-11-23 [colin]	0.9.12cvs165

	* src/procmime.c
		Fix mime headers wrapping

2004-11-23 [christoph]	0.9.12cvs164

	* src/common/Makefile.am
	* src/common/partial_download.[ch]
	* src/Makefile.am
	* src/partial_download.[ch]
	* src/folderview.c
		move to src because it depends on src stuff

	* src/codeconv.c
	* src/common/base64.h
		move B64LEN macro to base64.h

	* src/compose.c
	* src/privacy.[ch]
		add PrefsAccount to sign-function parameters

	* src/main.c
	* src/prefs_account.[ch]
	* src/gtk/prefswindow.[ch]
		o use new prefswindow for account prefs
		o add possibility to add new pages to account prefs

	* src/plugins/pgpmime/prefs_gpg.[ch]
	* src/plugins/pgpmime/prefs_gpg.glade
		add account prefs for GPG

	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/sgpgme.[ch]
		create signers list based on the GPG account prefs

2004-11-23 [colin]	0.9.12cvs163

	* src/main.c
		Fix cursor going from normal to wait
		as many times as there are folders
		(very noticeable on exported displays)

2004-11-23 [colin]	0.9.12cvs162

	* src/msgcache.c
		HEAD needs this leak fix too

2004-11-22 [luke]	0.9.12cvs161

	* src/gtk/gtkstext.c
		'Up' key moves one line (not one paragraph) like 'Down'

2004-11-22 [paul]	0.9.12cvs160

	* src/prefs_themes.c
		fix oversized GtkFrames

2004-11-19 [paul]	0.9.12cvs159

	* src/prefs_common.c
		update prefs_keybind_apply_clicked()

2004-11-18 [paul]	0.9.12cvs158

	* src/compose.c
	* src/messageview.c
	* src/common/utils.c
	* src/common/utils.h
		use Message-ID format like that previously
		used in compose_generate_msgid()

2004-11-17 [christoph]	0.9.12cvs157

	* src/mainwindow.c
	* src/prefs_common.c
		integrate "Common preferences" into new preferences dialog

2004-11-17 [colin]	0.9.12cvs156

	* src/prefs_account.c
	* src/prefs_account.h
	* src/procmsg.c
		Add an option to let the user choose to store encrypted
		mail as clear text or encrypted.

2004-11-17 [colin]	0.9.12cvs155

	* src/compose.c
	* src/toolbar.c
		Be verbose when sending fails
	* src/procmsg.c
		Fix procmsg_send_queue returning 0 when there's an error
		Don't send messages to be encrypted to nobody 


2004-11-17 [colin]	0.9.12cvs154

	* src/privacy.c
		Fix more pointer confusion

2004-11-17 [paul]	0.9.12cvs153

	* src/procmime.h
		forgotten in sync with main 1.0.0beta3


2004-11-17 [paul]	0.9.12cvs152

	* ChangeLog
	* ChangeLog.jp
	* NEWS
	* src/compose.c
	* src/jpilot.c
	* src/procmime.c
		sync with main 1.0.0beta3
		see ChangeLog 2004-11-15 and 2004-11-16

2004-11-17 [colin]	0.9.12cvs151

	* src/plugins/pgpmime/pgpmime.c
		Remove debug printf

2004-11-17 [colin]	0.9.12cvs150

	* src/plugins/pgpmime/pgpmime.c
		Fix off-by-one causing segs

2004-11-17 [colin]	0.9.12cvs149

	* src/procmsg.c
		< Reboot_> don't compare pointers to NULL with !
		So, use the other form to bring consistency.
		Also fix coding style.

2004-11-16 [colin]	0.9.12cvs148

	* src/procmsg.c
		Fix the fix :)

2004-11-16 [colin]	0.9.12cvs147

	* src/procmsg.c
		Fix leaks in procmsg_send_message_queue

2004-11-12 [paul]	0.9.12cvs146

	* src/prefs_account.c
	* src/procmime.c
	* src/procmime.h
		fix sync breakage 

2004-11-12 [paul]

	* src/pixmaps/complete.xpm
	* src/pixmaps/continue.xpm
		small sync with main, see ChangeLog 2004-11-11

2004-11-11 [paul]	0.9.12cvs145

	* ChangeLog
	* ChangeLog.jp
	* src/account.c
	* src/folderview.c
	* src/folderview.h
	* src/imap.c
	* src/imap_gtk.c
	* src/inc.c
	* src/mainwindow.c
	* src/mh_gtk.c
	* src/news_gtk.c
	* src/pop.c
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_ext_prog.c
	* src/procmsg.c
	* src/procmsg.h
	* src/summary_search.c
	* src/summaryview.c
	* src/textview.c
	* src/common/defs.h
	* src/common/utils.c
	* src/common/utils.h
	* src/gtk/menu.c
	* src/gtk/menu.h
		sync with main 1.0.0beta2 (plus 4)

2004-11-09 [christoph]	0.9.12cvs144

	* src/compose.c
	* src/prefs_account.[ch]
		add option menu to select default privacy system

	* src/plugins/pgpmime/pgpmime.c
		better memory allocation

	* src/folder.c
		syncronize flags when scanning a folder

2004-11-08 [colin]	0.9.12cvs143

	* src/summaryview.c
		Prevent useless folder count updates while 
		quicksearch is running. It is really annoying 
		while quicksearch is running a full-mail
		scan, like 'b foo', in a big folder.

2004-11-08 [colin]	0.9.12cvs142

	* src/textview.c
		Really fix these mail URIs

2004-11-08 [colin]	0.9.12cvs141

	* src/textview.c
		fix "colin@colino.net" <colin@colino.net> 
		types of URIs

2004-11-06 [colin]	0.9.12cvs140

	* src/compose.c
		Don't ask for passphrase if not sending

2004-11-05 [christoph]	0.9.12cvs139

	* src/compose.c
		o encode text content of composed mails
	* src/procmime.c
		o allow encoding of MimeInfos that are stored in memory buffers
		

2004-11-03 [paul]	0.9.12cvs138

	* po/POTFILES.in
		add 'src/plugins/pgpmime/prefs_gpg.c'.
		Patch submitted by Fabien Vantard

	* src/prefs_ext_prog.c
		fix typos. Patch submitted by Fabien Vantard

	* tools/kdeservicemenu/template_sylpheed-attach-files.desktop
	* tools/kdeservicemenu/template_sylpheed-compress-attach.desktop
		add German, Spanish, Italian, Brazilian Portuguese,
		and Slovak translations. Submitted by Thomas Gilgin,
		J. José del Río 'partymola', Andrea Spadaccini,
		Frederico Goncalves Guimaraes, and Andrej Kacian

2004-11-01 [christoph]	0.9.12cvs137

	* src/procmime.c
		implement RFC2231's parameter encoding

2004-10-29 [colin]	0.9.12cvs136

	* src/common/utils.c
		Fix boundary delimiter (a Pine user gets this:
		> Malformed message: Unexpected characters at end of parameters:
		> =_Thu__28_Oct_2)

2004-10-29 [paul]

	* tools/textviewer.sh
		fix typo. patch submitted by Johann Koenig 
		<explosive@hvc.rr.com>

2004-10-29 [paul]

	* tools/kdeservicemenu/template_sylpheed-attach-files.desktop
	* tools/kdeservicemenu/template_sylpheed-compress-attach.desktop
		add French translations, submitted by Fabien Vantard

2004-10-28 [christoph]	0.9.12cvs135

	* doc/src/rfc2231.txt				** NEW **
	* src/procmime.c
	* src/common/quoted-printable.c
	* src/common/utils.[ch]
		implement RFC2231's parameter decoding

2004-10-27 [paul]

	* tools/kdeservicemenu/README
	* tools/kdeservicemenu/install.sh
	* tools/kdeservicemenu/sylpheed-kdeservicemenu.pl
	* tools/kdeservicemenu/template_sylpheed-attach-files.desktop
	* tools/kdeservicemenu/template_sylpheed-compress-attach.desktop
		output files to /tmp instead of littering the
		current dir
		add uninstall function
		refactor

2004-10-26 [christoph]	0.9.12cvs134

	* src/procmime.c
		better check if parameters have to be in quoted string

2004-10-25 [paul]

	* tools/kdeservicemenu/README
	* tools/kdeservicemenu/install.sh
	* tools/kdeservicemenu/sylpheed-kdeservicemenu.pl
	* tools/kdeservicemenu/template_sylpheed-attach-files.desktop
	* tools/kdeservicemenu/template_sylpheed-compress-attach.desktop
		add files for Sylpheed Service Menu in Konqueror

2004-10-22 [paul]	0.9.12cvs133

	* src/compose.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_wrapping.c
		remove 'smart wrapping'

2004-10-21 [colin]	0.9.12cvs132

	* src/compose.c
		Remove extraneous separator in Options

2004-10-21 [colin]	0.9.12cvs131

	* src/compose.c
		Replace "unknown" attachments by "application/octet-stream"
		Be a bit more defensive when using strchr

2004-10-20 [paul]

	* po/ru.po
		updated by Pavlo Bohmat

2004-10-19 [christoph]	0.9.12cvs130

	* src/compose.c
		fix wrong menu entry path

	(Closes Bug 626 crashes after clicking 'reply' or 'reply to all')

	* src/gtk/menu.c
		add extra check for missing menu entries

2004-10-19 [christoph]	0.9.12cvs129

	* src/compose.c
	* src/common/utils.c
		use utils' generate_msgid() in compose.c

2004-10-18 [christoph]	0.9.12cvs128

	* src/plugins/pgpmime/passphrase.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/prefs_gpg.[ch]
	* src/plugins/pgpmime/prefs_gpg.glade
	* src/plugins/pgpmime/sgpgme.c
		add GPG prefs

2004-10-18 [christoph]	0.9.12cvs127

	* src/addrbook.c
	* src/addrcache.c
	* src/addressbook.c
	* src/codeconv.c
	* src/compose.c
	* src/customheader.c
	* src/editaddress.c
	* src/editgroup.c
	* src/exporthtml.c
	* src/folder.c
	* src/folderview.c
	* src/imap.c
	* src/jpilot.c
	* src/main.c
	* src/matcher_parser_parse.y
	* src/mbox.c
	* src/pop.c
	* src/prefs_account.c
	* src/prefs_gtk.c
	* src/prefs_msg_colors.c
	* src/procheader.c
	* src/procmime.[ch]
	* src/procmsg.c
	* src/summaryview.c
	* src/textview.c
	* src/common/base64.c
	* src/common/partial_download.c
	* src/common/socket.c
	* src/common/sylpheed.c
	* src/common/utils.[ch]
	* src/gtk/filesel.c
	* src/gtk/pluginwindow.c
	* src/gtk/quicksearch.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/plugin.c
	* src/plugins/pgpmime/select-keys.c
	* src/plugins/pgpmime/sgpgme.c
	* src/plugins/spamassassin/libspamc.c
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/libeggtrayicon/eggtrayicon.[ch]
	* src/plugins/trayicon/libeggtrayicon/gtkplugxembed.c
		o don't use any GNU C extensions
		o fix warnings
		o replace some non-POSIX functions

	* src/plugins/spamassassin/spamassassin.[ch]
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/clamav/clamav_plugin.[ch]
	* src/plugins/clamav/clamav_plugin_gtk.c
		replace statusbar_print_all() from common code because it is a
		GUI function

2004-10-17 [paul]

	* po/es.po
	* po/ko.po
	* AUTHORS
		update Spanish and Korean translations,
		submitted by Ricardo Mones Lastra and
		SungHyun Nam

2004-10-13 [colin]	0.9.12cvs126

	* src/compose.c
		Don't convert message to forced encoding when 
		drafting, plus minor magic-values cleanup.

2004-10-13 [colin]	0.9.12cvs125

	* po/POTFILES.in
		Update POTFILES.in to reflect the source
		place changes

2004-10-08 [christoph]	0.9.12cvs124

	* m4/spamassassin.m4
		fix libspamc OpenSSL

	* src/compose.c
		rearrange the compose menu

2004-10-08 [christoph]	0.9.12cvs123

	* src/Makefile.am
	* src/account.c
	* src/compose.[ch]
	* src/crash.c
	* src/main.c
	* src/mimeview.c
	* src/passphrase.[ch]				** REMOVE **
	* src/prefs_account.[ch]
	* src/prefs_common.[ch]
	* src/privacy.[ch]
	* src/procmime.[ch]
	* src/procmsg.c
	* src/rfc2015.[ch]				** REMOVE **
	* src/select-keys.[ch]				** REMOVE **
	* src/common/utils.[ch]
	* src/gtk/about.c
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/pgpmime/passphrase.[ch]		** NEW **
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/plugin.c
	* src/plugins/pgpmime/prefs_gpg.[ch]
	* src/plugins/pgpmime/select-keys.[ch]		** NEW **
	* src/plugins/pgpmime/sgpgme.[ch]
		o Add new MIME-Writer
		o extend PrivacySystem with sign and encrypt functions
		o extend PGP/MIME plugin with sign and encrypt functions
		o integrate extended Privacy API in Compose and Sending process

2004-10-04 [colin]	0.9.12cvs122

	* src/mainwindow.c
	* src/messageview.c
	* src/messageview.h
	* src/textview.c
		Make forced encoding limited to messageview and
		apply only to parts displayed using textview

2004-10-04 [colin]	0.9.12cvs121

	* src/summaryview.c
		Fix bug #605 (collapsed threads re-expand when moving or
		deleting mails)

2004-10-03 [colin]	0.9.12cvs120

	* src/summaryview.c
		Fix bug #602

2004-10-02 [colin]	0.9.12cvs119

	* src/mainwindow.c
	* src/messageview.c
	* src/prefs_common.h
	* src/procmime.c
	* src/procmime.h
	* src/textview.c
		Clean up forced charset feature
		Add forced decode

2004-10-01 [colin]	0.9.12cvs118

	* src/mimeview.c
		Better fix for Save all: skip multipart mails' first 
		text part

2004-10-01 [colin]	0.9.12cvs117

	* src/mimeview.c
		Only save attachments in Save All

2004-10-01 [paul]	0.9.12cvs116

	* ChangeLog
	* ChangeLog.jp
	* src/account.c
	* src/prefs_common.c
	* src/gtk/colorlabel.c
		sync with main 0.9.12cvs17

2004-09-30 [colin]	0.9.12cvs115

	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/folderview.c
	* src/Makefile.am
	* src/pixmaps/read.xpm
		Add icon for total # column

2004-09-29 [colin]	0.9.12cvs114

	* src/compose.c
		Don't close compose until message is sent if 
		Show Send Dialog is Always

2004-09-29 [paul]	0.9.12cvs113

	* src/quote_fmt_parse.y
		In the quotation templates recognise sender's first and last 
		names (%F %L) when the name is in the format "Duck, Donald".
		Patch submitted by Thomas Gilgin, <thomas_gilgin@users.sourceforge.net>


2004-09-28 [colin]	0.9.12cvs112

	* src/mainwindow.c
		Put back mnemonic
	* src/folderview.c
		Fix Empty trash being visible-invisible-visible...

2004-09-28 [colin]	0.9.12cvs111

	* src/mainwindow.c
		Relabel Empty all Trash folders

2004-09-28 [colin]	0.9.12cvs110

	* src/folderview.c
		Add contextual Empty trash menu
	* src/mainwindow.c
		Revert cvs109 which was useless

2004-09-28 [colin]	0.9.12cvs109

	* src/mainwindow.c
		Fix uninialized var

2004-09-28 [colin]	0.9.12cvs108

	* src/addressbook.c
		Fix triple-click

2004-09-28 [colin]	0.9.12cvs107

	* src/addressbook.c
		Fix double-click on entries

2004-09-28 [colin]	0.9.12cvs106

	* src/inc.c
		Reintroduce folder_item update freeze on incorporation

2004-09-27 [christoph]	0.9.12cvs105

	* src/folderview.c
		right-align new and unread column

2004-09-27 [paul]

	* 0.9.12b released

2004-09-27 [paul]	0.9.12cvs104

	* src/main.c
		revert 0.9.12cvs101, it causes another segfault

2004-09-23 [christoph]	0.9.12cvs103

	* src/plugins/spamassassin/libspamc.[ch]
	* src/plugins/spamassassin/utils.[ch]
		update libspamc to SpamAssassin 3.0.0

2004-09-17 [paul]	0.9.12cvs102

	* ChangeLog
	* ChangeLog.jp
	* src/inc.c
		sync with main 0.9.12cvs14, see ChangeLog 2004-09-09
 

2004-09-17 [colin]	0.9.12cvs101

	* src/main.c
		Fix segfaults when quitting. valgrind says:
			==12144== Invalid read of size 4
			==12144==    at 0x80D7DDA: messageview_is_visible (messageview.c:938)
			[...]
			==12144==  Address 0x1BF1BD30 is 56 bytes inside a block of size 72 free'd
			[...]
			==12144==    by 0x80CC671: exit_sylpheed (main.c:498)


2004-09-13 [christoph]	0.9.12cvs100

	* src/folder.c
		add NULL pointer checks to fix segfault when messages can
		not be fetched

2004-09-08 [colin]	0.9.12cvs99

	* src/account.c
		Remove a debug printf

2004-09-08 [christoph]	0.9.12cvs98

	* src/procmsg.[ch]
		change MSG_CACHED (unused in claws) to MSG_SCANNED to remember
		if the message structure has been scanned

	* src/folder.c
		o scan structure when the mail is fetched for the first time
		  to prevent unnecessary fetching of messages while scanning
		  the folder for messages
		o revert 0.9.12cvs24

	* src/plugins/pgpmime/pgpmime.c
		check signature if auto signature checking is enabled when the
		signature status is requested for first time and not when
		checking if a part has a signature

2004-09-07 [colin]	0.9.12cvs97

	* src/inc.c
		Change session error messages so that they
		are a bit more helpful (the origin of the
		error is not apparent if one isn't in 
		front of Sylpheed when it happens).

2004-09-06 [colin]	0.9.12cvs96

	* src/toolbar.c
		Fix graying out Redirect in non english languages
		Patch by Fabien Vantard

2004-09-06 [colin]	0.9.12cvs95

	* src/summaryview.c
	* src/mimeview.c
		Fix dropped URIs

2004-09-06 [colin]	0.9.12cvs94

	* src/addressbook.c
	* src/addressitem.h
	* src/addritem.c
	* src/addritem.h
		Add basic drag and drop to addressbook

2004-09-03 [colin]	0.9.12cvs93

	* src/summaryview.c
		Next/Prev unread message should start
		from next/prev node (especially if 
		mark_as_read_delay != 0)

2004-09-03 [colin]	0.9.12cvs92

	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c
		Add an hidden 'mark_as_read_delay' pref 

2004-09-02 [colin]	0.9.12cvs91

	* src/gtk/menu.c
		Add unduplicated menu entries (fixes bug 532)
		Patch by Fabien Vantard

2004-09-02 [colin]	0.9.12cvs90

	* src/account.c
		Fix bug 582 (broken auto account selection)

2004-09-02 [colin]	0.9.12cvs89

	* src/addrindex.c
		Free deleted queries too

2004-09-02 [colin]	0.9.12cvs88

	* src/ldapquery.c
		Fix freezes in LDAP, due to memory corruption
		after deletion of a query (and not removing it
		from the corresponding list of queries).
		Very probably fixes bug 567 and bug 569

2004-09-02 [colin]	0.9.12cvs87

	* src/prefs_spelling.c
		Fix bug with aspell prefs init, where spell checking
		is enabled at first but dictionary not specified. Use
		LANG's dictionary by default.

2004-09-01 [colin]	0.9.12cvs86

	* src/filtering.c
	* src/imap.c
	* src/prefs_matcher.c
	* src/stock_pixmap.c
		Fix more nasty uninitialized variables

2004-08-31 [colin]	0.9.12cvs85

	* src/folder.c
		Fix memory corruption when entering procmsg_msginfo_free()
		with unitialized msginfo. Thanks Valgrind.

2004-08-29 [colin]	0.9.12cvs84

	* src/mimeview.c
		Don't escape filenames before saving - that's 
		not dangerous. By the way, fix the leak.

2004-08-27 [paul]	0.9.12cvs83

	* src/mh.c
	* src/procheader.c
	* src/procmsg.c
	* src/procmsg.h
	* src/common/utils.c
	* src/gtk/menu.h
		sync with main 0.9.12cvs6, see ChangeLog
		2004-08-24, 2004-08-25, 2004-08-26


2004-08-26 [paul]

	* po/ja.po
		updated by Rui Hirokawa

2004-08-25 [colin]	0.9.12cvs82

	* src/plugins/pgpmime/pgpmime.c
		Fix leak on non-combined encrypted messages

2004-08-25 [colin]	0.9.12cvs81

	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/sgpgme.c
	* src/plugins/pgpmime/sgpgme.h
		Handle combined encryption/signature

2004-08-24 [colin]	0.9.12cvs80

	* src/folder.c
		Set mime flags on non multipart messages too

2004-08-23 [christoph]	0.9.12cvs79

	* src/compose.c
		create message header in memory as GString before writing it
		to the message file

2004-08-23 [colin]	0.9.12cvs78

	* src/rfc2015.c
	* src/rfc2015.h
	* src/compose.c
		Fix (again) bug 197: inline encryption broken

2004-08-23 [paul]

	* po/zh_CN.po
		updated by Hansom Young

2004-08-23 [paul]

	* 0.9.12a released

2004-08-23 [colin]	0.9.12cvs77

	* src/imap.c
		Try and fix bug 577 (session->last_access_time is broken since 
		sync with main 0.9.12cvs2). 
		Patch by Stephan Sachse <whiteman@teg-clan.de>

2004-08-23 [paul]

	* po/es.po
	* po/fr.po
	* po/pl.po
	* po/pt_BR.po
	* po/sk.po
	* po/sr.po
		update translations. submitted by Ricardo
		Mones Lastra, Fabien Vantard, Emilian Nowak,
		Frederico Goncalves Guimaraes, Andrej Kacian,
		Urke MMI

2004-08-22 [paul]	0.9.12cvs76

	* src/plugins/trayicon/trayicon.c
		fix formatting bug in trayicon_popup_menu_entries[]


2004-08-22 [paul]	0.9.12cvs75

	* m4/Makefile.am
		remove reference to openssl.m4


2004-08-21 [colin]	0.9.12cvs74

	* src/compose.c
		Fix bug 576 (Duplicate auto-bcc on reedit)

2004-08-21 [colin]	0.9.12cvs73

	* src/toolbar.c
		Grey out Redirect in the toolbar when selection is
		multiple. Fixes bug 520

2004-08-21 [colin]	0.9.12cvs72

	* src/compose.c
		Save Sign, Encrypt and Mode status when drafting or queuing
		Fixes bug 502 (drafted message does not keep sign / encrypt 
		state)

2004-08-21 [colin]	0.9.12cvs71

	* src/summaryview.c
		Fix bug 494 (Messages are always opened in summary 
		view when right clicked.) Also fixes bug 508.

2004-08-21 [colin]	0.9.12cvs70

	* src/compose.c
		When using inline encryption, don't use QP or Base64:
		the mail will be encrypted to a 7bit string.
		Fixes bug 197

2004-08-21 [colin]	0.9.12cvs69

	* src/compose.c
		Fix inline-signing with 8bit chars: data must be 
		converted to Quoted-printable before signing.

2004-08-21 [colin]	0.9.12cvs68

	* src/compose.c
		Remove 'Message/Save to draft folder'
		and 'Message/Save and keep editing' to 
		put a single 'File/Save' command.
		Fixes bug 224

2004-08-21 [colin]	0.9.12cvs67

	* src/mainwindow.c
		Fix bug 222 (Summary view state not retained between sessions)

2004-08-20 [colin]	0.9.12cvs66

	* src/codeconv.c
		Fix bug 574 (empty cur_locale is not enough)

2004-08-20 [paul]

        * src/plugins/pgpmime/plugin.c
                modify PGP/MIME plugin's description

2004-08-16 [colin]	0.9.12cvs65

	* src/common/ssl.c
		Fix version comparison

2004-08-16 [colin]	0.9.12cvs64

	* src/common/ssl.c
		I meant 2.2.

2004-08-16 [colin]	0.9.12cvs63

	* src/common/ssl.c
		People with glibc 2.1 have had problems with non-blocking
		SSL_connect. Disable it for glibc < 2.2.

2004-08-16 [colin]	0.9.12cvs62

	* src/common/ssl.c
		Fix format error

2004-08-13 [colin]	0.9.12cvs61

	* src/plugins/pgpmime/plugin.c
		Add plugin's description

2004-08-12 [christoph]	0.9.12cvs60

	* src/folderutils.c
		fix bug that did not thaw folder updates when deleting
		duplicates in empty folders

2004-08-12 [colin]	0.9.12cvs59

	* src/plugins/trayicon/trayicon.c
		Add a context menu with most common operations

2004-08-12 [colin]	0.9.12cvs58

	* configure.ac
	* sylpheed.desktop
	* src/Makefile.am
	* src/main.c
		Add support for Freedesktop.org's startup notification

2004-08-10 [colin]	0.9.12cvs57

	* src/main.c
	* src/common/socket.c
	* src/common/ssl.c
	* src/common/sylpheed.c
	* src/common/sylpheed.h
		Put back the ssl connect nonblocking...
		without the race condition

2004-08-09 [colin]	0.9.12cvs56

	* src/main.c
	* src/common/ssl.c
	* src/common/sylpheed.c
	* src/common/sylpheed.h
		Reverting previous commit, doesn't work 

2004-08-09 [colin]	0.9.12cvs55

	* src/main.c
	* src/common/ssl.c
	* src/common/sylpheed.c
	* src/common/sylpheed.h
		Make SSL_connect nonblocking, using a thread

2004-08-09 [paul]       0.9.12cvs54

	* po/POTFILES.in
		reflect new location of sgpgme.c
	* src/main.c
		sync with main, see ChangeLog 2004-08-09

2004-08-08 [christoph]	0.9.12cvs53

	* src/folderutils.c
		freeze FolderItem updates while deleting duplicate messages

2004-08-08 [christoph]	0.9.12cvs52

	* configure.ac
	* src/Makefile.am
	* src/main.c
	* src/pgpmime.c
	* src/pgpmime.h
	* src/sgpgme.c
	* src/sgpgme.h
	* src/plugins/Makefile.am
	* src/plugins/pgpmime/.cvsignore
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/pgpmime.h
	* src/plugins/pgpmime/plugin.c
	* src/plugins/pgpmime/sgpgme.c
	* src/plugins/pgpmime/sgpgme.h
		new plugin for PGP/MIME

2004-08-07 [christoph]	0.9.12cvs51

	* src/folder.c
		disable immediate folder change notification on opened folders
		until SummaryView can handle it quickly

2004-08-07 [colin]	0.9.12cvs50

	* src/pop.c
	* src/common/partial_download.c
		fix warnings

2004-08-07 [colin]	0.9.12cvs49

	* src/Makefile.am
	* src/account.c
	* src/addressbook.c
	* src/alertpanel.c
	* src/alertpanel.h
	* src/compose.c
	* src/exphtmldlg.c
	* src/expldifdlg.c
	* src/main.c
	* src/message_search.c
	* src/messageview.c
	* src/pop.c
	* src/sgpgme.c
	* src/summary_search.c
	* src/summaryview.c
	* src/textview.c
	* src/gtk/sslcertwindow.c
	* src/pixmaps/stock_dialog-error.xpm
	* src/pixmaps/stock_dialog-info.xpm
	* src/pixmaps/stock_dialog-question.xpm
	* src/pixmaps/stock_dialog-warning.xpm
		sync new alertpanel from gtk2

2004-08-07 [colin]	0.9.12cvs48

	* src/prefs_folder_item.c
		fix memory corruption in folderitem's prefs

2004-08-06 [colin]	0.9.12cvs47

	* src/compose.c
		close compose window after queuing, before 
		sending when user presses Send

2004-08-05 [christoph]	0.9.12cvs46

	* src/msgcache.c
	* src/common/defs.h
		add charset to cache file and convert charset when reading the
		cache if different from internal used charset

2004-08-05 [christoph]	0.9.12cvs45

	* src/messageview.c
	* src/mimeview.[ch]
	* src/procmime.h
	* src/common/utils.h
		cleanup (remove unused includes/reorganize)

	* src/prefs_ext_prog.c
	* src/prefs_folder_item.c
	* src/prefs_fonts.c
	* src/prefs_msg_colors.c
	* src/prefs_spelling.c
	* src/prefs_themes.c
	* src/prefs_toolbar.c
	* src/prefs_wrapping.c
	* src/gtk/prefswindow.[ch]
	* src/plugins/clamav/clamav_plugin_gtk.c
	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/image_viewer/viewerprefs.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		change PrefsPage path into an array of strings and don't
		split a single string into parts (better for translation)

2004-08-05 [christoph]	0.9.12cvs44

	* src/folder.c
		fix FolderItem's message counts after rebuilding a cache

2004-08-05 [paul]	0.9.12cvs43

	* ChangeLog
	* ChangeLog.jp
	* src/imap.c
	* src/news.c
	* src/common/nntp.c
	* src/common/session.c
	* src/common/session.h
	* src/common/socket.c
		sync with main 0.9.12cvs2
		see ChangeLog 2004-08-04

2004-08-04 [christoph]	0.9.12cvs42

	* configure.ac
		add missing AC_DEFINE(USE_OPENSSL, ...)
	* src/folder.c
		use new xml_node_new() function

2004-08-03 [christoph]	0.9.12cvs41

	* src/folder.c
	* src/localfolder.c
	* src/common/xml.[ch]
		sync with main 0.9.12cvs1
		see ChangeLog 2004-07-23

2004-08-03 [christoph]

	* configure.ac
	* m4/openssl.m4			** REMOVE **
		use pkg-config to get OpenSSL CFLAGS and LIBS
		(OpenSSL 0.9.7 is required now)

2004-08-02 [paul]	0.9.12cvs40

	* AUTHORS
		update translation team section
	* po/pt_BR.po
		updated by Frederico Goncalves Guimaraes
		<fggdebian@yahoo.com.br>

2004-07-29 [colin]	0.9.12cvs39

	* src/messageview.c
		Inform the user when a partially 
		downloaded mail isn't on the server
		anymore (due to Mark for deletion)

2004-07-29 [colin]	0.9.12cvs38

	* src/messageview.c
		Hide noticeview if necessary

2004-07-27 [colin]	0.9.12cvs37

	* src/msgcache.c
		More fixes (i overlook a bit, thanks
		Christoph for spotting it)

2004-07-27 [colin]	0.9.12cvs36

	* src/msgcache.c
		Fix wrong test 

2004-07-26 [colin]	0.9.12cvs35

	* src/pop.c
		Fix uidl-file parsing when not in new
		format

2004-07-19 [colin]	0.9.12cvs34

	* src/compose.c
		Save attachment status when drafting

2004-07-19 [colin]	0.9.12cvs33

	* src/folder.h
	* src/folderview.c
	* src/summaryview.c
		Reverse 0.9.12cvs29 to 31 (folder icon update
		when quicksearch is active)

2004-07-18 [colin]	0.9.12cvs32

	* src/pop.c
		Fix partial download bug with "Download all
		messages" option

2004-07-18 [colin]	0.9.12cvs31

	* src/folderview.c
		Fix crash

2004-07-17 [colin]	0.9.12cvs30

	* src/summaryview.c
		Same, when sticky search is off

2004-07-17 [colin]	0.9.12cvs29

	* src/folder.h
	* src/folderview.c
	* src/summaryview.c
		Update FolderItem icon whenever its summaryview is 
		filtered

2004-07-16 [christoph]	0.9.12cvs28

	* src/mimeview.c
		make doubleclick work again

2004-07-16 [christoph]	0.9.12cvs27

	* src/mimeview.c
		fix freeze on mime icon doubleclick (opening doesn't work yet)

2004-07-16 [paul]	0.9.12cvs26
	
	* src/gtk/quicksearch.c
	* src/compose.c
	* src/customheader.c
	* src/messageview.c
	* src/news.c
	* src/prefs_account.c
	* src/prefs_display_header.c
	* src/procheader.c
		replace "Message-Id" with "Message-ID"

2004-07-16 [paul]	0.9.12cvs25

	* ChangeLog
	* ChangeLog.jp
	* src/account.c
	* src/account.h
	* src/folder_item_prefs.c
	* src/main.c
	* src/pop.c
	* src/pop.h
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_gtk.c
	* src/prefs_gtk.h
		sync with main 0.9.12cvs1

2004-07-15 [colin]	0.9.12cvs24

	* src/folder.c
		Disable GPG signature check during
		folder move and scan 
	(Closes Bug 521 Signature checking slows down Folder-Move)

2004-07-14 [christoph]	0.9.12cvs23

	* src/pgpmime.c
		add missing fclose. Patch by Thomas Gilgin.

	* src/procmime.c
		add checks if fopen really worked

2004-07-14 [colin]	0.9.12cvs22

	* src/pop.c
	* src/common/partial_download.c
		Update includes

2004-07-14 [colin]	0.9.12cvs21

	* src/folder.c
	* src/inc.c
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/messageview.c
	* src/msgcache.c
	* src/noticeview.c
	* src/noticeview.h
	* src/pop.c
	* src/pop.h
	* src/prefs_matcher.c
	* src/procheader.c
	* src/procmsg.c
	* src/procmsg.h
	* src/summaryview.c
	* src/common/Makefile.am
	* src/common/defs.h
	* src/gtk/quicksearch.c
	* src/common/partial_download.c ** NEW FILES **
	* src/common/partial_download.h ** NEW FILES **
		Partial downloading of pop3 mails

2004-07-13 [christoph]	0.9.12cvs20

	* src/mimeview.c
		use "button_release_event" instead of "button_press_event",
		because executing event callbacks while the button is still
		pressed is not good and causes problems

2004-07-12 [colin]	0.9.12cvs19

	* src/gtk/quicksearch.c
		Fix a missing status update in quicksearch

2004-07-08 [colin]	0.9.12cvs18

	* src/common/smtp.h
		Fix guint vs gint bug

2004-07-08 [colin]	0.9.12cvs17

	* src/common/smtp.c
		use to_human_readable() for sizes

2004-07-08 [paul]	0.9.12cvs16

	* src/inc.c [1.174]
		fix occasional non-clearance of the statusbar
		(close Bug 531 'SA plugin: status bar does not 
		 get cleared in OFFLINE mode')

2004-07-07 [colin]	0.9.12cvs15

	* src/prefs_common.c [1.225]
	* src/prefs_common.h [1.112]
		Add a hidden summary_quicksearch_sticky preference,
		to allow the quicksearch bar to reset across folders
	* src/summaryview.c [1.437]
		Use this preference
	* src/gtk/quicksearch.c [1.5]
	* src/gtk/quicksearch.h [1.3]
		Add this preference, fix focus when hitting Enter,
		add handling of Esc key to reset

2004-07-06 [colin]	0.9.12cvs14

	* src/gtk/quicksearch.c [1.4]
		Add Clear button

2004-07-06 [christoph]	0.9.12cvs13

	* src/toolbar.c
		enable next unread button in empty folders if next folder
		dialog is not disabled

	(Closes Feature Request [ 755800 ] "next" button enabled in empty
	 folders)

2004-07-06 [colin]	0.9.12cvs12

	* src/common/smtp.c [1.16]
		Display maximum message size in the log

2004-07-06 [paul]	0.9.12cvs11

	* src/toolbar.c
		fix typo. (spotted by Fabien Vantard)

2004-07-06 [paul]	0.9.12cvs10

	* src/main.c
		terminate cleanly on SIGHUP. Patch submitted by
		Thomas Gilgin <thg@karate-muellheim.de>

2004-07-05 [christoph]	0.9.12cvs9

	* src/inc.c
		better replacing of %d in new mail notification command

2004-07-05 [colin]	0.9.12cvs8

	* src/common/smtp.[ch]
		Take SIZE (returned by EHLO) into account, and
		avoid sending too big messages

2004-07-04 [paul]	0.9.12cvs7

	* src/account.c
		fix auto-account selection on imap/news

2004-07-01 [paul]	0.9.12cvs6

	* src/gtk/quicksearch.c
		reveal hidden string in gui
		
	* src/compose.c
		fix updating of gpg signing setting on 
		switching accounts

2004-06-30 [darko]	0.9.12cvs5

	* src/common/utils.c
		remove expand_search_string()
	* src/gtk/quicksearch.c
		remove no longer needed for loop (thanks Christoph)
		add expand_search_string()

2004-06-30 [darko]	0.9.12cvs4

	* src/common/utils.c
		allow all filtering expressions in quicksearch

	(Closes Bug 519 filtering expr. in quicksearch)

2004-06-30 [christoph]	0.9.12cvs3

	* configure.ac
		better 'localedir'

	* src/common/intl.h
		allow plugins to define TEXTDOMAIN for the _(...) macro

2004-06-30 [paul]	0.9.12cvs2

	* po/POTFILES.in
	  src/Makefile.am
	  src/main.c
	  src/prefs_common.c
	  src/prefs_msg_colors.[ch]	** NEW FILES **
	  	move message colouring options to
		'/Other Preferences/Message View/Colors'

2004-06-30 [paul]	0.9.12cvs1

	* po/POTFILES.in
	  src/Makefile.am
	  src/main.c
	  src/prefs_common.c
	  src/prefs_wrapping.[ch]	** NEW FILES **
	  	move message wrapping options to
		/'Other Preferences/Compose/Message Wrapping'

2004-06-28 [paul]	0.9.12

	* Sylpheed-Claws 0.9.12 released

	* po/es.po
	  po/fr.po
	  po/sk.po
	  	updated by Ricardo Mones Lastra, Fabien Vantard,
		Andrej Kacian

2004-06-27 [paul]	0.9.11cvs19

	* src/common/ssl.c
		re-enable certificate check

2004-06-25 [christoph]	0.9.11cvs18

	* src/procmsg.h
		add MSG_HAS_ATTACHMENT to MSG_CACHED_FLAG_MASK

2004-06-25 [paul]	0.9.11cvs17

	* sync with main 0.9.12cvs1
		see ChangeLog 2004-06-23
		
	* src/gtk/menu.c
		remove unused menu_toggle_toggle()

2004-06-23 [christoph]	0.9.11cvs16

	* src/folder.c
	* src/procheader.c
	* src/procmsg.h
	* src/summaryview.c
		scan the mime structure of multipart mails for correct
		attachment, encryped and signed (with privacy API) part
		detection

	(Closes Feature Request [ 961428 ] No paperclip for HTML mails)

2004-06-22 [paul]

	* po/ru.po
		updated by Pavlo Bohmat

2004-06-20 [christoph]	0.9.11cvs15

	* src/inc.c
	* src/pop.[ch]
		disconnect after authentication when doing POP before SMTP

	(Closes Bug 393 Bad inerpretation of "Pop Before SMTP")

2004-06-19 [christoph]	0.9.11cvs14

	* src/folder.c
		fix FolderItem name update

	(Closes Bug 511 Folder-Renaming not reflected immediately)

2004-06-17 [paul]	0.9.11cvs13
	
	* sync with main 0.9.12 release
	  src/session.c
		session_set_timeout(): fixed a bug that didn't
	  	reset timeout_tag when interval is 0.

2004-06-16 [christoph]	0.9.11cvs12

	* src/textview.c
		correctly clear the URL in the status bar

2004-06-15 [christoph]	0.9.11cvs11

	* src/summaryview.c
		add missing gtk_widget_show()

2004-06-11 [christoph]	0.9.11cvs10

	* src/plugins/spamassassin/spamassassin.c
		correctly check waitpid return code

	(Closes Bug 396 Zombie process when spamassassin is called)

2004-06-10 [christoph]	0.9.11cvs9

	* src/mainwindow.c
	* src/summaryview.[ch]
	* src/gtk/Makefile.am
	* src/gtk/quicksearch.c				** NEW **
		separate quick search from summaryview

2004-06-09 [christoph]	0.9.11cvs8

	* src/inc.c
		remove unused code

	* src/textview.c
		get folder for compose default account from MsgInfo and not
		from SummaryView

2004-06-09 [christoph]	0.9.11cvs7

	* src/folder.[ch]
		add information about added or removed messages to
		FOLDER_ITEM_UPDATE hook

	* src/imap_gtk.c
	* src/mh_gtk.c
		scan folder when removing a folder failed instead of
		updating the summaryview

2004-06-08 [paul]	0.9.11cvs6

	* sync with main 0.9.11cvs2
		see ChangeLog 2004-06-08

2004-06-07 [christoph]	0.9.11cvs5

	* configure.ac
	* src/common/Makefile.am
        	detect library providing 'encrypt' function

2004-06-07 [paul]	0.9.11cvs4

	* src/inc.c
		sync with main, 'code cleanup'
		
	* tools/nautilus2sylpheed.sh
		fix whitespace limitation. patch submitted by
		Stephan Sachse <white@teg-clan.de>

2004-06-04 [christoph]	0.9.11cvs3

	* src/account.c
	* src/action.[ch]
	* src/addressbook.c
	* src/addrindex.h
	* src/folder.h
	* src/folder_item_prefs.c
	* src/inc.c
	* src/main.c
	* src/messageview.c
	* src/mh_gtk.c
	* src/prefs_themes.c
	* src/procmime.c
	* src/quote_fmt.h
	* src/stock_pixmap.c
	* src/toolbar.c
		fix compiler warnings

2004-06-03 [paul]	0.9.11cvs2

	* src/msgcache.c
		sync with main 0.9.11cvs1: "changed gint32 to
	  	guint32 for some platforms"

2004-06-02 [christoph]	0.9.11cvs1

	* src/common/ssl.c
		fix SSL_CTX variable name for older OpenSSL versions

	(Closes Bug 503 fix compilation with older OpenSSL)

2004-05-31 [paul]	0.9.11claws

	* 0.9.11claws released

2004-05-31 [paul]	0.9.10claws72

	* po/es.po
	  po/it.po
	  po/ja.po
	  po/pl.po
	  po/sk.po
	  po/sr.po
	  po/zh_CN.po
	  	update translations, submitted by Ricardo Mones Lastra,
		Andrea Spadaccini, Rui Hirokawa, Emil, Andrej Kacian,
		Urke MMI, and Hansom Young

2004-05-25 [luke]	0.9.10claws71

	* AUTHORS
	* src/mimeview.c
	* src/stockpixmap.[ch]
	* src/Makefile.am
	* src/pixmaps/privacy_emblem_encrypted.xpm	** NEW **
	* src/pixmaps/privacy_emblem_failed.xpm		** NEW **
	* src/pixmaps/privacy_emblem_passed.xpm		** NEW **
	* src/pixmaps/privacy_emblem_signed.xpm		** NEW **
	* src/pixmaps/privacy_emblem_warn.xpm		** NEW **

		o Added privacy emblems from Jesper Shultz 
		  <jesper@schultz-net.dk>
		o Overlay emblems onto mimeview icons to indicate
	          status of signature and if a message is encrypted
	
	* src/textview.c
		remove unused color definitions (were used to 
		indicate sig status)

2004-05-25 [paul]	0.9.10claws70

	* AUTHORS
	  tools/Makefile.am
	  tools/README
	  tools/nautilus2sylpheed.sh		** NEW FILE **
		add script to enable sending files from
		nautilus.
		Submitted by Reza Pakdel <hrpakdel@cpsc.ucalgary.ca>
		
	* tools/launch_firebird			** REMOVED **
		removed as the standard "firefox '%s'" now functions
		correctly

2004-05-23 [paul]	0.9.10claws69

	* src/compose.c
		fix %X cursor point segfault
		patch by Christoph

2004-05-23 [christoph]	0.9.10claws68

	* src/folder.c
		fix folder moving

2004-05-21 [paul]	0.9.10claws67

	* sync with 0.9.10cvs17
		see ChangeLog 2004-05-21

2004-05-20 [paul]	0.9.10claws66

	* sync with 0.9.10cvs16
		see ChangeLog 2004-05-19 and 2004-05-20

2004-05-19 [alfons]	0.9.10claws65

	* src/summaryview.h
		on some platforms regoff_t is defined as off_t, so 
		pull in sys/types.h

2004-05-19 [paul]	0.9.10claws64

	* sync with 0.9.10cvs13
		see ChangeLog 2004-05-18

2004-05-17 [christoph]	0.9.10claws63

	* src/folder.c
		search all folders when searching for default folders and
		not return the special folder of the first folder

2004-05-13 [alfons]	0.9.10claws62

	* src/summaryview.c
		add a better check to see if a message is a news message
		(replaces the MSG_IS_NEWS() check removed in 0.9.9claws19)

2004-05-13 [paul]	0.9.10claws61

	* src/msgcache.c
		sync with 0.9.10cvs12
		see ChangeLog 2004-05-12

2004-05-12 [alfons]	0.9.10claws60

	* src/folderview.c
		release lock in case of folder could not be opened 

2004-05-11 [christoph]	0.9.10claws59

	* src/inc.[ch]
		remove unused folderview update stuff from inc.[ch]

2004-05-11 [paul]	0.9.10claws58

	* sync with 0.9.10cvs11
		see ChangeLog 2004-05-10 and 2004-05-11

2004-05-09 [christoph]	0.9.10claws57

	* src/folderview.c
		check for folder class functions and not folder type to detect
		valid drag targets

2004-05-08 [christoph]	0.9.10claws56

	* src/sgpgme.c
		fix date output for signature expire times

	(Patch by Edgar Toernig <froese@gmx.de>)

2004-05-06 [christoph]	0.9.10claws55

	* src/gtk/prefswindow.c
		change window type to DIALOG

	* src/folder.[ch]
	* src/folderview.c
	* src/news_gtk.c
		o add folder_remove()
		o change FolderUpdate hook flag names (NEW -> ADD, DESTROY -> REMOVE)
		o add new "sort" field to Folder, no longer sort folders by type
		  higher sort values will be first in the folder list, new folders get 0
		  and will be added to the end

	* src/mainwindow.c
	* src/gtk/Makefile.am
	* src/gtk/foldersort.(c|h|glade)			** NEW **
		add dialog to allow users to change the folder order

2004-05-04 [paul]	0.9.10claws54

	* src/inc.c
		Display account_name in statusbar when retrieving
		messages from a pop account
	* src/prefs_account.c
		display account name in title of prefs_account
		window
	* src/prefs_folder_item.c
		display folder name in title of prefs_folder window

	all 3 patches submitted by Fabien Vantard

	* AUTHORS
		add Fabien Vantard

2004-05-04 [paul]	0.9.10claws53

	* src/prefs_actions.c
	  src/prefs_template.c
	  	'Esc' Key exits alertpanel
		Patch submitted by Fabien Vantard <fzz@ifrance.com>

2004-04-26 [christoph]	0.9.10claws52

	* src/gtk/about.c
	* src/gtk/colorsel.c
	* src/gtk/description_window.c
	* src/gtk/filesel.c
	* src/gtk/gtkaspell.c
	* src/gtk/inputdialog.c
	* src/gtk/pluginwindow.c
	* src/gtk/progressdialog.c
		o remove gtk_window_set_position(..., GTK_WIN_POS_CENTER) because
		  it does not work correctly with xinerama
		o lock incorporation while the plugin window is open

2004-04-23 [paul]	0.9.10claws51

	* po/POTFILES.in
		update location of inputdialog.c
		
	* src/gtk/about.c
		update Copyright string
		
	* src/msgcache.c
	  src/prefs_common.c
	  src/prefs_themes.c
	  	improve the english a little

2004-04-22 [christoph]	0.9.10claws50

	* src/folderutils.[ch]
		add folderutils_mark_all_read()

	* src/folderview.c
		readd "mark all read" from popup menu, now works
		in all folders and not only the opened folder

2004-04-21 [christoph]	0.9.10claws49

	* src/Makefile.am
	* src/inputdialog.[ch]			** REMOVED **
	* src/gtk/Makefile.am
	* src/gtk/inputdialog.[ch]		** NEW **
		move inputdialog.[ch] into gtk directory

	* src/mh_gtk.c
		remove check for missing IMAP folder account

2004-04-20 [christoph]	0.9.10claws48

	* src/mainwindow.c
	* src/foldersel.c
		remove new/rename/delete folder GUI functions because
		they are always active, even for news folders, and can
		not be easily made folder class dependent

	* src/gtk/menu.[ch]
		make menu_translate() public

	* src/Makefile.am
	* src/folder.[ch]
	* src/folderview.[ch]
	* src/imap_gtk.[ch]			** NEW **
	* src/main.c
	* src/mh_gtk.[ch]			** NEW **
	* src/news_gtk.[ch]			** NEW **
		o dynamically build FolderView popup menus from a folder
		  specific part, with callbacks to seperated code, and
                  a common part
		o remove the folder class specifiy code from folderview.c

2004-04-15 [luke]	0.9.10claws47

	* src/prefs_folder_item.c
		o remove buttons for applying 'scan for new mail'
		  and 'process at startup' to sub folders
		o add 'apply to sub folder' check buttons for all
		  properties and set folder prefs accordingly
		o replace multiple gtk_widget_show() with one
		  gtk_widget_show_all() on container

2004-04-14 [darko]	0.9.10claws46

	* src/gtk/Makefile.am
	* src/gtk/pluginwindow.c
		load plugins from to $(prefix)/lib/sylpheed/plugins
		in file selection dialog
	* src/plugins/clamav/clamav_plugin.c
		const correctness

2004-04-14 [christoph]	0.9.10claws45

	* src/folder.c
	* src/plugins/image_viewer/viewer.c
		fix g_warnings

2004-04-10 [alfons]	0.9.10claws44
	
	* src/compose.c
		appropriate auto account selection when forwarding
		(fixes bug #476, "forward as attachment does not listen
		to account rules")

2004-04-09 [alfons]	0.9.10claws43

	* src/summaryview.c
		make quick search combo matching case sensitive

2004-04-06 [alfons]	0.9.10claws42

	* src/addr_compl.c
		use cursor position to prevent clearing the entire entry

2004-04-06 [alfons]	0.9.10claws41

	* src/folderview.c
		fix bug #472, "filter not updated when renaming folder" 

2004-04-06 [alfons]	0.9.10claws40

	* src/messageview.[ch]
	  src/summaryview.c
		reflect changes to Show all headers to main view
		and message view (only affects detached message
		view). see also bug #473, 'Show All Headers 
		"problem"'.

2004-04-03 [alfons]	0.9.10claws39

	* src/matcher.c
		free address list

2004-04-03 [alfons]	0.9.10claws38

	* src/matcher_parser_parse.y
	  src/matcher.[ch]
		prepare address look up matcher type; marginally
		tested, and not hooked into the UI yet.

		basically it accepts the result of the left hand
		side of the matcher (the "criteria"):

			from all_in_addressbook ""
			~to_or_cc any_in_addressbook ""
		
		the first case matches all addresses found in the
		from header, and the second case matches if any
		(at least one) of the addresses in to or cc headers 
		are not in the address book.

		the string argument is not used yet, but is intended
		to match a group of addresses 

2004-04-02 [luke] 	0.9.10claws37

	* src/prefs_folder_item.c
		Add two buttons to apply 'scan for new mail'
		and 'process at startup' to sub folders

2004-04-02 [luke]
	* tools/textviewer.sh
		better filename extension matching plus some support for
		MS Excel, MS Powerpoint and HTML

2004-03-29 [christoph]	0.9.10claws36

	* src/folder.h
	* src/folderutils.[ch]
	* src/mainwindow.c
		add delete duplicates for all folders

2004-03-29 [alfons]	0.9.10claws35

	* src/folder.c
		don't pass NULL to XXXprintf(); fixes Solaris crashes
		when selecting top-level folder node (thanks to 
		Alex S. Moore)

2004-03-28 [keith]	0.9.10claws34

	* src/textview.c
		prepend "http://" to URIs of the form "www.example.com"

2004-03-28 [paul]	0.9.10claws33

	* src/common/nntp.c
	  src/common/smtp.c
	  src/folder.c
	  src/imap.c
	  src/inc.c
	  src/news.c
	  src/pop.c
	  	revise 'translatable string' policy:
	  	don't translate debug_print() or log_print(),
		translate log_message() and log_warning()
	
	* po/zh_CN.po
		update submitted by Hansom Young

2004-03-25 [alfons]	0.9.10claws32

	* src/prefs_common.c
		I mean this one: Return the GList...

2004-03-25 [alfons]	0.9.10claws31

	* src/prefs_common.h
		add new members at the end of prefs_common, so
		they get properly initialized

2004-03-24 [christoph]	0.9.10claws30

	* src/imap.c
		o NULL is a valid GSList

2004-03-24 [alfons]	0.9.10claws29

	* src/prefs_common.[ch]
	  src/summaryview.c
	  src/common/defs.h
		add history to quick search (patch submitted by 
		Ivan Francolin Martinez - thanks!)

2004-03-24 [alfons]	0.9.10claws28

	* src/imap.c
		NULL output pointer parameter

2004-03-21 [alfons]	0.9.10claws27

	* src/addrindex.[ch]
	  src/addr_compl.c
		complete addresses on nicks and aliases

2004-03-21 [alfons]	0.9.10claws26

	* src/import.c
	  src/inc.c
	  src/mbox.[ch]
		disable filters on import mbox (patch submitted
		by Edgar Toernig)

2004-03-21 [darko]	0.9.10claws25

	* src/addr_compl.c
		select the address when only one match is found while
		doing address completion with tab key (feature
		request #914720)

2004-03-21 [alfons]	0.9.10claws24

	* src/messageview.c
	  src/toolbar.c
		don't `navigate-delete` when a summary view's selection does not 
		match the accompanying message view's message

2004-03-20 [alfons]	0.9.10claws23

	* src/summaryview.c
		hide ext search button on initial display (should fix bug #459,
		"Toggling quick-search at 1st time: minor UI inconsistency")

2004-03-20 [alfons]	0.9.10claws22

	* src/summaryview.[ch]
		add function to get selected msginfo, if there's
		only one selected

2004-03-20 [paul]	0.9.10claws21

	* sync with 0.9.10cvs7
		see ChangeLog 2004-03-19

2004-03-19 [paul]	0.9.10claws20

	* src/common/nntp.c
	  src/common/smtp.c
	  src/common/ssl.c
	  src/folder.c
	  src/imap.c
	  src/inc.c
	  src/news.c
	  src/pop.c
	  	don't translate strings in debug_print(), log_print(),
		log_message(),  and log_warning()

2004-03-19 [alfons]	0.9.10claws19

	better next/previous/delete/focus navigation with separate 
	message view 
	
	* src/toolbar.c
		call summaryview_delete() instead of messageview_delete()
	* src/messageview.c
		disable messageview_delete()

2004-03-18 [paul]	0.9.10claws18

	* sync with 0.9.10cvs6
		see ChangeLog 2004-03-16

2004-03-17 [alfons]	0.9.10claws17

	* src/gtk/filesel.c
		remove bogus semicolon after if() (sometimes it pays to
		read LKML :)

2004-03-15 [darko]	0.9.10claws16

	* src/gtk/filesel.c
		support full path in place of a filename
	* src/mimeview.c
		store directory attachments were saved to and
		use it when saving attachments
	* src/prefs_common.[hc]
		store directory attachments were last saved to

2004-03-15 [paul]	0.9.10claws15

	* src/folderview.c
		fix bug where unsubscribing a newsgroup would destroy
		(most of the) filtering rules

2004-03-15 [paul]	0.9.10claws14

	* src/folderview.c
		fix Bug 458, 'Folder View remaining empty after 
		removing a NEWS account' (was also true of IMAP
		accounts)

2004-03-15 [paul]	0.9.10claws13

	* src/folderview.c
		fix folderview invisibility of newly subscribed
		newsgroups

2004-03-13 [paul]	0.9.10claws12

	* src/compose.c
	  src/plugins/dillo_viewer/dillo_prefs.c
	  src/plugins/image_viewer/viewerprefs.c
	  	gettextise some forgotten parts

2004-03-13 [alfons]	0.9.10claws11

	* src/imap.c
		make sure the correct type is passed to sscanf()

2004-03-13 [paul]	0.9.10claws10

	* sync with 0.9.10cvs5
		see ChangeLog 2004-03-02 and 2004-03-12, 
		specifically:
		'always move messages by default when using DnD (except 
		for News folder). Copy messages if Ctrl-key is pressed.'
		and 'added a function to filter selected messages'

2004-03-12 [christoph]	0.9.10claws9

	* src/codeconv.c
		add parameter check to conv_unmime_header_overwrite()

	* src/imap.c
		o fix spelling
		o fix removing of NEW flag when UNREAD is unset

	* src/procmime.c
		decode MIME-headers

	(Closes 437 i18n attachment display error.)

2004-03-12 [paul]	0.9.10claws8

	* po/it.po
		update. submitted by Andrea Spadaccini <lupin85@email.it>
		
	* tools/Makefile.am
		add 'textviewer.sh'

2004-03-12 [alfons]	0.9.10claws7

	* src/imap.c
		o quiet compiler and typecast Folder * to IMAP Folder *
		o wake up and fix my previous incompatible type assignment bug

2004-03-12 [alfons]	0.9.10claws6

	* src/imap.c
		don't mix up pointers to int, guint32 _and_ 
		unsigned int 

2004-03-12 [christoph]	0.9.10claws5

	* src/folderview.c
		Add error requester when renaming a folder failed

	* src/imap.c
		Check new FolderItem name for namespace seperator
		before renaming

	(Closes Bug 443 Bad named IMAP folders won't be displayed)

2004-03-11 [christoph]	0.9.10claws4

	* src/folder.[ch]
	* src/imap.c
	* src/procmsg.h
		syncronize flags in cache with IMAP folder flags

	Adapted a patch submitted by Simon 'corecode' Schubert
	<corecode@corecode.ath.cx> 


2004-03-11 [alfons]	0.9.10claws3

	* src/textview.[ch]
		remove dead code that at one time controlled display of
		URIs in status bar

2004-03-10 [paul]	0.9.10claws2

	* po/it.po
		updated by Lupino <lupin85@email.it>

2004-03-09 [alfons]	0.9.10claws1

	* src/matcher.c
		we're not using yywrap, but we may, so close yyin instead
		of initial FILE *

2004-03-08 [paul]	0.9.10claws

	* 0.9.10claws released

2004-03-08 [paul]	0.9.9claws41

	* po/es.po
	  po/ja.po
	  po/ru.po
	  po/sk.po
	  po/sr.po
	  po/zh_CN.po
	  	update translations. submitted by Ricardo Mones Lastra,
		Rui Hirokawa, Pavlo Bohmat, Andrej Kacian, Urke MMI,
		Hansom Young

2004-03-06 [paul]	0.9.9claws40

	* src/stock_pixmap.c
		fix crash: g_strdup(DEFAULT_PIXMAP_THEME)
		patch submitted by Pawel Pekala

2004-03-06 [alfons]		0.9.9claws39

	* src/addrindex.c
		allow nick name completion again 

2004-03-02 [match]		0.9.9claws38

	* configure.ac
		added definition of USE_LDAP_TLS to support TLS.
	* src/ldapctrl.[ch]
	* src/ldapquery.c
	* src/ldapserver.[ch]
	* src/addressbook.c
	* src/addrindex.c
	* src/editldap.c
		included LDAP TLS support.

2004-03-02 [christoph]		0.9.9claws37

	* src/folder.[ch]
		o add more documentation for FolderClass
		o remove usused FolderClass virtual functions

	* src/imap.c
	* src/mh.c
	* src/news.c
		change creation of FolderClass because static initializations
		for structs suck in C89

2004-03-01 [paul]

	* sync with 0.9.10

2004-02-28 [keith]	0.9.9claws36

	* src/common/utils.c
		Fix treatment of whitespace in quicksearch bar (leading
		spaces and >1 space between commands and parameters).

2004-02-27 [alfons]	0.9.9claws35

	* src/compose.[ch]
		Explicitly remove draft timeout to fix nasty race between 
		compose_send_cb() (which destroys the compose window) and 
		compose_defer_auto_save_draft() (which expects compose 
		window to exist). Should fix Keith's and Fred Marton's
		bug report (#128, "crash after complaining about character
		set conversion")

2004-02-27 [luke]	0.9.9claws34
	
	* src/folder.c
		Do folder_item_apply_processing() even if no processing
		rules for the folder exist (so global processing is applied)

2004-02-26 [thorsten]	0.9.9claws33

	* src/mimeview.c
		Remove misleading static declaration

2004-02-26 [alfons]	0.9.9claws32

	* src/procmime.[ch]
	  src/compose.c
	  src/mimeview.c
	  src/textview.c
		use/add procmime_get_content_type_str() as a safe wrapper
		for returning a Content-Type type string; should fix 
		bug #444, 0.9.7..0.9.9 crashes with "Content-Type: type= 
		 - attachments."

2004-02-26 [thorsten]	0.9.9claws31

	* src/mimeview.c
		Restructure save_as/save_all

2004-02-26 [alfons]	0.9.9claws30

	* src/procmime.c
		clean up (2)

2004-02-26 [alfons]	0.9.9claws29

	* src/procmime.c
		clean up (1)

2004-02-24 [luke]

	* tools/textviewer.sh
		tweaks from Johann Koenig, recognition of shell
		scripts in particular

2004-02-24 [paul]	0.9.9claws28

	* sync with 0.9.9cvs13
		see ChangeLog 2004-02-24

2004-02-23 [paul]	0.9.9claws27

	* src/inc.c
		one alertpanel on pop3 authentication error will suffice
		
	* src/prefs_fonts.c
		remove unnecessary printf

2004-02-22 [alfons]	0.9.9claws26

	* src/messageview.c
		put back a lost check

2004-02-21 [alfons]	0.9.9claws25

	* src/folderview.c
		don't forget to save folder properties after renaming folder

2004-02-20 [paul]	0.9.9.claws24

	* src/addressbook.c
	  	sync with 0.9.9cvs11, see ChangeLog 2004-02-19
		
	* src/inc.c
		complete sync with 0.9.9cvs9's 'update folderview
		progressively'
		
	* configure.ac
		require gettext >= 0.12.1

2004-02-17 [match]	0.9.9claws23

	* src/compose.c
		keep the peace - change style.

2004-02-17 [alfons]	0.9.9claws22

	* src/filtering.c
		make MATCHACTION_STOP cancel filtering / processing;
		clean up and document it to make it a little bit more clear;

2004-02-17 [alfons]	0.9.9claws21

	%X marks the cursor spot for reply quote format

	* src/quote_fmt_lex.l 
	  src/quote_fmt.c
		add %X token
		
	* src/quote_fmt.h
	  src/quote_fmt_parse.y
		handle %X token
		
	* src/compose.c
		handle %X token for replies only (for now)

2004-02-17 [paul]	0.9.9claws20

	* po/sk.po
		updated by Andrej Kacian
		
	* src/news.c
		remove unneeded include
		
	* src/prefs_fonts.c
		be a little more user-friendly with the labels
		
	* configure.ac
		a change forgotten in the last commit: 
		SYLPHEED_ACLOCAL_INCLUDE(m4)

2004-02-17 [paul]	0.9.9claws19

	* ac/*				** REMOVED **
	  ac/				** REMOVED **
	  intl/Makefile.in		** REMOVED **
	  m4/				** NEW **
	  m4/missing			** NEW **
	  m4/missing/gdk-pixbuf.m4	** NEW **
	  m4/missing/gettext.m4		** NEW **
	  m4/missing/gpgme.m4		** NEW **
	  m4/missing/imlib.m4		** NEW **
	  m4/.cvsignore			** NEW **
	  m4/Makefile.am		** NEW **
	  m4/README			** NEW **
	  m4/aclocal-include.m4		** NEW **
	  m4/aspell.m4			** NEW **
	  m4/check-type.m4		** NEW **
	  m4/gnupg-check-typedef.m4	** NEW **
	  m4/openssl.m4			** NEW **
	  m4/spamassassin.m4		** NEW **
	  po/ChangeLog			** REMOVED **
	  po/Makefile.in.in		** REMOVED **
	  po/Rules-quot			** REMOVED **
	  po/boldquot.sed		** REMOVED **
	  po/en@boldquot.header		** REMOVED **
	  po/en@quot.header		** REMOVED **
	  po/insert-header.sin		** REMOVED **
	  po/quot.sed			** REMOVED **
	  po/remove-potcdate.sed	** REMOVED **
	  po/remove-potcdate.sin	** REMOVED **
	  po/stamp-po			** REMOVED **
	  Makefile.am
	  autogen.sh
	  configure.ac
		enable building with automake 1.8.x
		add 'autopoint' to autogen.sh and remove all
		auto-generated files, remove ac/ in favour of
		m4/

2004-02-17 [alfons]	0.9.9claws18
	
	* src/summaryview.c
		MSG_IS_NEWS() is not stored at all, and is bogus

2004-02-17 [martin]	0.9.9claws17

	* src/prefs_themes.c
		fix crash when installing wrong theme and output an
		error message

2004-02-16 [christoph]	0.9.9claws16

	* src/compose.c
	* src/stock_pixmap.[ch]
	* src/toolbar.[ch]
	* src/pixmaps/linewrapcurrent.xpm		** NEW **
		add "Wrap current paragraph" to compose toolbar

2004-02-15 [alfons]	0.9.9claws15

	* src/folderview.c
		refine previous commit to make sure other hook functions
		get their grab of the pie too

2004-02-15 [alfons]	0.9.9claws14

	* src/folderview.c
		fix sync breakage so we don't pass invalid pointer types

2004-02-15 [match]	0.9.9claws13

	* src/ldapquery.[ch]
	* src/ldapserver.h
	* src/addrindex.[ch]
		tweak threading calls.
	* src/addr_compl.[ch]
		add alias into completion list.
	* src/addressbook.c
		fix ldap browse.
		improve context menu behavior.
		change menu sequence.
		add send mail from addressbook.
	* src/addrselect.[ch]
	* src/compose.[ch]
		add send mail from addressbook.

2004-02-15 [christoph]	0.9.9claws12

	* src/folderutils.c
		skip deleting when duplist is empty

	* src/folderview.[ch]
	* src/mainwindow.c
	* src/summaryview.[ch]
		call folderutils_delete_duplicates() from mainwindow code

2004-02-15 [alfons]	0.9.9claws11
	
	* src/common/utils.c
		add prefix for italian ms o(e) 

2004-02-14 [paul]	0.9.9claws10

	* src/foldersel.c
		fix updating of the folder view when creating a
		new folder

2004-02-13 [paul]	0.9.9claws9

	* src/plugins/clamav/clamav_plugin.c
		remove GUI code

2004-02-13 [paul]	0.9.9claws8

	* sync with 0.9.9cvs9
		see ChangeLog 2004-02-09, 2004-02-10, 2004-02-12

2004-02-13 [alfons]	0.9.9claws7

	* src/common/utils.c
		fix wrong type of argument for ctype functions (pass unsigned
		char instead of signed char)

2004-02-12 [alfons]	0.9.9claws6

	* src/compose.[ch]
		don't select text in header entry when composing to a 
		default address, but rather give the header entry a
		different color / style (same as the folder new color)

2004-02-12 [alfons]	0.9.9claws5

	* src/plugins/clamav/clamav_plugin.c
		don't exit(2) on libclamav init error - show a warning.
		(tested by damaging a clamav database file.)

2004-02-12 [paul]	0.9.9claws4

	* sync with 0.9.9cvs4
		see ChangeLog 2004-02-04, 2004-02-05, and 2004-02-06

2004-02-11 [luke]	0.9.9claws3

	* src/mimeview.c
		remove redundant check introduced in 0.9.9claws1

2004-02-11 [luke]	0.9.9claws2

	* src/mimeview.c
		fix compilation of my previous commit without gpg enabled

2004-02-10 [luke]	0.9.9claws1

	* src/mimeview.c
		add borders to icons to indicate the privacy status for
		the message part (unknown/bad/good)

2004-02-06 [paul]	0.9.9claws

	0.9.9claws released

2004-02-06 [darko]	0.9.8claws64

	* src/compose.c
		don't allow Ctrl+Enter while external editor is active

2004-02-06 [paul]	0.9.8claws63

	* po/es.po
	  po/pl.po
	  po/sk.po
	  po/sr.po
	  	update Spanish, Polish, Slovak, and Serbian translations.
		submitted by Ricardo Mones Lastra, Emil Nowak, Andrej Kacian,
		and Urke MMI

2004-02-04 [alfons]	0.9.8claws62

	* src/compose.c
		grab focus only when lbutton was pressed (bug #430 cont'd; 
		don't have clue yet why the cursor pos is at the end of the
		text.)

2004-02-04 [alfons]	0.9.8claws61

	* src/compose.c
		always grab focus when one of the header entries is clicked 
		(should fix bug #430, "no focus on pasted addresses 3 & higher")

2004-02-02 [paul]

	* ac/missing/gdk-pixbuf.m4
	  ac/missing/gpgme.m4
	  ac/missing/imlib.m4
	  	prevent 'underquoted definition' warnings
		patch submitted by David Relson
		
	* src/plugins/clamav/README
		update, improve, correct

2004-01-31 [thorsten]	0.9.8claws60

	* src/news.c
		'dir' not initialized if group has no messages

2004-01-29 [christoph]	0.9.8claws59

	* src/customheader.[ch]
		add custom_header_is_allowed() to check for disallowed header names
		that must not be overridden by custom headers

	* src/compose.c
		always write From: header and use custom_header_is_allowed() to
		check if custom header should be written

	* src/prefs_customheader.c
		check if custom header is disallowed using custom_header_is_allowed()

	* src/folderutils.c
		destroy message id GHashTable before freeing the MsgInfos

2004-01-29 [paul]	0.9.8claws58

	* sync with 0.9.9 release
		see ChangeLog 2004-01-29

2004-01-29 [paul]	0.9.8claws57

	* sync with 0.9.8cvs11
		see ChangeLog 2004-01-29

2004-01-28 [christoph]	0.9.8claws56

	* src/pgpmime.c
	* src/sgpgme.[ch]
		return WARN signature status when signature is not trusted

	* src/Makefile.am
	* src/folder.c
	* src/folderutils.[ch]			** NEW **
	* src/summaryview.c
		implement delete duplicates summaryview independent

2004-01-28 [paul]	0.9.8claws55

	* sync with 0.9.8cvs10
		see Changelog 2004-01-27 and 2004-01-28

2004-01-26 [christoph]	0.9.8claws54

	* src/imap.c
		create a root node for the Folder if scan fails because root
		folder does not exist

2004-01-26 [paul]	0.9.8claws53

	* sync with 0.9.8cvs7
		see ChangeLog 2004-01-23

2004-01-25 [alfons]	0.9.8claws52

	* src/compose.c
		remove left-over constant INDENT_CHARS

2004-01-25 [alfons]	0.9.8claws51

	* src/procmime.c
		add NULL pointer check for mimeinfo->node in
		procmime_mimeinfo_parent()

2004-01-25 [darko]	0.9.8claws50

	* src/compose.c
		make "Wrap all long lines" toolbar button wrap all
		long lines not just the current line
		patch by I. Oshadi Jayawardena <ioj4 at yahoo.co.uk>


2004-01-25 [alfons]	0.9.8claws49

	* src/procmime.c
		remove g_strstrip(); prevents a NULL pointer deref, and isn't
		necessary anyway, because *scanf() functions neglect white
		space in the input. 
		Fixes bug #425, "sylpheed 0.9.8claws42 crashes on some messages."

2004-01-25 [paul]	0.9.8claws48

	* src/prefs_ext_prog.c
		apply Alfons' patch to check for NULL pointers
		fixes bug #424

2004-01-25 [paul]	0.9.8claws47

	* sync with 0.9.8cvs8
		see ChangeLog 2004-01-23

2004-01-25 [thorsten]	0.9.8claws46

	* src/messageview.c
		remove orphaned mimeview unref()

2004-01-23 [christoph]	0.9.8claws45

	* src/summaryview.c
		set ctree widget style

2004-01-23 [paul]	0.9.8claws44

	* sync with 0.9.8cvs5
		see ChangeLog 2004-01-22

2004-01-23 [alfons]	0.9.8claws43

	* src/procmsg.c
		remove redundant code in procmsg_get_thread_tree()

2004-01-21 [christoph]	0.9.8claws42

	* src/folderview.c
		set ctree widget style, otherwise GTK does not use the
		the correct vertical size for the list items

2004-01-21 [alfons]	0.9.8claws41

	* src/summaryview.c
		GDK_Left should only switch to folderview when
		when summaryview hscrollbar is at the leftmost
		position (fixes bug #420, "Focus error")

2004-01-21 [paul]	0.9.8claws40

	* sync with 0.9.8cvs4
		see ChangeLog 2004-01-20

2004-01-20 [christoph]	0.9.8claws39

	* src/folderview.c
		remove setting sensitivity for no longer existing
		/Scoring... popup entry

2004-01-20 [keith]	0.9.8claws38

	* configure.ac
		Revert AM_CONFIG_HEADER to AC_CONFIG_HEADER

2004-01-20 [paul]	0.9.8claws37

	* src/prefs_fonts.c
		demystify font settings
		
	* src/textview.c
		use textview->msgfont for header->body in
		textview_show_header()

2004-01-20 [paul]	0.9.8claws36

	* src/compose.c
	  src/undo.c
	  	remove superfluous debug_print's
		
	* src/inc.c
		clear the statusbar after LOCAL incorporation

2004-01-20 [paul]	0.9.8claws35

	* sync with 0.9.8cvs3
		see ChangeLog 2004-01-20

2004-01-19 [keith]	0.9.8claws34

	* src/folderview.c
		don't show 'Search folder...' on popup menu
		if folder has no mails in it

2004-01-17 [keith]	0.9.8claws33

	* src/compose.c
	  src/prefs_common.c
	  src/prefs_common.h
		store position of compose window in prefs

2004-01-17 [thorsten]	0.9.8claws32

	* src/gtk/gtkvscrollbutton.c
		ensure scrollbutton resize event on different gtk versions

2004-01-15 [alfons]	0.9.8claws31
	
	* src/summaryview.c
		keep MSG_REPLIED and MSG_FORWARDED even when marking a
		message as read

2004-01-12 [christoph]	0.9.8claws30

	* src/procmime.c
		better MIME-Version check

2004-01-11 [alfons]	0.9.8claws29

	* src/procmsg.c
		remove unnecessary but still effective check (could possibly
		lead to some unwanted side effects)

2004-01-11 [alfons]	0.9.8claws28

	* src/procmsg.c
		we should not prefer lowest message number while threading 
		(introduced in previous commit)

2004-01-11 [alfons]	0.9.8claws27

	* src/procmsg.c
		subject threading fixes:
		
			- make message with lowest message number the
			  thread parent,
			- refine recording last node when threading. the last node
			  should be the previous one if a node has a thread parent,
			  or the current node if not
		
		(there's another threading bug fix coming up)

2004-01-10 [paul]	0.9.8claws26

	* src/main.c
	  src/prefs_ext_prog.c
	  src/plugins/clamav/clamav_plugin_gtk.c
	  	minor gui fixes

2004-01-09 [christoph]	0.9.8claws25

	* src/Makefile.am
	* src/string_match.[ch]			** REMOVE **
	* src/common/Makefile.am
	* src/common/string_match.[ch]		** NEW **
		move string_match.[ch] to common directory

2004-01-09 [christoph]	0.9.8claws24

	* src/pgpmime.c
		add MIME-Version header for the message parser

2004-01-09 [paul]	0.9.8claws23

	* po/POTFILES.in
	  src/Makefile.am
	  src/main.c
	  src/prefs_common.c
	  src/prefs_ext_prog.[ch]	** NEW FILES **
	  	move External Command options from 'Common Prefs/Other' to
		'Other Prefs/Message View/External Programs', also reveal
		the hidden options for audio player and image viewer.
		
	* src/prefs_common.c
		fix toggling of header pane

2004-01-09 [paul]	0.9.8claws22

	* src/compose.c
		when changing account also change the save folder

	* src/textview.c
		if a text/plain attachment has 'Content-Disposition: attachment'
		don't display it inline

2004-01-08 [christoph]	0.9.8claws21

	* src/procmime.c
		check for "MIME-Version: 1.0" in message/rfc882 MIME-parts,
		otherwise thread the message content as one text part and
		don't assume charset US-ASCII which is only specified as
		default for MIME-messages

2004-01-08 [paul]	0.9.8claws20

	* src/plugins/clamav/clamav_plugin.c
	  src/plugins/spamassassin/spamassassin.c
	  	inform the user what is happening via the statusbar

2004-01-06 [paul]	0.9.8claws19

	* po/es.po
		update Spanish translation. submitted by Ricardo
		Mones Lastra

2004-01-05 [paul]	0.9.8claws18

	* sync with 0.9.8cvs2
		see ChangeLog 2004-01-05

2004-01-03 [luke]	0.9.8claws17

	* src/procheader.c
		Clean up:
		o remove unused functions string_getchar() and file_getchar()
		o remove the getchar_ parameter from generic_get_one_field()
		o add an 'unfold' parameter to generic_get_one_field, to
		  be used if no HeaderEntry is supplied
		o procheader_get_one_field_asis() uses
		  generic_get_one_field().

2004-01-01 [christoph]	0.9.8claws16

	* src/common/xml.[ch]
		o add xml_new_tag() to manage usage counts of strings correctly
		o correct xml_copy_tree() function name

	* src/folder.c
	* src/main.c
		allow registering and unregistering of FolderClasses anytime

2003-12-31 [christoph]	0.9.8claws15

	* src/folder.[ch]
	* src/common/xml.[ch]
		keep folderlist.xml data for unloaded FolderClasses

2003-12-30 [luke]	0.9.8claws14

	* src/procheader.[ch]
		o added procheader_get_one_field_asis() that does not do
		  unfolding
		o fix procheader_get_header_array_asis() to use the above,
		  fixing ugliness of headers in textview

	* src/compose.c
		o don't unfold headers when redirecting.	

2003-12-30 [paul]	0.9.8claws13

	* po/POTFILES.in
	  src/common/defs.h
	  src/Makefile.am
	  src/main.c
	  src/prefs_common.c
	  src/prefs_themes.[ch]	** NEW FILES **
	  	redesign and move Icon Theme selector to
		the new prefs window
	  
	* src/stock_pixmap.c
		fix the old bug where icons are not always
		updated when changing themes
	
	* src/summaryview.c
		fix bug where the icons on the title row
		of the summary view were not updated
	
	all patches submitted by Ricardo Mones Lastra

2003-12-30 [hoa]	0.9.8claws12

	* src/folder.c
	        run preglobal and postglobal processing rules
		even if the folder does not have any rules.

2003-12-28 [paul]	0.9.8claws11

	* ac/aspell.m4
	  ac/check-type.m4
	  ac/gnupg-check-typedef.m4
	  ac/openssl.m4
	  ac/spamassassin.m4
	  	fix 'underquoted definition' warnings, patch submitted by
		David Relson <relson@osagesoftware.com>
		
	* src/common/utils.c
		subject_get_prefix_length(): add "Odp\\:" to reply prefixes,
		patch submitted by Jan Alboszta <J.Alboszta@students.mimuw.edu.pl>

2003-12-28 [paul]	0.9.8claws10

	* sync with 0.9.8cvs1
		see ChangeLog 2003-12-17

2003-12-27 [christoph]	0.9.8claws9

	* src/common/utils.[ch]
		add g_node_map() to map a GNode into a new GNode
		converting all node data's with a function

	* src/account.c
	* src/folder.[ch]
	* src/folderview.c
	* src/imap.c
	* src/mainwindow.c
	* src/summaryview.c
		o use g_node_map() to convert XML <-> Folder
		o remove redundant FolderItem->parent and
		  replace it with folder_item_parent()

2003-12-23 [christoph]	0.9.8claws8

	* src/folder.[ch]
	* src/folderview.c
	* src/mainwindow.c
	* src/procmsg.c
		o use callback for notifications about added and
		  destroyed folders
		o rewrite folderlist saving (new functions to create
		  folder from XML tree, and XML tree from folder)

	* src/common/xml.[ch]
		add function to save XML trees

	* src/prefs_filtering.c
		code cleanup

2003-12-22 [christoph]	0.9.8claws7

	* src/prefs_account.[ch]
		add "SMTP only" accounts

2003-12-20 [melvin]	0.9.8claws6

	* src/action.[ch]
		Changed the interface for action_update_*_menu() so
		action.c does not need to know the paths of the different
		actions menu (mainwindow, message view and compose window). 

	* src/compose.c
		Tiny code cleanup to merge spell checker related code
		compose_update_actions_menu(): new function to update
		the actions menu. Use it in compose_create()

	* src/compose.h
		compose_update_actions_menu(): new function to update
		the actions menu. Used also in prefs_actions.c.

	* src/mainwindow.[ch]
		main_window_update_actions_menu(): new function to update
		the actions menu. Used in main_window_create() and in
		prefs_actions.c

	* src/messageview.[ch]
		messageview_update_actions_menu(): new function to update
		the actions menu. Used in messageview_add_toolbar() and in
		prefs_actions.c
		
	* src/prefs_actions.c	
		prefs_actions_ok(): fixed to update the actions menu of
		the separate message view and the compose windows.

2003-12-20 [luke]	0.9.8claws5
	* src/procheader.c
		fix unfolding/newline stripping for multiline fields
		in generic_get_one_field()

2003-12-19 [christoph]	0.9.8claws4

	* src/summaryview.c
		o code cleanup
		o use subject_compare_for_sort() when comparing
		  simplified subjects

2003-12-19 [christoph]	0.9.8claws3

	* src/msgcache.c
		more syncing with 0.8.9a

2003-12-19 [christoph]	0.9.8claws2

	* src/folder.c
		don't write all FolderItem XML attributes for the root node

2003-12-19 [melvin]	0.9.8claws1

	* src/messageview.c
		Added missing menu branch (Tools/Create processing/rule)
	* po/fr.po
		Updated French translation for the added string.

2003-12-19 [paul]	0.9.8claws

	0.9.8claws released

2003-12-19 [paul]	0.9.7claws51

	* po/en_GB.po
	  po/es.po
	  po/ja.po
	  po/pl.po
	  po/sk.po
	  po/zh_CN.po
	  	update translations. submitted by me, Ricardo Mones
		Lastra, Rui Hirokawa, Emil Nowak, Andrej Kacian,
		Hansom Young
		
	* src/folder_item_prefs.c
		'enable_processing' set to FALSE by default

2003-12-18 [melvin]	0.9.7claws50

	* po/fr.po
		Updated French translation

2003-12-17 [christoph]	0.9.7claws49

	* src/procheader.c
		revert discarding of whitespace from 0.9.7claws44

		RFC2822 2.2.3: Unfolding is accomplished by simply
		removing any CRLF that is immediately followed by WSP.

2003-12-17 [paul]	0.9.7claws48

	* src/folder.c
		fix new message count
		
	* configure.ac
		update autotools macros

	* sync with 0.9.8a

2003-12-16 [christoph]	0.9.7claws47

	* src/folder.c
		fix folder update before adding MsgInfo to cache
		in add_msginfo_to_cache()

	* src/procmsg.c
		remove old call to folder_item_update() that is no
		longer required

2003-12-16 [christoph]	0.9.7claws46

	* src/main.c
		make sure the shutdown process only runs once

2003-12-16 [hoa]	0.9.7claws45

	* src/mainwindow.c
	* src/messageview.c
	* src/summaryview.[ch]
	        Create filter rules using a message is fixed.
	        We can now create processing rules using a message.

2003-12-15 [alfons]	0.9.7claws44

	* src/procheader.c
		make sure we discard folding white space

2003-12-15 [luke]	0.9.7claws43
        * src/textview.c
        * src/mimeview.c
 		o use "name" parameter if "filename" doesn't exist

2003-12-14 [alfons]	0.9.7claws42

	* src/summaryview.c
	* src/common/utils.c
		allow quick finding based on the result of passing
		a message to an external command. E.g:

			X "bogofilter < %F" 
		
		gets me all the spam in a folder.

2003-12-14 [luke]	0.9.7claws41

	* src/textview.c
	* src/mimeview.c
		o use parameter "filename" instead of "name" in a couple of 
		  places for correctness

	* src/procmime.c
	* src/common/utils.[ch]
		o make temporary filename for attachments safe for %p 
		  substitutions in actions.

2003-12-13 [christoph]	0.9.7claws40

	* src/main.c
		readd exit(0) to clean_quit() because otherwise sylpheed
		does not always terminate

	* src/pgpmime.c
	* src/privacy.h
		add an identifier-string for PrivacySystems

2003-12-12 [paul]

	* doc/man/sylpheed.1
		update the man page

2003-12-12 [paul]	0.9.7claws39

	general clean up
	
	* configure.ac
		correct and clean up './configure --help' info
	
	* src/plugins/clamav/clamav_plugin.c
	  src/plugins/spamassassin/spamassassin.c
	  	correct plugin_desc(), works with LOCAL, IMAP, and
		POP accounts
		
	* src/filtering.c
	  src/matcher.[ch]
	  src/matcher_parser_parse.y
	  src/prefs_filtering_action.c
	  	use 'Change Score' instead of '(In/De)crease score'.
		use *CHANGE_SCORE* instead of *ADD_SCORE*
	 
	 * src/mainwindow.c
	 	hyphenate: 'Pre-processing', 'Post-processing'
		
	* src/prefs_account.c
		change 'Generate Message-ID' to 'Generate Message-Id'
		
	* src/prefs_folder_item.c
		change 'Processing on startup:' to 'Process at startup'
		change 'Scan for new mail:' to 'Scan for new mail'
		
2003-12-11 [christoph]	0.9.7claws38

	* src/crash.c
	* src/main.[ch]
		make sure the clean_exit() funtion is not called again by the
		signal handler while it is already running

	(closes Bug 366 lost all folders -> spoiling folderlist.xml file)

	* src/summaryview.c
		fix wrong assertion

2003-12-11 [paul]	0.9.7claws37

	* src/compose.c
		'anonymise' Message-Id: header string

2003-12-11 [paul]	0.9.7claws36

	* src/plugins/clamav/clamav_plugin.c
		fix (don't break) signature count
		use cl_strerror() instead of deprecated cl_perror()
	
2003-12-11 [darko]	0.9.7claws35

	* src/summaryview.c
		also update the sort arrow (thanks Christoph)

2003-12-11 [darko]	0.9.7claws34

	* src/summaryview.c
		allow reverting to default sort mode (no sort)

2003-12-10 [hoa]	0.9.7claws33

	* src/matcher.c
	        fixed quotation of string for matcher.

2003-12-08 [paul]	0.9.7claws32

	* src/imap.c
	  src/inc.c
	  	plug memory leaks (patch by Alfons)

2003-12-08 [christoph]	0.9.7claws31

	* src/folder_item_prefs.[ch]
	* src/folderview.c
	* src/prefs_folder_item.c
		add new FolderItem property to exclude folders from new
		mail checks

	Patch submitted by Chad Robinson <crobinson@rfgonline.com>

2003-12-07 [paul]	0.9.7claws30

	* src/plugins/clamav/clamav_plugin.c
		fix signature count

2003-12-07 [thorsten]	0.9.7claws29

	* src/filtering.c
		debug_print some warning if destfolder missing
	* src/prefs_filtering.c
		uninitialized filter list when deleting a folder

2003-12-06 [paul]	0.9.7claws28

	* src/procheader.c
		add Alfons' patch to trim line feeds

2003-12-06 [paul]	0.9.7claws27

	* partial sync with 0.9.7cvs8
		leaving claws' online/offline more or less intact
		see ChangeLog 2003-12-04 and 2003-12-06

2003-12-06 [christoph]	0.9.7claws26

	* src/messageview.c
	* src/privacy.[ch]
		revert pirvacy API changes

2003-12-05 [alfons]	0.9.7claws25

	* src/matcher.[ch]
		clean up my old cruft

2003-12-05 [alfons]	0.9.7claws24

	* src/matcher.c
		fix comparison buglet ;-) and make `test` matcher
		work again

2003-12-05 [alfons]	0.9.7claws23

	* src/prefs_folder_item.c
		K&R 2nd Ed., page 241 (function parameter identifiers
		starting with an underscore are kind of insulting)

2003-12-05 [hoa]	0.9.7claws22

	* src/main.c
	* src/mainwindow.[ch]
	* src/mainwindow.h
	        add destructor for mainwindow so that the last 
		MimeInfo opened in messageview is destroyed when
		exiting sylpheed.

2003-12-05 [hoa]	0.9.7claws21

	* src/filtering.[ch]
	* src/matcher.[ch]
	* src/matcher_parser_lex.l
	* src/matcher_parser_parse.y
	* src/prefs_actions.c
	* src/prefs_filtering.c
	* src/common/utils.[ch]
	        quote arguments before giving them to command line.
		fixed quote of string in matcher/processing/filtering rules.

	* src/messageview.c
	* src/privacy.[ch]
	        allows decryption to return a new whole 
		MIME message structure.

2003-12-04 [hoa]	0.9.7claws20

	* src/filtering.[ch]
	* src/folder.c
	* src/mainwindow.c
	* src/matcher.c
	* src/matcher_parser_parse.y
	* src/folderview.c
	        global rules to run before folder specific rules.
	        global rules to run after folder specific rules.
		
	* src/messageview.c
	        fixed quick addition of rules.
	
	* src/prefs_filtering.[ch]
	* src/summaryview.c
	        we can now customize the title for the dialog.
		updated case where we rename of delete folders.

	* src/addressbook.c
	        got back the function addressbook_browse_entry_cb()
		that is needed in case we compiled with LDAP support.

2003-12-04 [paul]	0.9.7claws19

	* sync with 0.9.7cvs6
		see ChangeLog 2003-12-04
		fixes bug 171 'Wrong message decoing: koi8-r and 
		iso8859-5 looks same. Can't read many emails.'

2003-12-04 [paul]	0.9.7claws18

	* po/POTFILES.in
		remove 'src/prefs_scoring.c'

2003-12-03 [hoa]	0.9.7claws17

	* src/Makefile.am
	        compilation of scoring.[ch] and prefs_scoring.[ch]
		is removed.
	
	* src/filtering.[ch]
	* src/folder.c
	* src/folder_item_prefs.[ch]
	* src/folderview.c
	* src/main.c
	* src/mainwindow.c
	* src/matcher.[ch]
	* src/matcher_parser.h
	* src/matcher_parser_parse.y
	* src/prefs_filtering.[ch]
	* src/prefs_filtering_action.c
	* src/prefs_folder_item.c
	* src/prefs_scoring.[ch]              * REMOVED FILES *
	* src/procmsg.[ch]
	* src/scoring.[ch]                    * REMOVED FILES *
	* src/summaryview.c
	        merged scoring and filtering.
		
		Note : compatibility is kept by parsing score like 
		  add_score. To get the behaviour of older scoring 
		  system, you have to define some equivalent rule :
		  "score_lower -9999 hide"
		  "score_greater 9999 mark"
		  
		  To define global rules, you have to define them 
		  in the new global processing rules.
		  The variable that kept the list filtering rules 
		  was "global_processing" and has been renamed into 
		  "filtering_rules".
		  "global_processing" variable is now the name 
		  of the variable that keeps the list of global 
		  processing rules.
		  In the configuration file, "[global]" section is 
		  now for the global processing rules (which includes
		  score things and new global processing rules).
		  New "[filtering]" section is for the filtering rules.
		  
		  Before running with this version, during testing 
		  phase, ** MAKE A BACKUP ** of your matcherrc file.
		  Then, you have to make the following changes :
		  - leave all scoring rules in "[global]" section.
		  - move all other rules of "[global]" section to
		      a new section named "[filtering]".

2003-12-03 [christoph]	0.9.7claws16

	* src/procmime.c
		use default Content-Type as specified in RFC2045 if
		Content-Type header is syntactically incorrect

2003-12-03 [christoph]	0.9.7claws15

	* src/addressbook.c
	* src/addrindex.h
	* src/addritem.c
	* src/expldifdlg.h
	* src/exportldif.c
	* src/filtering.c
	* src/folder.c
	* src/folderview.c
	* src/jpilot.c
	* src/localfolder.c
	* src/matcher.h
	* src/matcher_parser_lex.l
	* src/matcher_parser_parse.y
	* src/news.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_item.c
	* src/prefs_fonts.c
	* src/procmsg.c
	* src/sgpgme.c
		clean up warnings

	* src/procmime.c
		revert 0.9.7claws14 change

2003-12-03 [alfons]	0.9.7claws14

	* src/procmime.c
		catch invalid Content-Type with no subtype

2003-12-03 [alfons]	0.9.7claws13

	* src/alertpanel.h
	* src/setup.c
	* src/plugins/image_viewer/plugin.c
		compile again, we need stddef.h for size_t

2003-12-03 [paul]	0.9.7claws12

	* src/account.c
		don't allow cloning of accounts with remote folders,
		patch submitted by Ricardo Mones Lastra

2003-12-03 [christoph]	0.9.7claws11

	* src/folder.[ch]
	* src/imap.c
	* src/localfolder.[ch]
	* src/mh.c
	* src/news.c
	* src/common/xml.[ch]
		add set_xml() and get_xml() virtual functions to FolderClass to
		save extra information for Folders (for example the rootpath
		only used by LocalFolder). The folderlist write function no
		longer needs to know the folder type to save this extra
		information.

2003-12-02 [christoph]	0.9.7claws10

	* src/Makefile.am
	* src/account.c
	* src/folder.[ch]
	* src/folderview.h
	* src/imap.c
	* src/localfolder.[ch]		** NEW **
	* src/mainwindow.c
	* src/mh.[ch]
	* src/news.[ch]
	* src/prefs_account.[ch]
	* src/prefs_filtering.h
	* src/procmsg.h
	* src/remotefolder.[ch]		** NEW **
	* src/common/xml.[ch]
		add item_set_xml() and item_get_xml() virtual functions to
		FolderClass to give folders the ability to add extra information
		to the saved FolderItem data. If NULL the default function for
		FolderItem will be used.

2003-11-29 [christoph]	0.9.7claws9

	* src/procheader.c
		fix bug in unfolding

2003-11-29 [luke]	0.9.7claws8

	* src/textview.c
		fix compilation for non c99 compilers

2003-11-29 [christoph]	0.9.7claws7

	* src/procmime.[ch]
	* src/mimeview.c
		o unknown disposition types should be handled as
		  attachment (RFC2183)
		o missing headers should not default to inline
		  (would make "Save All" useless when disposition header
		   is not set by the sending mailer)
		o remove old MimeInfo data and cleanup

2003-11-29 [luke]	0.9.7claws6

        * src/procmime.[ch]
                re-added parsing of Content-Disposition header
                        - removes the old  'gchar* content_disposition'
                        - adds a new field 'DispositionType disposition'
                        - adds parameters to MimeInfo::parameters

        * src/mimeview.c
                use the "filename" parameter for saving, and the new
                MimeInfo::disposition for save all.

        * src/compose.c
        * src/toolbar.[ch]
                add a 'check spelling' button as a possibility for 
		the compose toolbar

        * src/stockpixmap.[ch]
        * src/pixmaps/check_spelling.xpm        ** NEW **
        * src/Makefile.am
                add a pixmap for use with 'check spelling' button or
                a user defined action

        * src/textview.c
                re-apply fixed (I hope) patch for bug 57
                "Hidden URL in HTML Mails"

2003-11-28 [christoph]	0.9.7claws5

	* src/procmime.c
		o be more liberal in what we accept as Content-Type parameters
		o ignore comments after parameters

	* src/sgpgme.c
		o only free passphrase when an error occurs

2003-11-28 [paul]	0.9.7claws4

	* src/account.c
		add 'Clone Account' function. patch submitted by
		Ricardo Mones Lastra

2003-11-27 [thorsten]	0.9.7claws3

	* src/mimeview.c
		fix crash if 'save_all' failed twice

2003-11-27 [paul]	0.9.7claws2

	* po/POTFILES.in
		fix a typo

	* po/zh_CN.po
		update Simplified Chinese translation. submitted by
		Hansom Young

2003-11-27 [paul]	0.9.7claws1

	* po/POTFILES.in
		clean up

2003-11-26 [paul]	0.9.7claws

	* 0.9.7claws released

2003-11-26 [paul]	0.9.6claws99

	* src/Makefile.am
		add reference to pixmaps/mime_message.xpm

2003-11-26 [paul]	0.9.6claws98

	* po/POTFILES.in
		remove reference to src/sigstatus.c

2003-11-26 [christoph]	0.9.6claws97

	* src/Makefile.am
	* src/prefs_common.c
	* src/rfc2015.c
	* src/sigstatus.[ch]		** REMOVE **
		remove signature result popup option and window

2003-11-26 [paul]	0.9.6claws96

	* po/es.po
	  po/ja.po
	  po/pl.po
	  po/sk.po
	  po/sr.po
	  	update translations. submitted by Ricardo Mones Lastra,
		Rui Hirokawa, Emil Nowak, Andrej Kacian, and Urke MMI

2003-11-25 [christoph]	0.9.6claws95

	* src/procmime.c
		display mime structure only in debug mode

2003-11-25 [melvin]	0.9.6claws94

	* po/fr.po
		Updated French translations + typos fixes of older
		translations (thanks to Fabien Vantard for pointing
		to some of them)

2003-11-25 [melvin]	0.9.6claws93

	* src/editldap.c
		Fixed a couple of typos.

2003-11-24 [paul]	0.9.6claws92

	* po/POTFILES.in
		add 'src/textview.c'

2003-11-24 [paul]	0.9.6claws91

	* src/sgpgme.c
		fix typo. spotted by Rui Hirokawa <rui_hirokawa@ybb.ne.jp>

2003-11-24 [paul]	0.9.6claws90

	* src/plugins/image_viewer/viewer.c
		image_viewer_show_mimepart(): 
		use procmime_mimeinfo_get_parameter() to get the file name

2003-11-24 [paul]	0.9.6claws89

	* src/textview.c
		textview_show_mime_part(): rewrite text hint

2003-11-22 [paul]	0.9.6claws88

	* sync with 0.9.7cvs5
		see ChangeLog 2003-11-21

2003-11-21 [paul]	0.9.6claws87

	* src/mimeview.c
		define shortcut key 'o' for 'Open with...'

2003-11-21 [alfons]	0.9.6claws86

	* src/messageview.c
		fix bug #383 'Deleting message from "separate message view" 
		uses local Trash folder'

2003-11-21 [christoph]	0.9.6claws85

	* src/mimeview.c
		fix content-type guessing by name parameter when finding
		the correct viewer

2003-11-21 [alfons]	0.9.6claws84

	* src/main.c
		no mail incorporation allowed with --offline param.
		fixes bug #374, "--offline ignored"

2003-11-20 [christoph]	0.9.6claws83

	* src/mimeinfo.c
		use signed MimeInfo when checking the signature and not
		the selected one

2003-11-19 [alfons]	0.9.6claws82

	* src/mainwindow.c
		fix crash when toggling separate views, patch submitted
		by Pawel Pekala <c0rn|AT|gazeta.pl>.
		fixes bug #342, "separate views  cause crash"

2003-11-19 [paul]	0.9.6claws81

	* src/compose.c
		compose_redirect_write_headers_from_headerlist(): 
		add Resent-Cc: header (bug fix inherited from 0.9.7cvs3)
		
	* src/main.c
		code cleanup (inherited from 0.9.7cvs4)
		
	* tools/tb2sylpheed
		bugfix: added missing attribute-list start. submitted by
		Urke MMI

2003-11-19 [luke]	0.9.6claws80

	* src/textview.c
		revert my last commit until I get time to fix it

2003-11-18 [christoph]	0.9.6claws79

	* src/mimeview.[ch]
		check parent MimeInfos for signatures and display the
		result of the parent when found

	* src/pgpmime.c
		o avoid NULL pointer warnings
		o use procmime_mimeinfo_get_parameter()

	* src/sgpgme.c
		small text changes

2003-11-17 [luke]	0.9.6claws78

        * src/textview.c
                add check for disguised URLs, fixing bug 57
                "Hidden URL in HTML Mails"

2003-11-16 [christoph]	0.9.6claws77

	* src/procmime.c
		fix crash when parsing invalid Content-Type header

2003-11-16 [christoph]	0.9.6claws76

	* src/pgpmime.c
	* src/privacy.c
	* src/procmime.c
	* src/sgpgme.[ch]
		implement message decrypting

	* src/rfc2015.c
		remove old code

2003-11-14 [luke]	0.9.6claws75

        * src/mimeview.c
                fix a couple of problems that treated application/* and
                application/octet-stream the wrong way around
                (since 0.9.6claws10), causing "Open" to do nothing.

2003-11-14 [christoph]	0.9.6claws74

	* src/messageview.c
	* src/pgpmime.c
	* src/privacy.[ch]
		prepare for message part decrypting

	* src/sgpgme.c
		add output for expired signatures

	* src/rfc2015.c
		remove some old code

2003-11-10 [christoph]	0.9.6claws73

	* src/mimeview.c
		add "Full info" button for bad and warn signature status

	* src/sgpgme.c
		generate full signature info like gpg's output
		(gpg -v --with-fingerprint --verify)

2003-11-10 [christoph]	0.9.6claws72

	* src/mimeview.c
	* src/pgpmime.c
	* src/privacy.[ch]
	* src/sgpgme.[ch]
	* src/textview.[ch]
		o add code to view full signature info
		o do automatic signature checks

2003-11-10 [alfons]	0.9.6claws71

	* src/summaryview.c
		don't crash when gtkut_font_load() returns invalid font (has
		something to do with locale settings)
		Patch submitted by David Chalmers <davidc|AT|ccmi.salk.edu>.

2003-11-09 [alfons]	0.9.6claws70

	* src/procmime.c
		plug leak

2003-11-08 [luke]	0.9.6claws69

	* src/summaryview.c
                fix some typos

        * src/compose.c
                rewrite compose_attach_parts(), fixing various bugs mainly
		to do with re-editing.

        * src/mimeview.c
                "save all" now only saves attachments with names/filenames

2003-11-04 [match]	0.9.6claws68

	* src/ldapctrl.[ch]
		fix broken LDAP support.

	* src/ldapquery.c
		remove printf's.

2003-11-04 [luke]	0.9.6claws67

        * src/mimeview.c
                o  fixed bug 4 "focus lost on messages with attachments"
                o  fixed 'Save all' attachments for new mime changes
                o  right clicking on icons consistent with right clicking on
                   mime tree
                  - fixes a bug where wrong part is saved when you
                    choose 'Save as' from popup menu
                  - fixes bug 308 "No way to "save all" attachments"
                o  fixed a compiler warning.

        * src/textview.c
                o  removed flickering in mime tree when using "n" and "p"
                   shortcuts
                o  fixed bug where selecting the textview and pressing e.g.
		   'y' causes sylpheed to respond twice.

        * src/summaryview.c
                removed hard coding of * and ! shortcuts (which only served
                to cause problems if you tried to redefine the shortcuts)

2003-11-04 [luke]	0.9.6claws66

        * src/plugins/image_viewer/viewer.c
	* src/plugins/image_viewer/viewerprefs.c
	* src/plugins/image_viewer/viewerprefs.glade
                o  allow toggling of image scaling by clicking on image
                o  respond to image's container widget resize

        * src/procmime.c
                o  fix bad parsing of message when re-editing/viewing a
		   message saved to the drafts folder

2003-11-02 [match]	0.9.6claws65

	* src/browseldap.h
		fix if not building LDAP support.
	* src/addrindex.c
	* src/ldapquery.[ch]
	* src/editldap.h
		include support for contains query. feature req 529354.

2003-11-02 [alfons]	0.9.6claws64

	* src/browseldap.c
		fix build bustage if not compiling ldap support

2003-11-01 [match]	0.9.6claws63

	* po/POTFILES.in
	* src/Makefile.am
	* src/addr_compl.[ch]
	* src/addrbook.c
	* src/addrcache.[ch]
	* src/addrdefs.h	** NEW **
	* src/addressbook.c
	* src/addressitem.h
	* src/addrindex.[ch]
	* src/addritem.h
	* src/addrquery.[ch]
	* src/ldapquery.[ch]
	* src/ldapserver.[ch]
		refactor LDAP query mechanism.

	* src/browseldap.[ch]	** NEW **
	* src/ldaplocate.[ch]	** NEW **
		add feature to browse LDAP entry that was retrieved using
		an explicit LDAP search.

2003-11-01 [alfons]	0.9.6claws62

	* src/prefs_gtk.c
		prefs_write_param(): fail when we see an invalid type; all the
		callers seem to handle this gracefully by reverting changes

2003-10-30 [christoph]	0.9.6claws61

	* configure.ac
	* ac/openssl.m4
	* ac/spamassassin.m4
	* src/Makefile.am
		use extra variables for all libraries to make sure plugins
		are only linked with libraries they really need. $LIBS is always
		added to the linking parameters, but we only what the libraries
		listed in the Makefile

2003-10-29 [paul]	0.9.6claws60

	* src/mimeview.c
		don't use Subject for unknown part name

2003-10-29 [paul]	0.9.6claws59

	* src/compose.c
		get name of attachment(s) when re-editing, fwd'ing or
		redirecting
		
	* src/mimeview.c
		get name of attachment(s) when saving

2003-10-29 [hoa]	0.9.6claws58

	* src/textview.c
		implemented multipart/alternative in MIME message viewer.

2003-10-28 [christoph]	0.9.6claws57

	* configure.ac
		make sure MathML-Viewer is not built with the
		Gtk2 version of GtkMathView

2003-10-28 [paul]	0.9.6claws56

	* sync with 0.9.7cvs1
		see ChangeLog 2003-10-28

2003-10-27 [alfons]	0.9.6claws55

	* src/matcher_parser_parse.y
	* src/gtk/colorlabel.c
		allow setting color label to 0 in filtering/processing rules
		(should fix bug 368, "Can't create a filter condition "colorlabel 0"") 

2003-10-26 [alfons]	0.9.6claws54

	* src/summary_search.c
		fix misnomer and correct selecting initial search node  

2003-10-26 [christoph]	0.9.6claws53

	* src/pgpmime.c
	* src/sgpgme.c
		change display of signature info to use only name of
		signer, otherwise the text gets too long.

	* src/procmime.c
		don't use MimeInfo's filename to generate tmp filename

2003-10-25 [christoph]	0.9.6claws52

	* src/procmime.c
		fix message body searching

2003-10-25 [paul]	0.9.6claws51

	* src/compose.c
		use g_basename rather than basename

2003-10-24 [christoph]	0.9.6claws50

	* src/sgpgme.c
		change fetching of signature key's trust

2003-10-24 [paul]	0.9.6claws49

	* po/sk.po
	  	update Slovak translation
		submitted by Andrej Kacian
		
	* src/mainwindow.c
		remove unknown menu entry /File/Add mailbox/mbox...

2003-10-24 [hoa]	0.9.6claws48

	* src/Makefile.am
		removed all references to mbox folders

	* src/carray.[ch]		* REMOVED *
	* src/chash.[ch]		* REMOVED *
	* src/maillock.[ch]		* REMOVED *
	* src/mailmbox.[ch]		* REMOVED *
	* src/mailmbox_folder.[ch]	* REMOVED *
	* src/mailmbox_parse.[ch]	* REMOVED *
	* src/mailmbox_types.[ch]	* REMOVED *
	* src/mbox_folder.[ch]		* REMOVED *
		remove implementation of mbox folders
		and old mailbox folder.
		mbox folder implementation will be added
		as a plugin so that implementation can be entirely
		synchronized with the files of the project they are
		extracted from (libEtPan!).
	
	* src/mainwindow.c
	* src/folder.c
	* src/folderview.[ch]
	* src/procmsg.h		
		Disable as much code that references mbox folders
		as possible.
		Some UI thing still need to know that folder is mbox
		(when we have to enter the name of the mailbox and
		we want to add /var/mail/$USER).

2003-10-23 [christoph]	0.9.6claws47

	* src/noticeview.c
		don't always display button when noticeview is made visible

	* src/mimeview.c
	* src/pgpmime.c
	* src/privacy.[ch]
	* src/sgpgme.[ch]
		get signature information from crypto system

2003-10-22 [paul]	0.9.6claws46

	* po/es.po
		updated by Ricardo Mones Lastra

2003-10-22 [paul]	0.9.6claws45

	* src/Makefile.am
		update to reflect the changes to the icons that
		happened in 0.9.6claws35

2003-10-22 [alfons]	0.9.6claws44
	
	* src/carray.h
		inline carray_count() 

2003-10-21 [alfons]	0.9.6claws43

	* src/carray.h
		glib wrappers
	* src/carray.c
		disable
	* src/mailmbox.[ch]
	* src/mailmbox_folder.c
	* src/mailmbox_parse.c
	* src/mailmbox_types.[ch]
		%s/uint32_t/guint

2003-10-21 [luke]	0.9.6claws42

	* src/stock_pixmaps.[ch]
        * src/mimeview.c
        * src/pixmaps/mime_application_octet_stream.xpm         ** REMOVE **
        * src/pixmaps/messageview_text.xpm                      ** REMOVE **
                o remove mime_application_octet_stream.xpm icon (it was never
                  really needed)
                o remove redundant icon messageview_text.xpm

        * src/mainwindow.c
                fix visibility of signature noticeview when toggling 'separate
                message view'

2003-10-21 [christoph]	0.9.6claws41

	* src/procmime.c
		decode multipart and rfc822 mime parts to allow further
		parsing when required

2003-10-21 [christoph]	0.9.6claws40

	* src/procmime.[ch]
	* src/textview.c
		remove obsolete charset parameter in MimeInfo and fix
		TextView to use the charset from the parameter hash table

	* src/plugins/dillo_viewer/Makefile.am
	* src/plugins/trayicon/Makefile.am
		add OPENSSL_CFLAGS to fix building with using
		--with-openssl-* parameters

2003-10-21 [paul]	0.9.6claws39

	* src/prefs_matcher.[ch]
		replace remnants of the old, renamed 'Execute' matchtype
		add a brief description to the Info window

2003-10-21 [hoa]	0.9.6claws38
	
	* src/Makefile.am
	* src/carray.[ch]		* NEW *
	* src/chash.[ch]		* NEW *
	* src/folder.c
	* src/maillock.[ch]		* NEW *
	* src/mailmbox.[ch]		* NEW *
	* src/mailmbox_folder.[ch]	* NEW *
	* src/mailmbox_parse.[ch]	* NEW *
	* src/mailmbox_types.[ch]	* NEW *
		implementation of mbox folder with unique message numbers

		made use of libEtPan! implementation of mbox for lower-layer.

2003-10-20 [alfons]	0.9.6claws37

	* src/noticeview.c
		fix invalid argument warning
	* src/pgpmime.c
		no in place variable

2003-10-20 [paul]	0.9.6claws36

	* src/compose.[ch]
	  src/filtering.c
	  src/messageview.c
	  	fix crash when using Forward in Filtering when
		external editor option is set
		
		Patch submitted by Simon 'corecode' Schubert
	        <corecode@corecode.ath.cx> 

2003-10-20 [paul]	0.9.6claws35

	* src/pixmaps/mime_gpg_expired.xpm	** REMOVED **
	  src/pixmaps/mime_gpg_failed.xpm	** REMOVED **
	  src/pixmaps/mime_gpg_passed.xpm	** REMOVED **
	  src/pixmaps/mime_gpg_signed.xpm	** REMOVED **
	  src/pixmaps/mime_gpg_unknown.xpm	** REMOVED **
	  src/pixmaps/privacy_expired.xpm	** NEW FILE **
	  src/pixmaps/privacy_failed.xpm	** NEW FILE **
	  src/pixmaps/privacy_passed.xpm	** NEW FILE **
	  src/pixmaps/privacy_signed.xpm	** NEW FILE **
	  src/pixmaps/privacy_unknown.xpm	** NEW FILE **
	  src/pixmaps/privacy_warn.xpm		** NEW FILE **
	  src/mimeview.c
	  src/stock_pixmap.[ch]
	  	replace mime_gpg_*.xpm icons with new privacy_*.xpm
		icons. add privacy_warn.xpm icon

2003-10-20 [hoa]  0.9.6claws34

	* src/folder_item_prefs.[ch]
	* src/prefs_folder_item.c
	* src/main.c
		Added a property per folder to choose whether we 
		want to apply processing on it on startup or if we
		prefer to wait the folder selection to apply it.
	
	* src/messageview.c
		fixed C89 compatibility (for old compilers, for
		example gcc 2.95.x).

2003-10-17 [christoph]  0.9.6claws33

	* src/mimeview.c
	* src/noticeview.[ch]
		change noticeview icon to indicate signature status

2003-10-17 [christoph]  0.9.6claws32

	* src/Makefile.am
	* src/main.c
	* src/mimeview.c
	* src/noticeview.c
	* src/pgpmime.[ch]				** NEW **
	* src/privacy.[ch]
	* src/rfc2015.c
	* src/sgpgme.c					** NEW **
		reimplement PGP/Mime signature checking (unfinished)

2003-10-15 [christoph]  0.9.6claws31

	* src/procmime.[ch]
		fix procmime_get_text_content() and
		procmime_get_first_text_content()

2003-10-15 [christoph]	0.9.6claws30

	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/spamassassin/spamassassin_gtk.glade
		fix timeout tooltip

2003-10-15 [paul]	0.9.6claws29

	* src/messageview.c
		workaround for buggy smtp servers. on sending a
		return receipt strip the name part from the address
		when creating headers
		
2003-10-15 [paul]	0.9.6claws28

	* sync with 0.9.7 release
		see ChangeLog 2003-10-15

2003-10-14 [christoph]	0.9.6claws27

	* src/plugins/clamav/clamav_plugin.c
		fix clamav plugin

2003-10-14 [christoph]	0.9.6claws26

	* src/compose.c
	* src/mimeview.c
	* src/procmime.[ch]
	* src/rfc2015.c
	* src/textview.c
	* src/plugins/clamav/clamav_plugin.c
		use GNode to create the mime tree (some changes to functions
		that traverse the tree are just quick and dirty. Maybe we
		can find better solutions with g_node_*-functions)

2003-10-14 [luke]	0.9.6claws25

	* src/mimeview.c
		fix a navigation bug (stupid typo of mine)

2003-10-14 [christoph]	0.9.6claws24

	* src/textview.c
		fix missing last line in plain/text mails

2003-10-13 [luke]	0.9.6claws23

	* src/summaryview.c
	        fix bug 334 (part 1)

2003-10-13 [kov]	0.9.6claws22

	* src/mimeview.c
	        error checking when the user enters a non-directory at
	        the file selection dialog.
	        work-around for users entering directory location without
	        adding a leading G_DIR_SEPARATOR.

2003-10-13 [luke]	0.9.6claws21

	* src/compose.c
	        error reporting for inserting files, including catching
        	invalid characters for current locale/encoding

2003-10-13 [paul]	0.9.6claws20

	* src/folderview.c
		fix bug #347 'subscribe newsgroups crashes'

2003-10-13 [paul]	0.9.6claws19

	* src/compose.c
		when using 'Reply to all' include the 'send replies
		to' folder property
		
	* po/ja.po
		update Japanese translation. submitted by Rui Hirokawa 
		<rui_hirokawa@ybb.ne.jp>	

2003-10-13 [hoa]	0.9.6claws18

	* src/account.c
	* src/compose.c
	* src/messageview.c
	* src/procheader.c
	* src/procheader.h
		rename get_header_from_msginfo() into
		procheader_get_header_from_msginfo() so that we have a
		coherent exported naming.
		avoid parsing of header contained in a string via
		a newly written temporary file.

	Patch submitted by Simon 'corecode' Schubert
	        <corecode@corecode.ath.cx>

2003-10-12 [hoa]	0.9.6claws17

	* src/filtering.c
	* src/filtering.h
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/prefs_filtering_action.c
		added "stop" action : stop applying the filtering rules.
		added "set score" and "increase/decrease score" actions.
		That two last action replace the "change_score" action
		introduced by alfons in 0.8.8claws85.
		"set score" is to set a given score to the message.
		"increase/decrease score" will increase or decrease the
		score if the given value is respectively positive or
		negative. If someone find a some better name for this last
		rule, it can be modified.

2003-10-12 [paul]	0.9.6claws16

	* AUTHORS
	  po/ja.po
		update Japanese translation. submitted by Rui Hirokawa 
		<rui_hirokawa@ybb.ne.jp>

2003-10-12 [christoph]	0.9.6claws15

	* src/procmime.c
		fix crash caused by incorrect headers

2003-10-10 [christoph]	0.9.6claws14

	* src/main.c
	* src/privacy.[ch]
	* src/rfc2015.[ch]
		implement detection of signed message parts for rfc2015

2003-10-10 [thorsten]	0.9.6claws13

	* src/mimeview.c
		fix typo

2003-10-10 [christoph]	0.9.6claws12

	* src/stock_pixmap.[ch]
	* src/pixmaps/mime_message.xpm			** NEW **
		add a new icon for mime type "message"

	* src/privacy.[ch]
	* src/procmime.[ch]
		add crypto api

	* src/mimeview.c
		o use crypto api
		o add icons for message type mime parts

2003-10-10 [christoph]	0.9.6claws11

	* src/mainwindow.c
	* src/messageview.[ch]
	* src/mimeview.[ch]
	* src/procmime.[ch]
	* src/procmsg.[ch]
	* src/rfc2015.c
	* src/summaryview.c
	* src/textview.[ch]
		o remove switching between TextView and MimeView in MessageView
		  (if required we can hide the icon box and the MimeView will
		   look exaxtly like the TextView)
		o temporary remove signature and decrypting GPGME code

2003-10-09 [christoph]	0.9.6claws10

	* src/action.c
	* src/compose.c
	* src/messageview.c
	* src/mimeview.c
	* src/procmime.[ch]
	* src/procmsg.c
	* src/rfc2015.c
	* src/textview.c
	* src/common/utils.[ch]
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/image_viewer/viewer.c
	* src/plugins/mathml_viewer/mathml_viewer.c
		new mime parser (several things need fixing)

2003-10-09 [paul]	0.9.6claws9

	* src/imap.c
		a little more sync with 0.9.6cvs2 and a tidy up

2003-10-08 [paul]	0.9.6claws8

	* sync with 0.9.6cvs2
		see ChangeLog 2003-10-03

2003-10-05 [christoph]	0.9.6claws7

	* src/summaryview.c
		don't use flags to check if a message is in a news folder

	(closes Bug 282 clicking on folder with copied Messages from News
	 immediately after having copied them crashes Sylpheed-Claws)

2003-10-05 [christoph]	0.9.6claws6

	* src/Makefile.am
	* src/progressdialog.[ch]		** REMOVE **
	* src/gtk/Makefile.am
	* src/gtk/progressdialog.[ch]		** NEW **
		move progressdialog to gtk directory

2003-10-04 [christoph]	0.9.6claws5

	* src/prefs_toolbar.c
	* src/gtk/prefswindow.c
		remove widget_show_all for pages root widget

	* src/plugins/spamassassin/spamassassin.[ch]
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/spamassassin/spamassassin_gtk.glade
		add support for new libspamc transports

2003-10-04 [christoph]	0.9.6claws4

	* src/plugins/spamassassin/libspamc.[ch]
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/utils.[ch]
		update libspamc to version from SpamAssassin 2.60

2003-10-03 [christoph]	0.9.6claws3

	* src/send_message.c
		fix missing format string bug found by
		Georgi Guninski <guninski@guninski.com>

2003-10-03 [paul]	0.9.6claws2

	* po/zh_CN.po
		update Simpilified Chinese translation, submitted by
		Hansom Young

2003-10-02 [christoph]	0.9.6claws1

	* src/imap.c
		add UIDPLUS support for COPY and EXPUNGE

2003-10-02 [paul]	0.9.6claws

	* 0.9.6claws released

2003-10-02 [paul]

	* po/es.po
	  po/sk.po
	  	update Spanish and Slovak translations
		submitted by Ricardo Mones Lastra and Andrej Kacian
 
2003-10-02 [paul]	0.9.5claws43

	* po/en_GB.po
		update British English translation

2003-10-02 [paul]	0.9.5claws42

	* po/hr.po
		update Croatian translation, submitted by Dragan

2003-10-01 [paul]	0.9.5claws41

	* po/pl.po
	  po/sr.po
	  	update Polish and Serbian translations, submitted by
		Emil and Urke MMI

2003-10-01 [melvin] 	0.9.5claws40

	* po/fr.po
		Updated French translations

2003-10-01 [melvin] 	0.9.5claws39

	* src/prefs_fonts.c
		Fixed a Gtk warning

	* src/plugins/dillo_prefs.c	
		Quasi unnoticeable UI clean-up.

2003-10-01 [paul]

	* tools/README
	  tools/maildir2sylpheed.pl
	  	bug fixes, rewrites, submitted by Matthias Förste 
		<itsjustme@users.sourceforge.net>

2003-09-29 [paul]	0.9.5claws38

	* src/inc.c
		fix my coding carelessness

2003-09-29 [paul]	0.9.5claws37

	* po/POTFILES.in
	  src/Makefile.am
	  src/main.c
	  src/prefs_common.[ch]
	  src/prefs_fonts.[ch]	** NEW FILES **
	  	move Font config options to Other Prefs/Display/Fonts
		(user's current configuration is preserved)

2003-09-29 [paul]	0.9.5claws36

	* src/inc.c
	  src/prefs_account.c
	  	allow 'local_mbox' value to point to either a directory 
		(/var/mail -  default, new) or a file (/var/mail/username
		- original)

2003-09-28 [paul]	0.9.5claws35

	* src/rfc2015.c
		on signature check, where key exists, print the
		Key ID

2003-09-27 [alfons]	0.9.5claws34

	* src/action.c
		o make progress bar not fill/expand when resizing dialog
		o use default fixed text font for actions output

2003-09-27 [paul]	0.9.5claws33

	* src/prefs_common.[ch]
	  src/procmsg.c
	  src/send_message.c
	  	remove External Program settings from Common Prefs/Send
		as they are now unnecessary due to Local account settings.
		plus a little tidying-up after 0.9.5claws31

2003-09-27 [paul]	0.9.5claws32

	* src/prefs_account.c
		o make correction to gui text:
		  'Local mailbox file' -> 'Local mailbox directory'
		o give 'local_mbox' option a reasonable default value:
		  '/var/mail'
		o use 'DEFAULT_SENDMAIL_CMD' as default 'mail_command'
		  value

2003-09-26 [paul]	0.9.5claws31

	* src/inc.c
	  src/prefs_common.[ch]
	  	remove 'Incorporate from spool' common pref,
		force creation of a 'Local' account

2003-09-26 [christoph]	0.9.5claws30

	* src/folder.c
	* src/msgcache.c
		add more NULL pointer checks

2003-09-25 [christoph]	0.9.5claws29

	* src/folder.c
		o don't fetch source message to get it's message id
		o immediately scan dest folder when copying a message did not
		  return a new message number and not do it when the first message
		  without a new message number is found

2003-09-23 [christoph]	0.9.5claws28

	* src/compose.c
		fix generating of headers

	(patch by David Relson <relson@osagesoftware.com>)

2003-09-23 [paul]	0.9.5claws27

	* po/zh_CN.po
		update Simplified Chinese translation. submitted by
		Hansom Young

2003-09-23 [paul]	0.9.5claws26

	* tools/Makefile.am
	  tools/README
	  tools/vcard2xml.py	** NEW FILE **
	  	add a script that converts an evolution vcard to
		sylpheed's xml format
		submitted by Bogdan Sumanariu <bsumanariu@one5.ro>

2003-09-22 [paul]	0.9.5claws25

	* src/plugins/clamav/clamav_plugin.c
		don't skip MULTIPART parts

2003-09-21 [christoph]	0.9.5claws24

	* src/alertpanel.c
		remove unneeded include

	* src/folder.c
		clean up copy/move mess with duplicated code

	* src/imap.c
		fix problem that sometimes the folder was not scanned
		also it was changed

2003-09-21 [christoph]	0.9.5claws23

	* src/Makefile.am
	* src/logwindow.[ch]			** REMOVE **
	* src/mainwindow.c
	* src/prefs_common.c
	* src/gtk/Makefile.am
	* src/gtk/logwindow.[ch]		** ADD **
		make logwindow prefs_common independent and move
		it to gtk directory

2003-09-20 [christoph]	0.9.5claws22

	* src/compose.c
		add extra space for address code conversion
		(4 * unconvered size could be too small for short headers)

2003-09-20 [christoph]	0.9.5claws21

	* src/compose.c
		increase temp buffer size when writing headers

2003-09-19 [darko]	0.9.5claws20

	* src/compose.c
		don't ignore value of 'Save copy of outgoing messages to
		this folder instead of Sent' in message redirect

2003-09-17 [christoph]	0.9.5claws19

	* src/compose.c
		use ", " as address seperator for mail headers and pass whole
		header line at once to compose_convert_header to make sure
		it is correctly folded

	(closes Bug 64 Problem when sending to many recipients)

2003-09-17 [hoa]	0.9.5claws18
	
	* src/matcher.[ch]
	  src/matcher_parser_parse.y
	  src/prefs_matcher.c
		changed the keyword used for command execution in condition
		keyword is changed from "execute" to "test"
		so that it is not the same as the one used for action.
		This will fix a bug when using filtering dialog.
		All semantic in the code is also changed to reflect
		the keyword change.

2003-09-17 [paul]
	
	* sync with 0.9.6 release

2003-09-17 [paul]	0.9.5claws17

	* sync with 0.9.5cvs8
		see ChangeLog 2003-09-16 and 2003-09-17

2003-09-16 [paul]	0.9.5claws16

	* sync with 0.9.5cvs6
		see ChangeLog 2003-09-16

2003-09-15 [paul]	0.9.5claws15

	* sync with 0.9.5cvs5
		see ChangeLog 2003-09-15

2003-09-14 [alfons]	0.9.5claws14

	* src/inc.c
		make "Go to inbox after receiving new mail" again;
		regression of a sync, restored to sylpheed main 
		behaviour. (misses still some bits)

2003-09-14 [alfons]	0.9.5claws13

	* src/prefs_filtering_action.c
		o add proper message if empty execute command line
		o don't select first action item after registering a
		  new action to prevent (what seems to be a GTK) bug
		  #36, "filtering will only accept one action change 
		  per invocation".

2003-09-14 [alfons]	0.9.5claws12

	* src/prefs_filtering.c
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
		fix function signature for key_pressed_event signal handlers

2003-09-14 [alfons]	0.9.5claws11

	* src/mainwindow.c
		fix regression caused by fix for invalid bug #7
		(should fix #246, "Multiple selections are deselected when 
		moving from search window to main window")
		
2003-09-14 [alfons]	0.9.5claws10
	
	* src/actions.[ch]
	* src/filtering.[ch]
	* src/prefs_actions.c
		allow `filtering actions` in actions; only for advanced users
		right now: try for example, "%as{mark color 2}" 
	
2003-09-13 [paul]	0.9.5claws9
	
	* po/pl.po
	  po/zh_CN.po	** NEW FILE **
	  	update Polish translation, submitted by Emil 
		<eminowbl@posejdon.wpk.p.lodz.pl>
		add new Simplified Chinese translation, submitted by
		Hansom Young <hansom_young@yahoo.com>

2003-09-12 [alfons]	0.9.5claws8

	* src/summaryview.c
		don't open separate message views when View | Separate message view
		is active 
		(please look carefully for any navigation regressions)

2003-09-11 [alfons]	0.9.5claws7

	* src/mainwindow.c
		make default message view, opened by View | Separate message 
		view, look like a claws message view (which includes a menu
		bar and a toolbar)
		(fixes bug #298, "message view loses tool bar")	

2003-09-11 [christoph]	0.9.5claws6

	* src/folderview.c
		fix double deleting of newsgroup folders

	(closes Bug 305 crash after deleting of a newsgroup)

2003-09-11 [paul]	0.9.5claws5

	* src/rfc2015.c
	  src/common/utils.h
		more sync'ing from 0.9.5cvs2

2003-09-11 [christoph]	0.9.5claws4

	* src/compose.c
	* src/rfc2015.c
	* src/common/utils.h
		fix sync with 0.9.5cvs2

2003-09-11 [paul]	0.9.5claws3

	* sync with 0.9.5cvs4
		see ChangeLog 2003-09-11

2003-09-11 [paul]	0.9.5claws2

	* sync with 0.9.5cvs2
		see ChangeLog 2003-09-05
		
2003-09-11 [paul]	0.9.5claws1

	* sync with 0.9.5cvs3
		see ChangeLog 2003-09-10

2003-09-10 [paul]	0.9.5claws

	* 0.9.5claws released

2003-09-10 [paul]	0.9.4claws78

	* src/Makefile.am
		add missing files

2003-09-10 [melvin]	0.9.4claws77

	* po/fr.po
		Updated French translations

2003-09-10 [paul]	0.9.4claws76

	* po/es.po
	  po/sk.po
	  po/sr.po
	  	update Spanish, Slovak, and Serbian translations.
		submitted by Ricardo Mones Lastra, Andrej Kacian,
		and Urke MMI
		
	* AUTHORS
		add translation team section

2003-09-09 [christoph]	0.9.4claws75

	* src/folder.c
		free item->prefs in folder_item_destroy

2003-09-09 [alfons]	0.9.4claws74

	* src/folderview.c
		o proper check for root node sorting
		o remove unnecessary gtk_ctree_remove_node 

	(should fix bug #300, "crash while moving folder")	

2003-09-08 [christoph]	0.9.4claws73

	* src/folderview.c
		o fix double adding of IMAP FolderItems to GtkCTree
		o fix crash then mbox folder is removed

2003-09-08 [christoph]	0.9.4claws72

	* src/folder.c
	* src/folderview.c
	* src/mainwindow.c
		fix new folder notification

	* src/mbox_folder.c
		fix cache path

2003-09-08 [christoph]	0.9.4claws71

	* src/compose.c
		replace '\n' and '\r' before removing trailing spaces

	* src/folder.[ch]
	* src/folderview.c
		add information about new or removed items in folder tree change
		notification and use this in folderview to add and remove only
		the appected items and not refresh the whole tree

2003-09-07 [match]	0.9.4claws70

	* src/Makefile.am
	* src/addr_compl.c
	* src/addressbook.c
	* src/addressitem.h
	* src/addrindex.c
	* src/addritem.c
	* src/addritem.h
	* src/addrquery.c			** NEW **
	* src/addrquery.h
	* src/ldapquery.c
	* src/ldapserver.c
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/pixmaps/address_search.xpm	** NEW **
		re-introduce Lookup button for LDAP 'static' searches.

2003-09-07 [alfons]	0.9.4claws69
	
	* src/summaryview.c
		abandon setting usize for messageview because it gives layout problems
		with the quick search bar and the headerview; fixes assorted UI glitches:
		
		o bug #148, "Toggling of quick-search bar reduces index view area" 
		o bug #280, "Window resiizes for line length but does not revert"

2003-09-07 [christoph]	0.9.4claws68

	* src/compose.c
		o make sure we don't have any newlines in header values
		o check custom headers for spaces and newlines and ignore
		  malformed header names

2003-09-06 [christoph]	0.9.4claws67

	* src/folder.c
	* src/folderview.c
		invoke notification hook for folder tree changes after append
		and remove folder

	(closes Bug 294 Crash while moving folder with many subdirectories)

2003-09-06 [christoph]	0.9.4claws66

	* src/folder.c
		destroy folder's MsgCache if FolderItem is removed to make sure
		it is not saved when the FolderItem is destroyed

2003-09-06 [christoph]	0.9.4claws65

	* src/plugins/clamav/clamav_plugin.c
		fix copy & paste bug

2003-09-05 [christoph]	0.9.4claws64

	* src/folder.c
	* src/messageview.[ch]
	* src/procmsg.[ch]
	* src/summaryview.c
		extend MSGINFO_UPDATE_HOOK to send delete notifications. Used
		by MessageView to clear it when the message is deleted. Should
		work even if messages are deleted in MainWindow or by
		processing.

2003-09-05 [alfons]	0.9.4claws63

	* src/messageview.c
		deleting a message in a message view frees its msginfo, make 
		messageview_update_all() aware of that (should fix bug #293,
		"deleting message caused crash")

2003-09-05 [melvin]	0.9.4claws62

	* src/action.c
		Improve synchronous action exit code (fixes 
		a ~5 seconds delay after action exit on RedHat 9)

2003-09-04 [christoph]	0.9.4claws61

	* src/compose.c
	* src/rfc2015.c
	* src/common/utils.[ch]
		add util function to create mime boundary and use it
		in compose and gpg code

2003-09-04 [alfons]	0.9.4claws60

	* src/folder.c
		source folder item's GNode should already have been freed in 
		a previous call to src->folder->klass->remove_folder()
		(should fix bug #287, "crash when moving folders")

2003-09-03 [thorsten]	0.9.4claws59

	* src/plugins/spamassassin/spamassassin_gtk.c
		fix compile error

2003-09-03 [christoph]	0.9.4claws58

	* src/plugins/spamassassin/spamassassin.[ch]
	* src/plugins/spamassassin/spamassassin_gtk.c
		add timeout config option

2003-09-03 [paul]	0.9.4claws57

	* po/sk.po	** NEW FILE **
		add Slovak translation. Submitted by Andrej Kacian 
		<andrej@kacian.sk>

2003-09-03 [paul]	0.9.4claws56

	* src/plugins/clamav/clamav_plugin_gtk.c
		gui tweaks: replace a label with a tooltip, modify the
		text, use gtk_check_button_new(); instead of
		gtk_check_button_new_with_label("");

2003-09-02 [alfons]	0.9.4claws55

	* src/gtk/filesel.c
		remember last used dir when attaching multiple files (should fix
		bug #290, "Attach File does not remember directory")

2003-09-01 [paul]	0.9.4claws54

	* po/es.po
		updated by Ricardo Mones Lastra

2003-09-01 [alfons]	0.9.4claws53

	* src/gtk/gtkaspell.[ch]
		be pedantic and strict and use const gchar * instead of guchar *

2003-09-01 [alfons]	0.9.4claws52

	* src/mainwindow.c
	* src/summaryviewc.
		re-enable Save As when multiple messages are selected

2003-09-01 [paul]	0.9.4claws51

	* src/textview.c
		g_free(trimmed_uri);

2003-09-01 [paul]	0.9.4claws50

	* sync with 0.9.4cvs13
		see ChangeLog 2003-09-01

2003-09-01 [paul]	0.9.4claws49

	* src/textview.c
		trim uri before sending to the statusbar
		fixes Bug 275 'Clicking on long URL wrapped onto two lines
		in the message window causes main S-C window to enlarge 
		past screen edges'

2003-09-01 [paul]	0.9.4claws48

	* sync with 0.9.4cvs12
		see ChangeLog 2003-09-01

2003-08-30 [christoph]	0.9.4claws47

	* src/compose.c
	* src/folder_item_prefs.[ch]
	* src/prefs_folder_item.c
	* src/gtk/gtkaspell.[ch]
		commit per folder dictionary patch by
		Paul Evans <nerd@freeuk.com>

2003-08-30 [christoph]	0.9.4claws46

	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/spamassassin/spamassassin_gtk.glade
		reduce GUI clutter by placing hints into tooltips

2003-08-30 [paul]	0.9.4claws45

	* src/compose.c
		add 'Content-Disposition: inline' to a text/plain
	  	part when using PGP/MIME signing

2003-08-30 [paul]	0.9.4claws44

	* src/prefs_common.c
	  src/prefs_spelling.c
	  src/prefs_spelling.glade
	  	reduce GUI clutter by placing hints into tooltips

2003-08-29 [christoph]	0.9.4claws43

	* configure.ac
		fix bug found by Ivan Rayner <ivanr@sgi.com>

	* src/stock_pixmap.c
		change unecessary warning into a debug message

	* src/plugins/clamav/Makefile.am
		Fix error "-I$(CLAMAV_LIBS)"

2003-08-29 [christoph]	0.9.4claws42

	* intl/Makefile.in
	* src/Makefile.am
	* src/matcher.h
	* src/common/Makefile.am
	* src/common/passcrypt.c
		commit fixes and patches for some of the IRIX problems found by
		Ivan Rayner <ivanr@sgi.com>

2003-08-29 [paul]	0.9.4claws41

	* src/prefs_filtering.c
		add 'Top' and 'Bottom' buttons, based on changes in
		src/prefs_filter.c in 0.9.4cvs11.

2003-08-27 [christoph]	0.9.4claws40

	* src/folderview.c
		fix bug that the current summary settings were copied to the
		wrong folder item, when the folder item prefs are opened.
		Copying is not required because summary settings and
		folder_item_prefs do not contain the same settings

2003-08-27 [thorsten]	0.9.4claws39

	* src/imap.c
		fix compile error

2003-08-26 [paul]	0.9.4claws38

	* sync with 0.9.4cvs9
		see ChangeLog 2003-08-26

2003-08-25 [paul]	0.9.4claws37

	* sync with 0.9.4cvs8
		see ChangeLog 2003-08-25

2003-08-24 [christoph]	0.9.4claws36

	* src/prefs_filtering.c
		shouldn't remove items from a GSList while iterating over the
		list (makes cur invalid and cur->next not accessable)

	(closes Bug 272 i deleted an folder and some seconds later sylpheed
	 crashed)

2003-08-23 [christoph]	0.9.4claws35

	* src/news.c
		news folders should be scanned when opened

2003-08-22 [christoph]	0.9.4claws34

	* src/prefs_folder_item.c
		use macro to assign strings that always frees the old string

	* src/gtk/gtkaspell.[ch]
		add gtkaspell_set_dictionary_menu_active_item() to set active
		item in dictionary option menu

	* src/prefs_spelling.c
		use gtkaspell_set_dictionary_menu_active_item() to select
		dictionary

2003-08-21 [christoph]	0.9.4claws33

	* src/folder.[ch]
	* src/imap.c
	* src/mbox_folder.c
	* src/mh.c
	* src/news.c
		optimize folder system

	* src/gtk/gtkstext.c
		fix division by zero when font has 0 width for ' '

2003-08-21 [paul]	0.9.4claws32

	* sync with 0.9.4cvs7
		see ChangeLog 2003-08-20

2003-08-19 [paul]	0.9.4claws31

	* src/common/defs.h
		add the missing '/' to SYLDOC_MANUAL_HTML_INDEX and
		SYLDOC_FAQ_HTML_INDEX.
	* src/manual.c
		use LC_MESSAGES instead of LC_ALL to find the current
		language

	  fixes Bug #281 'in src/manual.c URL for manuals and FAQ wrong'.

2003-08-19 [paul]	0.9.4claws30

	* po/bg.po
		updated by George Danchev

2003-08-18 [luke]	0.9.4claws29
	* src/mimeview.[ch]
	* src/gtk/gtkvscrollbutton.[ch]
		o removed gtk_vscrollbutton_reset() (reasons: reduce 
		  dependencies; do it the GTK way; reduce code -14/+2 lines)
		o removed horizontal separator between icons

2003-08-17 [christoph]	0.9.4claws28

	* src/procmsg.c
		no subject threading when the subject has no reply prefix

2003-08-16 [christoph]	0.9.4claws27

	* src/mainwindow.c
		remember and restore window sizes and position when the main
		window is hidden or shown

	(closes Bug 274 Window size in 0.9.4claws18 not remembered when
	 minimised/reopened using trayicon)

2003-08-16 [paul]	0.9.4claws26

	* src/crash.c
		add #include "defs.h"

2003-08-16 [paul]	0.9.4claws25

	* src/plugins/clamav/clamav_plugin.c
		reword a debug_print
		
	* src/plugins/dillo_viewer/dillo_prefs.c
		cosmetic: change the labels' text, add tooltips, and
		left-align the hint

2003-08-15 [christoph]	0.9.4claws24

	* src/news.c
		complete last change (forgot some changes)

2003-08-15 [christoph]	0.9.4claws23

	* src/news.c
		o check number of messages and don't return a 0 message
		  when no messages are available
		o don't parse xref header anymore

	(closes Bug 203 I'm not getting any news)

2003-08-15 [paul]	0.9.4claws22

	* src/common/defs.h
	  src/crash.c
	  	update and define claws bugzilla location

2003-08-15 [paul]	0.9.4claws21

	* po/ru.po
		update submitted by Ruslan N. Balkin

2003-08-14 [christoph]	0.9.4claws20

	* src/procmsg.c
		fix search for oldest node in subject threading

2003-08-14 [christoph]	0.9.4claws19

	* src/procmsg.c
	* src/common/utils.h
		add possibility to check all nodes with the same subject for
		subject threading, not only the oldest node. Should not break
		threads anymore if the oldest node is thread_by_subject_max_age
		days older then parent, because it can now find a child of
		oldest node as new parent.

2003-08-11 [christoph]	0.9.4claws18

	* src/plugins/spamassassin/spamassassin.c
		run spam check in background process

2003-08-10 [alfons]	0.9.4claws17

	* src/summaryview.c
		make `Select All' sensitive too

2003-08-10 [christoph]	0.9.4claws16

	* src/imap.c
		add more checks in imap_close

2003-08-09 [alfons]	0.9.4claws15

	* src/prefs_spelling.c
		no spell checking UI if not requested

2003-08-09 [alfons]	0.9.4claws14

	* src/gtk/prefswindow.c
		make it compile

2003-08-09 [christoph]	0.9.4claws13

	* src/prefs_spelling.c
	* src/gtk/prefswindow.[ch]
	* src/plugins/clamav/clamav_plugin_gtk.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		sort prefs pages by heighest weight in tree

2003-08-09 [paul]	0.9.4claws12

	* sync with 0.9.4cvs6
		see ChangeLog 2003-08-07
		
	* AUTHORS
		add Leandro and Luke to claws-branch section

2003-08-09 [christoph]	0.9.4claws11

	* src/gtk/Makefile.am
	* src/gtk/colorsel.[ch]			** NEW **
		create a color selection dialog that can be used as a simple
		function call with it's own gtk main loop like filesel.[ch]

	* src/Makefile.am
	* src/main.c
	* src/prefs_common.c
	* src/prefs_spelling.[ch]		** NEW **
	* src/prefs_spelling.glade		** NEW **
	* src/gtk/gtkutils.[ch]
		move "Spell Checker" prefs to new prefs dialog

	* src/prefs_folder_item.c
		use new colorsel dialog

2003-08-08 [paul]	0.9.4claws10

	* src/inc.c
		clear the progress bar unconditionally

2003-08-08 [paul]	0.9.4claws9

	* sync with 0.9.4cvs4
		see ChangeLog 2003-07-31

2003-08-07 [christoph]	0.9.4claws8

	* configure.ac
		fix bug in image viewer plugin part

	* src/imap.c
		don't execute close command if the folder item is not selected

2003-08-07 [hoa]	0.9.4claws7

	* src/filtering.[ch]
	* src/matcher_parser.h
	* src/matcher_parser_parse.y
		can define several actions for each filtering rule
		can import old versions of filtering rules

	* src/prefs_filtering.c
		call to a new dialog box to define actions

	* src/prefs_filtering_action.[ch]
		dialog box to define actions for filtering rules

2003-08-06 [christoph]	0.9.4claws6

	* src/imap.c
		make sure source folder is selected when copying messages

2003-08-06 [christoph]	0.9.4claws5

	* sync with 0.9.4cvs2
		see ChangeLog 2003-07-29		

2003-08-05 [paul]	0.9.4claws4

	* sync with 0.9.4cvs3
		see ChangeLog 2003-07-30

2003-08-04 [match]	0.9.4claws3

	* po/POTFILES.in
		export of LDIF files.

2003-08-04 [match]	0.9.4claws2

	* src/ldif.[ch]
		support for export LDIF. documented.
	* src/importldif.[ch]
	* src/exportldif.[ch]
		add tooltips. documented.
	* src/exphtmldlg.[ch]
	* src/common/xmlprops.[ch]
		documented.
	* src/exportldif.[ch]			** NEW **
	* src/expldifdlg.[ch]			** NEW **
	* src/addressbook.[ch]
	* src/Makefile.am
		export of LDIF files.
		documented.

2003-08-04 [christoph]	0.9.4claws1

	* .cvsignore
	* Makefile.am
	* configure.ac
	* sylpheed-claws.pc.in			** NEW **
	* src/Makefile.am
	* src/common/Makefile.am
	* src/gtk/Makefile.am
		install sylpheed header files in $(pkgincludedir) and create a
		pkg-config file to allow building a plugin without the source
		package

2003-08-04 [paul]	0.9.4claws

	* version 0.9.4claws

2003-08-04 [paul]	0.9.3claws97

	* po/es.po
		update Spanish translation. Submitted by Ricardo
		Mones Lastra.

2003-08-03 [paul]	0.9.3claws96

	* po/hr.po
	  po/sr.po
	  	update Croatian and Serbian translations. Submitted by
		Dragan and Urke MMI respectively

2003-08-03 [alfons]	0.9.3claws95

	* src/summaryview.c
		mark flag has precedence over important flag - seems
		to have been changed in sync of 0.9.3claws45. this fixes
		a regression where messages that were scored as important
		don't show their mark flags. (using the same column for
		both importance as mark flags is the real problem
		ofcourse)

2003-08-03 [melvin]	0.9.3claws94

	* po/fr.po
		Updated French translations.

2003-08-03 [melvin]	0.9.3claws93

	* src/Makefile.am
		Fixed typo introduced after 0.9.3claws92 
		that prevented compilation
		Updated to use AM_CPPFLAGS and AM_YFLAGS instead of
		CPPFLAGS and YFLAGS to allow user setting these.
	* src/common/Makefile.am
	* src/gtk/Makefile.am
	* src/plugins/clamav/Makefile.am
	* src/plugins/demo/Makefile.am
	* src/plugins/dillo_viewer/Makefile.am
	* src/plugins/image_viewer/Makefile.am
	* src/plugins/mathml_viewer/Makefile.am
	* src/plugins/spamassassin/Makefile.am
	* src/plugins/trayicon/Makefile.am
	* src/plugins/trayicon/libeggtrayicon/Makefile.am
		Updated to use AM_CPPFLAGS and AM_YFLAGS instead of
		CPPFLAGS and YFLAGS to allow user setting these.

2003-08-02 [christoph]	0.9.3claws92

	* configure.ac
		o rearrange plugin tests
		o add test for clamav.h to ClamAV tests

2003-08-02 [luke]	0.9.3claws91

	* src/mimeview.c
		o fixed appearance of icon list when toggling back from the 
		  ctree
		o toggling of icons using the keyboard works correctly
		o fixed all other keyboard shortcuts to work when icons are
		  active
	
	* src/messageview.c
		o fixed bug 4 - focus lost when changing messageview view type

2003-08-02 [christoph]	0.9.3claws90

	* src/common/hooks.c
		fix crash when pointer stored in hash table could get invalid
		when a plugin is unloaded

2003-08-01 [christoph]	0.9.3claws89

	* configure.ac
		o try to build all plugins (except spamassassin) by default
		o don't build a plugin if a dependency check fails

	* src/common/hooks.c
		fix warning

2003-08-01 [match]	0.9.3claws88

	* src/importldif.c
		allow single click field selection. document code.

2003-08-01 [christoph]	0.9.3claws87

	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/clamav/clamav_plugin_gtk.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/image_viewer/plugin.c
	* src/plugins/mathml_viewer/mathml_viewer.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/trayicon.c
		add version check to all plugins

2003-08-01 [hoa]	0.9.3claws86

	* src/prefs_filtering.c
		fixed a cosmetic bug, during creation of dialog box,
		wrong widgets were shown after creation.

2003-08-01 [luke]	0.9.3claws85

	* src/mainwindow.c
		o fixed visibility of icons/mimeview after toggling separate
		  message/folder view (factored out some similar code too).


2003-07-31 [alfons]	0.9.3claws84

	* src/mimeview.c
		tweak icon box UI a bit more, now allowing right-clicks actions
		getting the relevant mime data too; should fix #250, "Can't save 
		attachments sometimes".

2003-07-30 [alfons]	0.9.3claws83

	* src/compose.c
		don't do auto-save-draft inside key press handler, but rather
		schedule it half of a second later; should fix #67, "autosave 
		make re-rediting message crazy"

2003-07-30 [christoph]	0.9.3claws82

	* src/plugins/trayicon/trayicon.c
		process pending events before unloading the plugin

	(closes Bug 196 Unloading Trayicon plugin crashes Sylpheed-Claws)

2003-07-30 [alfons]	0.9.3claws81

	* src/common/hooks.c
		parameter 2 of g_hook_destroy() should really be a hook id

2003-07-30 [alfons]	0.9.3claws80

	* src/common/plugin.c
		fix a possibly harmful function signature mismatch 
		for plugin_done

2003-07-30 [alfons]	0.9.3claws79

	* src/common/hooks[.ch]
		const correctness

2003-07-30 [darko]	0.9.3claws78

	* src/summaryview.c
		make it compile again

2003-07-30 [luke]	0.9.3claws77

	* src/crash.c
	* src/main.c
        	o added/moved signal handlers for SIGTERM (normal kill command) 
		  and SIGINT (ctl-c) to be used even without 
		  --enable-crash-dialog, fixing bug 166

	* src/summaryview.c
		o rewrote menu sensitivity code as per mainwindow.c, fixing 
		  bug 227

	* src/mainwindow.c
		o changed sensitivity condition for 'Next new' and 'Next 
		  unread', fixing bug 8

2003-07-29 [alfons]	0.9.3claws76

	* src/common/utils.[ch]
		add generate_msgid()
	* src/messageview.c
		save ack'ed RRR; fixes #205, "return receipt is not saved in
		sent folder".

2003-07-29 [alfons]	0.9.3claws75

	* src/messageview.c
		fix a memleak (claws-only)

2003-07-29 [alfons]	0.9.3claws74

	* src/mimeview.[ch]
	* src/gtk/gtkvscrollbutton.[ch]
		fix UI glitch where mime icon toolbox' scroll position is not 
		reset after switching to another message
		

2003-07-29 [paul]	0.9.3claws73

	* src/prefs_folder_item.c
		split the prefs into 2 separate pages

2003-07-29 [paul]	0.9.3claws72

	* src/compose.c
		prepend "\n\n" to a signature without a separator too

2003-07-29 [paul]	0.9.3claws71

	* src/compose.c
		fix bug where changing to an account without an auto-sig
		from an initial account without an auto-sig would insert 
		2 blank lines at the cursor point
		fix bug where changing to an account with an auto-sig
		from an initial account without an auto-sig would insert
		the sig at the cursor point

2003-07-29 [paul]	0.9.3claws70

	* src/folderview.c
		use the colour from the folder pref unless the folder
		has new messages

2003-07-29 [alfons]	0.9.3claws69

	* src/procmsg.[ch]
	* src/messageview.c
	* src/procheader.c
		rewrite return receipt request work a little bit (the former 
		implementation presumably depended too much on the UI setting
		flags). (we're losing the old pending flag.) 

2003-07-28 [christoph]	0.9.3claws68

	* src/folder.c
	* src/imap.c
	* src/mh.c
	* src/procmsg.[ch]
		fix copy to IMAP folder from other folder

2003-07-28 [christoph]	0.9.3claws67

	* src/procmsg.c
		fix sync of procmsg_get_message_file_list

2003-07-28 [christoph]	0.9.3claws66

	* sync with 0.9.3cvs14
		see ChangeLog 2003-07-18
	* sync with 0.9.3cvs17
		see ChangeLog 2003-07-23

	(closes Bug 234 segmentation fault after sending out mail via
	 smtp(auth))

2003-07-28 [paul]	0.9.3claws65

	* po/es.po
		update Spanish translation, submitted by Ricardo Mones
		Lastra

2003-07-28 [christoph]	0.9.3claws64

	* src/folder.[ch]
	* src/imap.c
	* src/mh.c
		return new message numbers as a GRelation instead of a GSList
		that has to be in the same order as the input list. A list
		would make it hard for IMAP to optimize oepration by sorting
		the input list. The returned list would have to be reordered
		to match the same order that input list has.

	* src/gtk/gtkaspell.c
		fix missing return value, could cause a crash when garbage is
		on the stack that is used as the expected return value

2003-07-28 [paul]	0.9.3claws63

	* sync with 0.9.4cvs1
		see ChangeLog 2003-07-28

2003-07-27 [alfons]	0.9.3claws62

	* src/mimeview.c
		tweak it more to make icon list act like a check button group

2003-07-27 [christoph]	0.9.3claws61

	* sync with 0.9.3cvs20
		see ChangeLog 2003-07-25

2003-07-27 [paul]	0.9.3claws60

	* src/procmsg.c
		re-commit changes from 0.9.3claws58 -
		accidently removed in 0.9.3claws59

2003-07-27 [paul]	0.9.3claws59

	* src/procmsg.[ch]
		a sync from 0.9.3cvs17
		see ChangeLog 2003-07-23

2003-07-27 [alfons]	0.9.3claws58

	* src/procmsg.c
		add missing header members to MsgInfo; fixes the problem of 
		not displaying X-Faces, as noticed by Ricardo Mones

2003-07-26 [christoph]	0.9.3claws57

	* sync with 0.9.3cvs18
		see ChangeLog 2003-07-24

2003-07-26 [christoph]	0.9.3claws56

	* sync with 0.9.3cvs17
		see ChangeLog 2003-07-23

2003-07-26 [christoph]	0.9.3claws55

	* src/folder.[ch]
	* src/imap.c
	* src/mbox_folder.c
	* src/mh.c
	* src/news.c
		add support for copy function that copy multiple messages
		(not implemented yet)

	* src/summaryview.c
		add missing return value

2003-07-26 [paul]	0.9.3claws54

	* tools/multiwebsearch.pl
		do whitespace substitution before passing the string
		to the browser. fixes bug with browsers that don't
		do whitespace conversion themselves.

2003-07-25 [christoph]	0.9.3claws53

	* src/folder.[ch]
	* src/imap.c
	* src/mh.c
		rewrite adding of multiple messages to a folder for
		claws' folder system

2003-07-25 [luke]	0.9.3claws52

	* src/mimeview.c
		o icon toggles set correctly on leaving ctree mimeview

2003-07-25 [paul]	0.9.3claws51

	* partial sync with 0.9.3cvs21 [src/main.c]
		see ChangeLog 2003-07-25

2003-07-24 [paul]	0.9.3claws50

	* tools/maildir2sylpheed.pl
		fix typo

2003-07-24 [paul]	0.9.3claws49

	* src/mimeview.c
		increase the gutter size of paned so that the panes
		can be resized
		
	* src/plugins/demo/demo.c
		squeeze in another typo fix

2003-07-24 [paul]	0.9.3claws48

	* src/plugins/demo/demo.c
	  src/prefs_account.c
	  	small changes to the English
		
	* src/pixmaps/mime_application_octect_stream.xpm	** REMOVED **
	  src/pixmaps/mime_application_octet_stream.xpm		** NEW FILE **
	  src/Makefile.am
	  src/stock_pixmap.c
	  	rename the misspelled icon

2003-07-23 [alfons]	0.9.3claws47

	* src/mimeview.c
		make icon list look like a list of toggles

2003-07-23 [luke]	0.9.3claws46

	* src/pixmaps/mimeview_gpg_expired.xpm
	* src/pixmaps/mimeview_gpg_failed.xpm
	* src/pixmaps/mimeview_gpg_passed.xpm
	* src/pixmaps/mimeview_text_html.xpm
	* src/pixmaps/mimeview_image.xpm
		o all icons the same size

	* src/mimeview.[ch]
		o mimeview ctree arranged vertically above the viewer
		o icons changed to buttons
		o can use keyboard to select an icon (Enter)
		o resize icon list to width of icons

	*  src/gtk/gtkvscrollbutton.c
		o sensitivity of buttons reacts to position

2003-07-23 [christoph]	0.9.3claws45

	* sync with 0.9.3cvs14 (incomplete)
		see ChangeLog 2003-07-17

2003-07-23 [alfons]	0.9.3claws44

	* src/folder.c
	* src/procmsg.h
		sync with my local tree to restore some claws-only things

2003-07-23 [paul]	0.9.3claws43

	* src/pixmaps/mime_gpg_expired.xpm	** NEW FILE **
	  src/pixmaps/mime_gpg_unknown.xpm	** NEW FILE **
	  src/Makefile.am
	  src/mimeview.c
	  src/procmime.h
	  src/rfc2015.c
	  src/stock_pixmap.[ch]
	  	indicate missing keys and expired sigs/keys
		in mime view column

2003-07-23 [paul]	0.9.3claws42

	* src/compose.c
		Redirect fixes: enable automatic account selection and
		do not append signature to message on changing account
		fixes Bug[s] #248

2003-07-23 [paul]	0.9.3claws41

	* sync with 0.9.3cvs16
		see ChangeLog 2003-07-23

2003-07-23 [alfons]	0.9.3claws40

	* src/inc.c
		give progress dialog a main window, and give it the first 
		one (presumably the only one). fixes bug #247, "segfault on 
		pop-before-smtp" 

2003-07-22 [alfons]	0.9.3claws39

	* src/summaryview.c
		shift-space scrolls up

2003-07-22 [paul]	0.9.3claws38

	* sync with 0.9.3cvs15
		see ChangeLog 2003-07-22

2003-07-20 [alfons]	0.9.3claws37

	* src/compose.c
		put menu inside #ifdef USE_ASPELL..#endif

2003-07-20 [christoph]	0.9.3claws36

	* src/procmsg.c
		fix wrong flags in MsgInfo returned by
		procmsg_msginfo_get_full_info()

	(closes Bug 221 Deleting messages from the Message View gives incorrect
	 new/unread message counts in the folder view)

	* src/plugins/spamassassin/spamassassin_gtk.c
		add gettext macro for prefs page title

2003-07-20 [paul]	0.9.3claws35

	* src/mimeview.c
		redraw icon list on signature check

2003-07-20 [christoph]	0.9.3claws34

	* src/Makefile.am
	* src/account.c
	* src/folder.[ch]
	* src/folder_item_prefs.[ch]		** NEW **
	* src/folderview.c
	* src/mainwindow.c
	* src/mh.c
	* src/prefs_gtk.c
	* src/prefs_scoring.c
	* src/summaryview.c
	* src/prefs_folder_item.[ch]
		o seperate FolderItemPrefs (formerly PrefsFolderItem) and the
		  Properties dialog
		o use prefswindow for folder properties

	* src/gtk/prefswindow.[ch]
		change implementation to use an invisible notebook instead
		of unparenting widgets

2003-07-20 [christoph]	0.9.3claws33

	* src/compose.h
	* src/folder.c
	* src/folderview.h
	* src/headerview.h
	* src/prefs_filtering.h
	* src/prefs_folder_item.[ch]
	* src/procmime.h
	* src/procmsg.h
	* src/summaryview.h
		clean up header mess
		(always use 1. typedefs, 2. #includes, 3. structures)

	* src/common/version.h.in
		add casts for constants

	* src/plugins/demo/demo.c
		fix typo

	* src/plugins/spamassassin/spamassassin.c
		remove unused variable

2003-07-20 [alfons]	0.9.3claws32

	* src/mimeview.c
		o make icon buttons respond on left click
		o minor cosmetic change

2003-07-19 [luke]	0.9.3claws31

	* src/mimeview.[ch]
	* src/gtk/gtkvscrollbutton.c
	* src/messageview.c
		o improved mimeview behaviour when selecting a new message
		o plus code cleanups to remove compile warnings


2003-07-19 [alfons]	0.9.3claws30

	* src/procmsg.c
	* src/compose.c
	* src/common/utils.[ch]
		subject_get_reply_prefix_length() <- subject_get_prefix_length()

2003-07-19 [alfons]	0.9.3claws29

	* src/prefs_folder_item.c
		reinit "legacy" tmp_prefs, so we don't free nor use invalid 
		string pointers

2003-07-19 [luke]	0.9.3claws28

	* src/messageview.c
	* src/mimeview.[ch]
	* src/procmime.h
	* src/rfc2015.c
	* src/stock_pixmap.[ch]
	* src/gtk/Makefile.am
	* src/Makefile.am
	* src/gtk/gtkvscrollbutton.[ch]  	** NEW **
	* src/pixmaps/mime_*.xpm         	** NEW **
		o mimeview rearrangement with a new icon shortcut bar

2003-07-19 [alfons]	0.9.3claws27

	* src/folderview.c
		o plug leaking nodes_to_recollapse
		o add folderview_recollapse_all_nodes() (not used yet)

2003-07-19 [alfons]	0.9.3claws26

	* src/compose.c
	* src/common/utils.c
		honour #240 "Better SUBJECT handling" by cleaning the prefix
		for both forwarding as replying

2003-07-18 [christoph]	0.9.3claws25

	* configure.ac
	* src/common/sylpheed.[ch]
	* src/common/version.h.in
		add version in numeric form to allow easy comparison

	* src/plugins/demo/demo.c
		add version check
		- sylpheed version > plugin version => never allowed, sylpheed
		  could contain unknown API changes
		- sylpheed version < minimum version required => don't load,
		  API required not available (if linking does not fail)

2003-07-18 [alfons]	0.9.3claws24
	
	* src/common/plugin.[ch]
		const correctness

2003-07-18 [christoph]	0.9.3claws23

	* src/common/hooks.c
		fix crash when hooks where unregisted

	* src/plugins/trayicon/trayicon.c
		unregister detroy signal before destroying the widget
		(still crashes when the plugin is unloaded)

2003-07-18 [alfons]	0.9.3claws22
	
	* src/folderview.c
		delay expanding folder tree during drags until timeout triggered
		(needs perhaps some tweaking, so testing is welcome)

2003-07-17 [alfons]	0.9.3claws21

	* src/folderview.c
		clean up cruft

2003-07-17 [christoph]	0.9.3claws20

	* src/common/session.c
		fix opening of SSL connections

	* src/plugins/image_viewer/Makefile.am
		add OPENSSL_CFLAGS (we should find a better solution to remove
		this dependencies if they are not required)

	* src/plugins/spamassassin/spamassassin.c
		remove setlocale workaround (fixed in libspamc)

	(closes Bug Bug 184 Entering non-ascii character deletes previous char
	 if spell checking enabled)

2003-07-17 [alfons]	0.9.3claws19

	* src/common/hooks.[ch]
	* src/plugins/clamav/clamav_plugin.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/trayicon/trayicon.c
		fix signedness muck 

2003-07-17 [alfons]	0.9.3claws18

	* src/procmime.c
		plug memleak

2003-07-17 [alfons]	0.9.3claws17

	* src/inc.c
		plug memleak

2003-07-17 [paul]	0.9.3claws16

	* src/common/defs.h
	  src/mainwindow.c
	  src/manual.[ch]
	  	add link to the Claws site's FAQ page, after the suggestion
		and patch by Fred Marton <Fred.Marton@uni-bayreuth.de>
		Move url strings to defs.h
		
	* src/mainwindow.c
		fix typo to prevent "unknown menu entry" warnings

2003-07-17 [alfons]	0.9.3claws15

	* src/folderview.[ch]
	* src/summaryview.[ch]
	* src/mimeview.[ch]
		plug DnD leaks 

2003-07-17 [paul]	0.9.3claws14

	* src/inc.c
		remove two instances of 'GTK_EVENTS_FLUSH' because
		they are unnecessary and probably cause a stack overflow

2003-07-16 [christoph]	0.9.3claws13

	* src/mimeview.[ch]
		use an invisible GTK notebook to switch between viewers
		instead of reparenting widgets

2003-07-16 [christoph]	0.9.3claws12

	* src/folder.c
		move folder_item_update_freeze() to correct place in
		folder_item_scan_full()

2003-07-16 [paul]	0.9.3claws11

	* sync with 0.9.3cvs12
		see ChangeLog 2003-07-14 and 2003-07-15

2003-07-16 [christoph]	0.9.3claws10

	* src/imap.[ch]
	* src/prefs_account.[ch]
		sync IMAP CRAM-MD5 authentication with sylpheed-main

2003-07-15 [alfons]	0.9.3claws9

	* src/main.c
		make --config-dir do something useful

2003-07-15 [alfons]	0.9.3claws8

	* src/procmsg.c
		o fix a bug where 'last' didn't really point to the last message
		  in the top level list of children, but to the last threaded
		  message. 
		
		o clean up and make it easier to sync

2003-07-15 [alfons]	0.9.3claws7

	* src/mainwindow.c
		make correct menu items sensitive	

2003-07-14 [alfons]	0.9.3claws6

	* src/procmsg.c
		tune the threader so it will not subject-thread any message
		without a subject prefix (this will not thread correctly if 
		a parent is delivered after their childs, but it looks 
		better right now)

2003-07-13 [christoph]	0.9.3claws5

	* src/mainwindow.c
		group "Add mailbox *..." menu items in submenu

2003-07-13 [alfons]	0.9.3claws4

	* src/summaryview.c
		correct summary_toggle_pressed() signature and make sure
		signal is not passed on

2003-07-13 [alfons]	0.9.3claws3

	* src/summaryview.c
		o for now don't pass on keys when they we're handled by 
		  ctree::key_press_event
		o clean up

2003-07-13 [alfons]	0.9.3claws2
	
	* src/main.c
		add command line option "--config-dir" to get the current 
		configuration dir

2003-07-12 [alfons]	0.9.3claws1

	* src/matcher.[ch]
	* src/matcher_parser_parse.y
	* src/prefs_filtering.c
	* src/filtering.c
		add "Lock" filter action to lock messages;

	* src/filtering.c	
		remove debug_print()	
	* src/prefs_filtering.c
		re-organize matcher part 9: 
		make action text entries easily extendible;
		merge widget selection for ACTION_MARK, ACTION_UNMARK, ACTION_LOCK,
		ACTION_UNLOCK, ACTION_MARK_AS_READ, ACTION_MARK_AS_UNREAD

2003-07-12 [paul]

	* tools/README
		update old information and add missing
		information

2003-07-12 [paul]	0.9.3claws

	* 0.9.3claws released
	
2003-07-12 [paul]	0.9.0claws103

	* src/Makefile.am
		add addrquery.h

2003-07-12 [melvin]	0.9.0claws102

	* src/messageview.c
		Fixed bug #215: Show MIME tab for single text/html messages. 
		
2003-07-12 [paul]	0.9.0claws101

	* man/sylpheed.1
		updated

2003-07-12 [paul]	0.9.0claws100

	* po/es.po
	  po/hr.po
	  po/pl.po
	  po/sr.po
	  	update Spanish, Croatian, Polish, Serbian translations.
		submitted by Ricardo Mones Lastra, Dragan, Witold
		Wladyslaw Wojciech Wilk, Urke MMI

2003-07-12 [melvin]	0.9.0claws99

	* po/fr.po
		Updated French translations.

2003-07-12 [paul]	0.9.0claws98

	* src/addressbook.c
		disable 'Lookup' button as it has no effect

2003-07-11 [alfons]	0.9.0claws97
	
	* src/summaryview.c
		summary_searchbar_pressed() should return TRUE to signal that
		event was handled. when returning void, the return value passed
		to GTK is actually random, but maybe FALSE, in which case the
		event is handled by parent
		
2003-07-10 [paul]	0.9.0claws96

	* ac/missing/gettext.m4
		update to version 0.12

2003-07-10 [paul]	0.9.0claws95

	* src/plugins/clamav/clamav_plugin.c
		fix bug where multipart/alternative messages
		would slip through without being scanned

2003-07-10 [christoph]	0.9.0claws94

	* src/folder.c
		correct check if folder supports removing when a message is
		moved. if not the message is only copied.

	(closes Bug 132 crash on startup in newsgroups folders)

2003-07-09 [alfons]	0.9.0claws93

	* configure.ac
	* src/common/defs.h
		--with-config-dir (default .sylpheed)

2003-07-09 [christoph]	0.9.0claws92

	* configure.ac
		use PKG_CHECK_MODULES to check for gtkmathview
		(version 0.4.2 now required)

2003-07-08 [melvin]	0.9.0claws91

	* src/action.c
		Implemented a progress bar that counts the number of completed
		tasks when the action runs more than one command.

2003-07-08 [alfons]	0.9.0claws90

	* src/procmsg.c
		if queued message has an invalid Message-Id, don't try to
		find message it refers to (fixes #209 "crash when processing 
		in folder")

2003-07-08 [paul]	0.9.0claws89

	* sync with 0.9.3cvs2
		see ChangeLog 2003-07-08

2003-07-08 [match]	0.9.0claws88

	* src/ldapctrl.c
		extend LDAP search for first/last name by parsing search term.

2003-07-08 [alfons]	0.9.0claws87

	* src/send_message.c
		fix bug #208 "Status message stuck when sending on POP3 account"

2003-07-07 [paul]	0.9.0claws86

	* po/hr.po
		new Croatian translation, submitted by
		Dragan <drleskov@inet.hr>

2003-07-07 [paul]	0.9.0claws85

	* sync with 0.9.3cvs1
		see ChangeLog 2003-07-07

2003-07-05 [christoph]	0.9.0claws84

	* src/Makefile.am
	* src/messageview.c
	* src/mimeview.[ch]
	* src/stock_pixmap.[ch]
	* src/pixmaps/messageview_text.xpm		** NEW **
		move mimeview tabs to the right side and use icons
		instead of text to save some space

	(patch by Luke Plant <lukeplant@softhome.net>)

2003-07-05 [christoph]	0.9.0claws83

	* src/inc.c
		add NULL pointer checks

	(patch by Luke Plant <lukeplant@softhome.net>)
	(closes Bug 204 0.9.0 quits on authentication error?!)

2003-07-05 [alfons]	0.9.0claws82

	* configure.ac
		take the clue in bug #202 "./configure script - 
		'if test' comparison failure" reported by John Kristoff. 

2003-07-04 [christoph]	0.9.0claws81

	* src/plugins/spamassassin/spamassassin.c
		set timeout for spam check

2003-07-04 [christoph]	0.9.0claws80

	* src/main.c
		destroy all FolderItems when shutting down to
		allow folders to clean up

2003-07-04 [melvin]	0.9.0claws79

	* src/gtk/gtkaspell.c
		Fixed bug #184 "Entering non-ascii character deletes
		previous char if spell checking enabled": this makes
		the spell checking in multibytes (e.g. UTF-8)locales work.
		(Patch by Luke Plant).
		
2003-07-04 [christoph]	0.9.0claws78

	* sync with 0.9.2cvs1
		see ChangeLog 2003-06-10

2003-07-04 [paul]	0.9.0claws77

	* sync with 0.9.3 release
		see ChangeLog 2003-07-04

2003-07-03 [christoph]	0.9.0claws76

	* src/folder.[ch]
	* src/imap.c
	* src/mbox_folder.c
	* src/mh.c
	* src/news.c
		move folder_item_get_path() stuff into a folder virtual function

	* src/procmsg.c
		use folder_item_fetch_msg() to get message and do not contruct
		the filename from path and number

2003-07-03 [paul]	0.9.0claws75

	* sync with 0.9.2cvs12
		see ChangeLog 2003-07-03

2003-07-02 [paul]	0.9.0claws74

	* src/messageview.c
		fix text-selection for replying

2003-07-02 [paul]	0.9.0claws73

	* sync with 0.9.2cvs11
		see ChangeLog 2003-07-02

2003-07-02 [paul]	0.9.0claws72

	* src/procmsg.c
		revert last commit because it breaks more
		than it fixes

2003-07-02 [paul]	0.9.0claws71

	* src/procmsg.c
		fix thread by subject/sort by date

2003-07-01 [paul]	0.9.0claws70

	* sync with 0.9.2cvs10
		see ChangeLog 2003-07-01

2003-06-30 [paul]	0.9.0claws69

	* sync with 0.9.2cvs9
		see ChangeLog 2003-06-30

2003-06-28 [match]	0.9.0claws68

	* src/addressbook.c
		fix null ptr.

2003-06-27 [paul]	0.9.0claws67

	* sync with 0.9.2cvs7
		see ChangeLog 2003-06-27

2003-06-26 [christoph]	0.9.0claws66

	* src/folder.c
		freeze folder updates while a folder is scanned

	(closes Bug 185 New message counter)

2003-06-26 [darko]	0.9.0claws65

	* src/ldapserver.c
		fix infinite loop when adding a new LDAP server

2003-06-26 [paul]	0.9.0claws64

	* sync with 0.9.2cvs6
		see ChangeLog 2003-06-26

2003-06-26 [paul]	0.9.0claws63

	* sync with 0.9.2cvs5
		see ChangeLog 2003-06-25 and 2003-06-26

2003-06-25 [match]	0.9.0claws62

	* src/addr_compl.c
		Fixed tab/backtab for dropped-down completion list to
		move next/previous field. (close bug 147)

2003-06-25 [christoph]	0.9.0claws61

	* src/addr_compl.[ch]
	* src/addrindex.[ch]
	* src/folderview.c
	* src/inc.c
	* src/news.c
	* src/summaryview.c
	* src/toolbar.c
		fix warnings

2003-06-25 [leandro]	0.9.0claws60

	* src/compose.c
		o cleanups
		o gray out "Message/Remove references" menu item if not
		  replying to a message

2003-06-24 [leandro]	0.9.0claws59

	* src/compose.[ch]
		o removed "Message/Create new thread" menu item
		o added "Message/Remove references" menu item
		  (it's off by default and will not check anymore
		   if the subject changed)

2003-06-23 [alfons]	0.9.0claws58

	* src/procmsg.c
		try better grouping messages threaded by subject based on their age.
		still not perfect - because the message tree is not sorted by date.  

2003-06-23 [thorsten]	0.9.0claws57

	* src/pop.[ch]
		added mail_receive_hook to allow modifications
		directly after retrieval (e.g. adding headers).

2003-06-23 [paul]	0.9.0claws56

	* src/sourcewindow.c
		 enable the use of Ctrl+A to select all text in
		 the sourcewindow
		 Patch submitted by Ivan Francolin Martinez
		 <ivanfm@users.sourceforge.net>

2003-06-22 [christoph]	0.9.0claws55

	* src/folder.[ch]
		o add notification hook for folder tree changes
		o invoke hooks after folder tree scanning

	* src/folderview.[ch]
		register hook for folder tree changes that
		updates the ctree

	(there are more places that should be updated, like add, remove 
	 or move folder)

	(closes Bug 164 Crash on rebuild folder tree)
	(closes Bug 190 Crash on 'rebuilding folder tree')

2003-06-21 [leandro]	0.9.0claws54

	* src/compose.[ch]
		create a new thread if subject changes
		(it's on by default, can be disabled in Message menu)

2003-06-21 [alfons]	0.9.0claws53

	* src/summaryview.c
		quiet little compiler

2003-06-21 [christoph]	0.9.0claws52

	update gettext stuff to version 0.12

2003-06-19 [alfons]	0.9.0claws51

	* src/common/log.c
	* src/common/plugin.c
		move defs.h before glib.h to prevent MIN/MAX redefs

2003-06-19 [alfons]

	* src/addressbook.c
		translatable

2003-06-19 [match]	0.9.0claws50

	* src/addressbook.[ch]
	* src/addrindex.[ch]
	* src/addr_compl.[ch]
	* src/editldap.[ch]
	* src/editldap_basedn.[ch]
	* src/addritem.[ch]
	* src/ldapquery.h
		re-implemented dynamic LDAP search. works without
		slowdown on display sender with addressbook
		option.
	* src/addrbook.c
		documented code.

2003-06-19 [paul]	0.9.0claws49

	* src/compose.c
		fix Bug #136 'Nonprovided quotation marks crash claws'
		patch submitted by Pawel Pêkala <c0rn@gazeta.pl>

2003-06-19 [alfons]	0.9.0claws48

	* src/prefs_common.[ch]
	* src/procmsg.c
		restrict threading by subject by checking thread for
		age (prefs_common.thread_by_subject_max_age)

2003-06-18 [christoph]	0.9.0claws47

	* src/imap.c
		fix memory leak in imap_cmd_fetch()

2003-06-18 [christoph]	0.9.0claws46

	* src/prefs_gtk.c
		fix memory leak in prefs_set_default() when used multiple
		times or after prefs have been read

2003-06-18 [christoph]	0.9.0claws45

	* src/common/plugin.c
		fix memory leak in plugin_unload()

2003-06-18 [christoph]	0.9.0claws44

	* src/imap.c
		fix memory leak in imap_cmd_ok()

2003-06-18 [christoph]	0.9.0claws43

	* src/folder.c
		stop messages that are downloaded from POP3 and added to
		an IMAP inbox from being filtered twice (first by POP3
		and again when IMAP folder is scaned to get the UID of
		the APPEND operation when no UIDPLUS is available)

2003-06-18 [alfons]

	* tools/Makefile.am
		phoenix <- firebird	

2003-06-18 [paul]

	* tools/launch_phoenix		** REMOVED **
	  tools/launch_firebird		** NEW **
	  	renamed and edited to reflect the browser's name change from
		'phoenix' to 'firebird'

2003-06-18 [paul]	0.9.0claws42

	* sync with 0.9.2cvs2
		see ChangeLog 2003-06-16

2003-06-17 [alfons]	0.9.0claws41

	* src/procmsg.c
		prevent threading problems when a node is an ancestor (parent / great parent),
		which mostly happens with circular references (thanks to Phillipe Gramoullé
		for finding an sample set of messages)

2003-06-16 [christoph]	0.9.0claws40

	* src/main.c
		don't popup main window on --receive or --receive-all

	* src/mainwindow.[ch]
	* src/plugins/trayicon/trayicon.c
		allow hiding of main window by clicking on the trayicon
		(doesn't work correctly in seperate window mode and may
		 cause unexpected GTK problems I couldn't find yet)

	* src/common/ssl.c
		remove incorrect warning

2003-06-15 [alfons]	0.9.0claws39

	* src/gtk/gtkstext.c
		don't output debug text;
		#ifdef out print_line() if not debugging (thanks to Martin Wicke
		for pointing this out);

2003-06-14 [alfons]	0.9.0claws38
	
	* src/messageview.c
		remove printf() and make one if..else comply with coding style

2003-06-14 [alfons]	0.9.0claws37

	* AUTHORS
		add Martin Wicke
	* src/action.c
	* src/messageview.[ch]
	* src/summaryview.c
		apply patch #754162 "Quoting messages filtered by actions" submitted
		by Martin Wicke, which allows quoting message body changed by an
		action (Thanks!).

2003-06-13 [alfons]	0.9.0claws36

	* src/utils.c
		add several other subject reply prefixes (suggested by Christoph and Ivan Martinez)
		use case insensitive regexp (suggested by Ivan Martinez)

2003-06-13 [christoph]	0.9.0claws35

	* configure.ac
	* src/plugins/trayicon/Makefile.am
	* src/plugins/trayicon/eggtrayicon.[ch]				** REMOVE **
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/libeggtrayicon/.cvsignore		** NEW **
	* src/plugins/trayicon/libeggtrayicon/Makefile.am		** NEW **
	* src/plugins/trayicon/libeggtrayicon/eggtrayicon.[ch]		** NEW **
	* src/plugins/trayicon/libeggtrayicon/gtk2-funcs.[ch]		** NEW **
	* src/plugins/trayicon/libeggtrayicon/gtkplugxembed.[ch]	** NEW **
	* src/plugins/trayicon/libeggtrayicon/xembed.h			** NEW **
		replace my own EggTrayIcon backport with the backport
		used by (l|x)mule and gabber.

2003-06-13 [alfons]	0.9.0claws34

	* AUTHORS
	* src/common/utils.c
		add Aw: to list of reply prefixes (thanks to Martin Zwickel)

2003-06-13 [alfons]	0.9.0claws33

	* src/compose.c
		clean up a little bit

2003-06-12 [alfons]	0.9.0claws32

	* src/compose.c
		const correctness fix

	* src/common/sylpheed.[ch]
		() -> (void)
		prevent redef MIN/MAX
		
	* src/common/utils.[ch]
		() -> (void)

2003-06-12 [melvin]	0.9.0claws31

	* src/compose.c
		Updated to take into accounts changes in GtkAspell.

2003-06-12 [alfons]	0.9.0claws30

	* src/compose.c
	* src/procmsg.c
	* src/common/utils.[ch]
		handle reply subject prefixes better (initial 
		suggestion by Robert Story adapted and enhanced 
		using regexps)

2003-06-12 [melvin]	0.9.0claws29

	* src/compose.c
		Use new gtkaspell_checkers_strerror() to get the speller's
		error message instead of accessing the (now private)
		checkers structure.
		Minor code clean up

	* src/main.c
		Use #ifdef instead of #if for USE_ASPELL
		Use the new spell checkers init/quit functions 

	* src/gtk/gtkaspell.c
		Use #ifdef instead of #if for USE_ASPELL
		Moved in the majority of GtkAspell structures that were
		exported before by gtkaspell.h
	
	* src/gtk/gktaspell.h
		Made gtkaspell.h contain only the necessary data to be
		publicized by moving many structures to gtkaspell.c.
		Enclosed all the declaration in a #ifdef USE_ASPELL #endif
		gtkaspell_checkers_new(): replaced by...
		gtkaspell_checkers_init(): new function for initialization
		gtkaspell_checkers_delete(): replaced by...
		gtkaspell_checkers_quit(): new function
		gtkaspell_checkers_strerror(): new function that returns
		the checker's last error message.
		
2003-06-11 [melvin]	0.9.0claws28

	* po/POTFILES.in
		Updated to take into account gtkaspell.c migration to
		./src/gtk/ (Thanks to Ricardo Mones Lastra for reporting it)

2003-06-10 [alfons]	0.9.0claws27

	* src/filtering.[ch]
	* src/folder.c
	* src/matcher.c
	* src/scoring.[ch]
		- try fixing bug #18 (any brave testers?)
		- add more robustness by refusing previously 
		  unchecked NULL pointers 

2003-06-10 [alfons]	0.9.0claws26

	* src/procmsg.c
		fix bug #176 by don't checking MsgInfos with a NULL msgid 

2003-06-09 [alfons]	0.9.0claws25

	* src/prefs_common.c
		fix bug #163 "Icon switching doesnt work properly" by 
		preventing early freeing of prefs_common.pixmap_theme_path.

2003-06-09 [christoph]	0.9.0claws24

	* src/gtk/gtkaspell.c
		revert Thorsten's fix and add forgotten g_strdup for
		aspell path (it should not be possible to alter the path a
		GtkASpell uses from outside)

2003-06-09 [thorsten]	0.9.0claws23

	* src/gtk/gtkaspell.c
		dont free prefs_common.aspell_path when closing compose

2003-06-08 [colin]	0.9.0claws22

	* src/plugins/spamassassin/spamassassin.c
		fix prefs types

2003-06-07 [christoph]	0.9.0claws21

	* src/Makefile.am
	* src/compose.c
	* src/gtkaspell.[ch]		** REMOVE **
	* src/gtk/Makefile.am
	* src/gtk/gtkaspell.[ch]	** NEW **
		o make gtkaspell independent from sylpheed's prefs
		o move gtkaspell.[ch] to gtk directory

2003-06-07 [christoph]	0.9.0claws20

	* src/Makefile.am
	* src/crash.c
	* src/export.c
	* src/filesel.[ch]		** REMOVE **
	* src/folder.c
	* src/main.[ch]
	* src/common/sylpheed.[ch]
	* src/gtk/Makefile.am
	* src/gtk/filesel.[ch]		** NEW **
	* src/gtk/pluginwindow.c
	* src/gtk/sslcertwindow.c
		move filesel.[ch] to gtk directory

2003-06-07 [alfons]	0.9.0claws19

	* src/filesel.c
		make (multi) file selection dialog work again (Claws-only)

2003-06-07 [thorsten]	0.9.0claws18

	* po/de.po
		fix typos

2003-06-07 [alfons]	0.9.0claws17

	* configure.ac
	* src/mimeview.c
		detect apache mishap in which case don't include fnmatch.h
		if regex.h is already included

2003-06-06 [christoph]	0.9.0claws16

	* configure.ac
	* src/mimeview.h
		add check for fnmatch.h and include it when available

	* src/mimeview.[ch]
		fix wrong case sensitivity of Content-Types

	* src/gtk/Makefile.am
		need the same include paths in gtk directory as in
		common directory because .h files in common can
		include files from these directories, when included
		in gtk's .h or .c files

2003-06-06 [alfons]	0.9.0claws15

	* src/mimeview.c
	* src/summaryview.c
		make it compile again because of regex.h / fnmatch.h 
		include problems (related to recent mime stuff, can
		someone check this?)

2003-06-06 [thorsten]	0.9.0claws14

	* src/folderview.c
		possible use of uninitialized pointer while dragging

2003-06-06 [paul]	0.9.0claws13

	* src/compose.c
		fix bug where the insert sig button would be effective
		only when auto_sig was set

2003-06-06 [paul]	0.9.0claws12

	* sync with 0.9.2 release

2003-06-02 [paul]	0.9.0claws11

	* sync with 0.9.1cvs1
		see ChangeLog 2003-06-02
		
	* po/de.po
		update by Jens

2003-06-01 [christoph]	0.9.0claws10

	* src/account.c
		don't use substring search to find accounts by email address

	(closes Bug 169 Overly loose matching of "From" address)

2003-05-31 [christoph]	0.9.0claws9

	* doc-src/rfc2683.txt
	* src/imap.c
		limit IMAP command length as recommended in RFC2683
		(message number lists will be split into multiple imap
		sets, the limit of 1000 octets is not a hard limit)

	(closes Bug 161 sylpheed-claws exits with segfault when logging
	 in to certain imap-servers)

2003-05-29 [alfons]	0.9.0claws8

	* src/toolbar.[ch]
		add print button (calling summary_print());
		fine tune setting tooltip text;
		(if someone needs other buttons, please take these 
		commits as a guide, instead of bothering us - also
		see 0.8.11claws150) 

2003-05-29 [darko]	0.9.0claws7

	* src/compose.c
		fix crash when word wrapping kicks in due to
		changed text by spell checker

2003-05-29 [paul]	0.9.0claws6

	* src/compose.c
		fix bug where changing account would insert
		sig even if auto_sig was FALSE
		
	* ChangeLog
	  ChangeLog.jp
	  INSTALL
	  	sync with 0.9.1 release

2003-05-28 [christoph]	0.9.0claws5

	* src/imap.c
		fix truncation of too long commands

	(closes Bug 167 IMAP hangs trying to get envelope
	 information in imap_get_uncached_messages)

2003-05-27 [paul]	0.9.0claws4

	* tools/Makefile.am
	  tools/maildir2sylpheed.pl	** NEW FILE **
		add kmail to sylpheed mailbox conversion script

2003-05-27 [paul]	0.9.0claws3

	* sync with 0.9.0cvs10
		see ChangeLog 2003-05-26

2003-05-26 [paul]	0.9.0claws2

	* sync with 0.9.0cvs9
		see ChangeLog 2003-05-26

2003-05-24 [paul]	0.9.0claws1

	* sync with 0.9.0cvs8
		see ChangeLog 2003-05-23

2003-05-24 [paul]	0.9.0claws

	* version 0.9.0claws released

2003-05-24 [paul]	0.8.11claws177

	* src/plugins/dillo-viewer/Makefile.am
	  src/plugins/traycon/Makefile.am
	  	add missing files
		
	* po/bg.po
	  po/en_GB.po
	  po/es.po
	  po/it.po
	  po/pt_BR.po
	  po/ru.po
	  po/sr.po
	  	update Bulgarian, British English, Spanish, Italian, 
		Brazilian Portuguese, Russian, and Serbian translations, 
		submitted by George Danchev, [me], Ricardo Mones Lastra,
		André Filipe de Assunção e Brito, Alessandro Maestri, 
		Ruslan N. Balkin, and Urke MMI

2003-05-23 [melvin]	0.8.11claws176

	* po/fr.po
		Updated French translations

2003-05-22 [paul]	0.8.11claws175

	* src/Makefile.am
	  src/addrbook.[ch]
	  src/addrcache.[ch]
	  src/addr_compl.[ch]
	  src/adressbook.[ch]
	  src/addrindex.[ch]
	  src/addritem.[ch]
	  src/editaddress.c
	  src/editgroup.c
	  src/editldap_basedn.c
	  src/editldap.c
	  src/jpilot.c
	  src/vcard.c
	  	revert to get ldap into it previous working state
		
	* po/zh_TW.Big5.po
		new Taiwanese translation,
		submitted by Tsu-Fan Cheng <tscheng@ic.sunysb.edu>

2003-05-22 [christoph]	0.8.11claws174

	* src/plugins/spamassassin/libspamc.[ch]
		sync libspamc with SpamAssaain release 2.55

2003-05-22 [paul]	0.8.11claws173

	* sync with 0.9.0cvs7
		see ChangeLog 2003-05-22
		
	* src/summaryview.c
		revert change in 0.8.11claws172: follow
		Hiroyuki's decision and that's the end of it.

2003-05-21 [paul]	0.8.11claws172

	* src/summaryview.c
		fix discrepency between open_unread_on_enter
		and always_show_msg

2003-05-21 [paul]	0.8.11claws171

	* sync with 0.9.0cvs6
		see ChangeLog 2003-05-21

2003-05-21 [paul]	0.8.11claws170

	* sync with 0.9.0cvs5
		see ChangeLog 2003-05-21

2003-05-20 [paul]	0.8.11claws169

	* sync with 0.9.0cvs4
		see ChangeLog 2003-05-20
		fixes bug #152, 'encoding of IMAP folders names'

2003-05-20 [paul]	0.8.11claws168

	* sync with 0.9.0cvs3
		see ChangeLog 2003-05-20
		
	* src/tools/convert_mbox.pl
		minor change in the comments, submitted by Fred Marton

2003-05-19 [paul]	0.8.11claws167

	* src/plugins/clamav/Makefile.am
	  configure.ac
	  	link clamav_lib to the plugin and not to the main program

2003-05-19 [christoph]

	* src/Makefile.am
		add -export-dynamic for linking

2003-05-19 [paul]	0.8.11claws166

	* sync with 0.9.0cvs1
		see ChangeLog 2003-05-19

2003-05-19 [paul]	0.8.11claws165

	* src/inc.c
		fix 'pop before smtp' timeout

2003-05-18 [alfons]	0.8.11claws164

	* src/prefs_matcher.c
		put "execute" action command line ("expression") in edit box

2003-05-18 [christoph]	0.8.11claws163

	* src/mimeview.[ch]
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/image_viewer/viewer.c
	* src/plugins/mathml_viewer/mathml_viewer.c
		let a viewer have a list of Content-Types

2003-05-18 [paul]	0.8.11claws162

	* src/prefs_filtering.c
		add 'Recipient' label for FORWARD, FORWARD_AS_ATTACHMENT,
		and REDIRECT actions

2003-05-17 [christoph]

	* README.claws
		o remove dynamic signatures that was syned with main
		o add infos about no longer "build in" image viewer
		o update bugtracker URL

2003-05-17 [christoph]	0.8.11claws161

	* src/folder.c
	* src/folderview.c
	* src/imap.c
		don't use imap_scan_folder anymore. Instead call folder_item_scan
		for every folder after rebuilding the folder tree.

	(closes Bug 19 imap_scan_folder() computes incorrectly number of new
	 messages)

2003-05-17 [christoph]	0.8.11claws160

	* src/imap.c
		don't use STATUS command on current folder to check for
		content changes. imap_cmd_ok() now tracks changes to
		folder and number of existing messages.

2003-05-17 [paul]	0.8.11claws159

	* src/plugins/clamav/clamav_plugin.c
		remove unnecessary debug_print

2003-05-16 [thorsten]	0.8.11claws158

	* src/plugins/demo.c
		included missing intl.h

2003-05-16 [paul]	0.8.11claws157

	* po/POTFILES.in
		remove non-existant entries
	
	* src/plugins/clamav/clamav_plugin.c
	  src/plugins/clamav/clamav_plugin_gtk.c
	  src/plugins/dillo_viewer/dillo_prefs.c
	  src/plugins/dillo_viewer/dillo_viewer.c
	  	gettextise

2003-05-16 [christoph]	0.8.11claws156

	* po/POTFILES.in
		include plugin .c files for translation until I
		find a better solution to have plugins have their
		own textdomain
	* src/plugins/demo/demo.c
	* src/plugins/image_viewer/plugin.c
	* src/plugins/mathml_viewer/mathml_viewer.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/trayicon.c
		add gettext macros for plugin name and description

2003-05-16 [paul]

	* sync with 0.9.0

2003-05-16 [paul]	0.8.11claws155

	* sync with lastest 0.9.0pre1
		see ChangeLog 2003-05-16

2003-05-15 [paul]	0.8.11claws154

	* sync with latest 0.9.0pre1
		see ChangeLog 2003-05-14 and 2003-05-15

2003-05-14 [christoph]	0.8.11claws153

	* src/plugins/image_viewer/viewer.c
	* src/plugins/image_viewer/viewer.glade		** NEW **
	* src/plugins/image_viewer/viewerprefs.c
		make it possible to disable the autoload function in the
		imageviewer again

2003-05-14 [christoph]	0.8.11claws152

	* src/folder.c
		fix folder update after adding a message

2003-05-13 [alfons]	0.8.11claws151

	* src/common/session.c
		remove debug traces
		
	* src/addrcache.[ch]
	* src/filtering.[ch]
	* src/folder.[c]
	* src/gtkaspell.[ch]
	* src/imap.[ch]
	* src/mbox_folder.[ch]
	* src/mh.[ch]
	* src/mimeview.h
	* src/msgcache.[ch]
	* src/news.[ch]
	* src/passphrase.[ch]
	* src/prefs_common.[ch]
	* src/prefs_gtk.[ch]
	* src/procmsg.c
	* src/scoring.[ch]
		be pedantic; (in prototypes () implies (int))

2003-05-13 [alfons]	0.8.11claws150

	* src/prefs_toolbar.[ch]
	* src/summaryview.[ch]
	* src/toolbar.[ch]
		change misleading text in toolbar prefs;
		add toolbar action for ignore thread (toggles ignore thread flag);
		clean up a little bit;

2003-05-12 [paul]

	* tools/convert_mbox.pl
		bug fixed by Fred Marton

2003-05-12 [paul]

	* sync with 0.9.0pre1

2003-05-09 [paul]	0.8.11claws149

	* sync with 0.8.11cvs43
		see ChangeLog 2003-05-09

2003-05-08 [christoph]	0.8.11claws148

	* src/imap.[ch]
		o use CAPABILIY as first command and check for PREAUTH
		  information in the response to it
		o rewrite all imap_cmd_* functions to use an IMAPSession
		  instead of a SockInfo as parameter
		o do STARTTLS after fetching and checking the server
		  capabilities

2003-05-08 [paul]	0.8.11claws147

	* tools/Makefile.am
	  tools/README
	  tools/convert_mbox.pl		** NEW FILE **
	  	add mbox conversion script. Submitted by 
		Fred Marton <Fred.Marton@uni-bayreuth.de>

2003-05-07 [christoph]

	* doc-src/glade.txt
	* src/gtk/pluginwindow.glade
	* src/plugins/image_viewer/viewerprefs.glade
	* src/plugins/spamassassin/spamassassin_gtk.glade
		add glade files for user interfaces and a description how
		to use glade to create the sylpheed code

2003-05-07 [paul]	0.8.11claws146

	* sync with 0.8.11cvs41
		see ChangeLog 2003-05-07

2003-05-06 [christoph]	0.8.11claws145

	* src/main.c
	* src/plugins/image_viewer/viewer.c
		fix usage of imlib in imageviewer plugin

	* src/gtk/prefswindow.c
		handle window close event correctly

2003-05-06 [paul]	0.8.11claws144

	* src/common/ssl.c
		fix typo introduced in sync

2003-05-06 [paul]	0.8.11claws143

	* sync with 0.8.11cvs39
		see ChangeLog 2003-05-06

2003-05-06 [paul]	0.8.11claws142

	* AUTHORS
	  po/cs.po
		updated Czech translation, submitted by 
		Radek Vybiral <Radek.Vybiral@vsb.cz>
		
	* src/plugins/clamav/clamav_plugin_gtk.c
		clean up

2003-05-03 [alfons]	0.8.11claws141

	* src/compose.[ch]
		make paste as quotation work even when the call to 
		text_inserted() was deferred (fixes bug #140 "Paste 
		as quotation does not work when using "external" 
		clipboard")

2003-05-03 [thorsten]	0.8.11claws140

	* src/addrquery.h
	  src/ldapquery.h
	  src/mainwindow.c
		removed C++ comments
	* src/addr_compl.c
		function with non-int retval/param used before
		implementation/declaration

2003-05-02 [paul]	0.8.11claws139

	* src/addr_compl.[ch]
	  src/addressbook.[ch]
	  src/addrindex.c
	  src/summaryview.c
	  	revert match's changes to (finally) remove the bug where
		opening a folder causes massive slowdown when using the 
		'Display sender using address book' option

2003-05-01 [melvin]	0.8.11claws138

	* src/plugins/dillo_viewer/dillo_prefs.[ch]
	* src/plugins/dillo_viewer/dillo_viewer.c
		Fixed bug where "Cancel" button from prefs issued
		warnings.
		Comply a little more to coding style

2003-05-01 [paul]	0.8.11claws137

	* sync with 0.8.11cvs38
		see ChangeLog 2003-05-01

2003-05-01 [paul]	0.8.11claws136

	* po/bg.po
		updated by George Danchev

2003-04-30 [christoph]	0.8.11claws135

	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/image_viewer/viewerprefs.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		remove gtk_widget_ref() calls for widgets in
		glade code

2003-04-30 [paul]	0.8.11claws134

	* src/addrindex.c
		ok, this time a better fix for the bug where opening folder
		has massive slowdown when using the 'Display sender using 
		address book' option

2003-04-30 [paul]	0.8.11claws133

	* src/addrindex.c
		revert the 'fix' of 0.8.11claws128 because it doesn't fix it
	
2003-04-30 [melvin]	0.8.11claws132

	New: Dillo plugin preferences (patch by Dimitar Haralanov)

	* src/plugins/dillo_viewer/dillo_prefs.[ch]	*** NEW ***
		Preferences for the dillo plugin
	* src/plugins/dillo_viewer/dillo_viewer.c
		Support for preferences
	* src/plugins/dillo_viewer/Makefile.am
		Added dillo_prefs.[ch]

2003-04-30 [alfons]	0.8.11claws131

	* src/common/plugin.[ch]
		see? this ANSI C'fication immediately gives us type
		checking for free.

2003-04-30 [alfons]	0.8.11claws130

	* src/common/plugin.[ch]
	* src/plugins/clamav/clamav_plugin.[ch]
	* src/plugins/clamav/clamav_plugin_gtk.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/image_viewer/plugin.c
	* src/plugins/image_viewer/viewer.[ch]
	* src/plugins/image_viewer/viewerprefs.[ch]
	* src/plugins/mathml_viewer/mathml_viewer.c
	* src/plugins/spamassassin/spamassassin.[ch]
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/trayicon.c
		clean up

2003-04-30 [alfons]	0.8.11claws129

	* src/common/utils.c
		make is_ascii_str() fail gracefully when NULL pointer
		is passed

2003-04-30 [paul]	0.8.11claws128

	* src/addrindex.c
		fix bug where opening folder has massive slowdown when
		using the 'Display sender using address book' option

2003-04-30 [paul]	0.8.11claws127

	* src/plugins/clamav/clamav_plugin.c
	  src/plugins/clamav/clamav_plugin_gtk.c
	  src/plugins/demo/demo.c
	  src/plugins/dillo_viewer/dillo_viewer.c
	  src/plugins/image_viewer/plugin.c
	  src/plugins/mathml_viewer/mathml_viewer.c
	  src/plugins/spamassassin/spamassassin.c
	  src/plugins/spamassassin/spamassassin_gtk.c
	  src/plugins/trayicon/trayicon.c
	  	get rid of eye-hurting function signatures

2003-04-30 [paul]	0.8.11claws126

	* src/plugins/trayicon/trayicon.c
		add description
		
	* src/mimeview.c
		be more descriptive

2003-04-30 [paul]	0.8.11claws125

	* configure.ac
		arrange the plugins in reverse alphabetical order
		
	* src/plugins/clamav/clamav_plugin.[ch]
	  src/plugins/clamav/clamav_plugin_gtk.c
	  	rename some params
		resize max_size window
		re-arrange the order of some gui elements
		improve descriptions
	
	* src/plugins/image_viewer/plugin.c
	  src/plugins/mathml_viewer/mathml_viewer.c
	  	add descriptions
		
	* src/plugins/spamassassin/spamassassin_gtk.c
		resize max_size window
		re-arrange the order of some gui elements
		
	* src/messageview.c
	  src/mimeview.c
	  	correct typos

2003-04-30 [alfons]	0.8.11claws124

	* src/imap.c
		fix a leak found while browsing Martin Kluge's 
		valgrind log (Claws only)

2003-04-29 [darko]	0.8.11claws123

	* src/gtk/gtkstext.h
		include wchar.h if it is available, fixes compilation
		on HP-UX systems

2003-04-29 [melvin]	0.8.11claws122

	* src/prefs_actions.c
		Improved help text of Actions' syntax

2003-04-28 [paul]	0.8.11claws121

	* src/action.c
		a better fix for the crash when performing an action
		on a mime part

2003-04-28 [paul]	0.8.11claws120

	* src/action.c
		fix crash when performing an action on a
		mime part

2003-04-28 [paul]	0.8.11claws119

	* sync with 0.8.11cvs36
		see ChangeLog 2003-04-28

2003-04-27 [paul]	0.8.11claws118

	* more sync with 0.8.11cvs35
		see ChangeLog 2003-04-25

2003-04-26 [christoph]	0.8.11claws117

	* src/folder.c
		fix remove virtual check

2003-04-26 [paul]	0.8.11claws116

	* src/messageview.c
		fix return-receipt, make it work again

2003-04-26 [paul]	0.8.11claws115

	* src/mimeview.c
		restore double-clicking of the [application/pgp-signature 
		(Select "Check signature" to check)] line in the message view,
		broken in recent sync

2003-04-26 [christoph]	0.8.11claws114

	* src/folder.c
		check if remove virtual really exists before
		calling the function

2003-04-25 [match]	0.8.11claws113

	* src/addrindex.c
	* src/addrbook.c
	* src/ldapquery.[ch]
	* src/ldapctrl.[ch]
		fix memleak.
	* src/ldapserver.[ch]
		fix memleak. fix segfault.
		plug a Claws memleak

2003-04-25 [alfons]	0.8.11claws112

	* src/folder.c
		plug a Claws memleak

2003-04-25 [alfons]	0.8.11claws111

	* src/common/session.c
		plug a memleak

2003-04-25 [paul]	0.8.11claws110

	* sync with 0.8.11cvs35
		see ChangeLog 2003-04-24 and 2003-04-25
		
	* src/gtk/pluginwindow.c
		correct another strange float value

2003-04-24 [christoph]	0.8.11claws109

	* src/folder.c
		freeze folder item updates when unsetting new flags

	* src/gtk/pluginwindow.c
		correct strange float value

2003-04-23 [paul]	0.8.11claws108

	* sync with 0.8.11cvs33
		see ChangeLog 2003-04-23

2003-04-22 [paul]	0.8.11claws107

	* src/Makefile.am
	  src/messageview.c
	  src/mimeview.c
	  src/pgptext.[ch]	** REMOVED **
	  	remove pgptext.[ch] as its not used any more

2003-04-22 [paul]	0.8.11claws106

	* sync with 0.8.11cvs31
		see ChangeLog 2003-04-21 and 2003-04-22

2003-04-21 [alfons]	0.8.11claws105

	* src/main.c
		No access to GTK structures if we're a spawned child
		(and clean up code a little bit...) Should fix #126.

2003-04-21 [melvin]	0.8.11claws104

	* src/plugins/dillo_viewer/README
		Improved slightly the text.

2003-04-21 [melvin]	0.8.11claws103

	* src/plugins/dillo_viewer/README *** NEW ***
		Added a README file for the Dillo plugin

2003-04-20 [paul]

	* tools/README
	  tools/outlook2sylpheed.pl
	  	updated and improved by Ricardo Mones Lastra

2003-04-18 [oliver]	0.8.11claws102

	* src/inc.c 
	* src/prefs_account.h
		remove Pop3SessionType (used by selective download)
	* src/prefs_toolbar.c
		enable set Default Toolbar button

2003-04-18 [paul]	0.8.11claws101

	* sync with 0.8.11cvs29
		see ChangeLog 2003-04-18

2003-04-17 [paul]	0.8.11claws100

	* src/prefs_common.[ch]
	  src/summaryview.c
	  	remove 'Open next message on deletion' option,
		as the same effect can now be achieved via the
		'Always open messages in summary when selected'
		option.

2003-04-17 [paul]	0.8.11claws99

	* sync with 0.8.11cvs28
		see ChangeLog 2003-04-17

2003-04-17 [christoph]	0.8.11claws98

	* ac/spamassassin.m4
	* src/plugins/spamassassin/libspamc.[ch]
	* src/plugins/spamassassin/utils.[ch]
		sync libspamc with SpamAssassin project

2003-04-17 [christoph]	0.8.11claws97

	* src/common/socket.h
	* src/gtk/sslcertwindow.h
		rename old USE_SSL to USE_OPENSSL

2003-04-17 [paul]	0.8.11claws96

	* src/prefs_common.h
		use gulong for P_COLOR so that it compiles/runs on
		64-bit systems. Patch submitted by James Noyes
		<jnoyes-claws@retrogeeks.com>
		
	* po/de.po
		updated by Jens

2003-04-17 [paul]	0.8.11claws95

	* sync with 0.8.11cvs27
		see ChangeLog 2003-04-16

2003-04-15 [paul]	0.8.11claws94

	* src/prefs_common.[ch]
		rearrange to stop the window getting too long:
			move Receive dialog stuff to Receive tab
			move Send dialog to Send tab
			remove Dialogs frame
		rename 'Open messages in summary with cursor keys' to
		'Always open messages in summary when selected', as its
		more appropriate

2003-04-15 [paul]	0.8.11claws93

	* src/prefs_common.[ch]
	  src/summaryview.c
	  	add new option '/Interface/Open next message on deletion'

2003-04-15 [paul]	0.8.11claws92

	* src/summaryview.[ch]
		add /Mark/Lock and /Mark/Unlock to the pop-up
		menu. Patch submitted by Ivan Francolin Martinez
		<ivanfm@users.sourceforge.net>

2003-04-15 [paul]	0.8.11claws91

	* sync with 0.8.11cvs24
		see ChangeLog 2003-04-15

2003-04-14 [jens]	0.8.11claws90

	* updated German translation and some corrections from
		Roland Bless <bless@tm.uka.de>

2003-04-14 [paul]	0.8.11claws89

	* sync with 0.8.11cvs22
		see ChangeLog 2003-04-14

2003-04-13 [paul]	0.8.11claws88

	* src/plugins/clamav/clamav_plugin.c
		fix memory leaks
		clean up

2003-04-12 [paul]	0.8.11claws87

	* src/plugins/clamav/clamav_plugin.c
		activate enable/disable archive scanning option
		
	* src/plugins/clamav/.cvsignore		** NEW FILE **

2003-04-12 [paul]	0.8.11claws86

	* src/plugins/Makefile.am
	  src/plugins/clamav/Makefile.am		** NEW FILE **
	  src/plugins/clamav/README 			** NEW FILE ** 
	  src/plugins/clamav/clamav_plugin.[ch]		** NEW FILES **
	  src/plugins/clamav/clamav_plugin_gtk.c	** NEW FILE **
	  	add Clam AntiVirus plugin

2003-04-12 [paul]	0.8.11claws85

	* sync with 0.8.11cvs21
		see ChangeLog 2003-04-11

2003-04-11 [paul]	0.8.11claws84

	* po/es.po
		update Spanish translation. Submitted by Ricardo
		Mones Lastra.

2003-04-10 [christoph]	0.8.11claws83

	* src/mbox.c
		fix typo that did not move unfiltered mails to destination
		folder

	(closes Bug 115 Sylpheed 0.8.11claws81 does not deliver mail correctly
	 when filtering from spool)

2003-04-10 [christoph]	0.8.11claws82

	* src/imap.c
		use BODY.PEEK instead of BODY in in message fetch operation
		to make sure the IMAP server does not set the \Seen flag for
		messages. Sylpheed does that later itself, when the message
		is opened in sylpheed

	(closes Bug 111 Claws destroys unread marks)

2003-04-09 [oliver]	0.8.11claws81
	
	* src/folder.c
		fix crash in folder_destroy
	* README.claws
		remove selective download

2003-04-09 [christoph]	0.8.11claws80

	* src/imap.c
		fix crash in imap_get_msginfo() when then fetched message
		is not found

	(closes Bug 110 Crash during mail composition)

2003-04-08 [christoph]	0.8.11claws79

	* src/folder.c
	* src/prefs_account.c
		Filter new messages that are found in an INBOX folder
		when 'Filter messages on receiving' is enabled in the
		Folder's AccountPrefs. This allows to use Sylpheed's
		filtering engine for IMAP folders where messages are
		added to the INBOX by a MTA

2003-04-08 [paul]	0.8.11claws78

	* src/procmsg.h
		clean up after last commit

2003-04-08 [paul]	0.8.11claws77

	* sync with 0.8.11cvs20
		see ChangeLog 2003-04-07 and 2003-04-08

2003-04-07 [christoph]	0.8.11claws76

	* src/filtering.[ch]
	* src/inc.[ch]
	* src/mbox.c
	* src/procmsg.[ch]
		add procmsg_msginfo_filter() to execute filtering actions

2003-04-06 [christoph]	0.8.11claws75

	* src/imap.c
		use IMAPSet for imap_cmd_store() and imap_cmd_envelope()

2003-04-06 [christoph]	0.8.11claws74

	* src/common/utils.[ch]
		add g_int_compare() function for slist sorting

	* src/imap.c
		fetch all MsgInfos with one command in imap_get_msginfos()
		using an imap set with a list of ranges

	* src/news.c
		use new g_int_compare() function

2003-04-06 [thorsten]	0.8.11claws73

	* src/mh.c
		corrected implementation of mh_folder_destroy()

2003-04-05 [christoph]	0.8.11claws72

	* src/account.c
	* src/folder.[ch]
	* src/folderview.c
	* src/imap.c
	* src/inc.c
	* src/main.c
	* src/mainwindow.c
	* src/mbox_folder.c
	* src/mh.c
	* src/mimeview.h
	* src/msgcache.[ch]
	* src/news.c
	* src/procmime.h
	* src/procmsg.[ch]
	* src/setup.c
	* src/gtk/gtkutils.c
		o rename structure field names class and new to klass and
		  new_msgs, to allow including files in C++
		o add 'extern "C"' block to some header files
		o add MsgInfoList and MsgNumberList as alias for GSList for
		  developers to know what type of list is expected

	* src/plugins/image_viewer/plugin.c
	* src/plugins/image_viewer/viewer.[ch]
	* src/plugins/image_viewer/viewerprefs.[ch]
		rename function names to prevent conflicts

2003-04-05 [paul]	0.8.11claws71

	* sync with 0.8.11cvs18
		see ChangeLog 2003-04-03 and 2003-04-04

2003-04-02 [christoph]	0.8.11claws70

	* src/folder.[ch]
	* src/imap.[ch]
	* src/mbox_folder.[ch]
	* src/mh.[ch]
	* src/news.[ch]
		o Make all virtual folder functions private
		o remove unused folder code

	* src/common/socket.[ch]
	* src/summaryview.c
		fix warnings

2003-03-30 [alfons]	0.8.11claws69

	* src/send_message.c
		remove two debug traces and see if people still report
		errors

2003-03-30 [alfons]	0.8.11claws68

	* src/send_message.c
	* src/commons/session.c
		add more debug traces

2003-03-30 [christoph]	0.8.11claws67

	* src/folder.c
		change processing folder name from .processing to processing

	* src/common/ssl.c
		disable SSL certificate check because it causes Xlib error
		when the child process want's to open an GTK window

2003-03-30 [christoph]	0.8.11claws66

	* src/folder.c
		don't use default folder for processing folder item because
		it can be a non local folder

	(fixes bug reported by Stephen Lewis <slewis@paradise.net.nz>)

2003-03-30 [alfons]	0.8.11claws65

	* src/send_message.c
		try fixing crashes when sending messages: my gcc 2.95.4 seems 
		to generate bad code for 'send_send_data_progressive': When
		called from 'send_send_data_finished', the 'data' pointer is
		cleared just before the assignment to the dialog pointer

2003-03-29 [christoph]	0.8.11claws64

	* src/common/prefs.h
	* src/plugins/image_viewer/Makefile.am
	* src/plugins/image_viewer/plugin.c
	* src/plugins/image_viewer/viewer.[ch]
	* src/plugins/image_viewer/viewerprefs.[ch]	** NEW **
		add PrefsPage for ImageViewer

2003-03-28 [thorsten]	0.8.11claws63

	* src/common/session.c
		added some comments

2003-03-28 [paul]	0.8.11claws62

	* sync with 0.8.11cvs16
		see ChangeLog 2003-03-28

2003-03-28 [paul]	0.8.11claws61

	* sync with 0.8.11cvs15
		see ChangeLog 2003-03-28

2003-03-27 [christoph]	0.8.11claws60

	* src/folder.c
	* src/imap.c
	* src/common/socket.[ch]
		set socket state to DISCONNECTED when any operation
		fails to allow reconnecting in IMAP code without
		checking the return code of all calls to the command
		functions

	* src/folderview.c
	* src/summaryview.c
		remove some more stuff that depends on specific
		folder types

2003-03-27 [paul]	0.8.11claws59

	* sync with 0.8.11cvs14
		see ChangeLog 2003-03-27
		
	* src/selective_download.[ch]	** REMOVED **
		really removed

2003-03-27 [christoph]	0.8.11claws58

	* src/folder.c
		fix handling of tmp_flags in flag copy function

2003-03-27 [paul]	0.8.11claws57

	* sync with 0.8.11cvs13
		see ChangeLog 2003-03-27

2003-03-27 [oliver]	0.8.11claws56

	* src/maiwindow.c
		remove sel_download_cb

2003-03-27 [oliver]	0.8.11claws55
	
	* src/inc.c
		remove POP3_TOP
	
2003-03-26 [oliver]	0.8.11claws54

	*src/pop.h
		remove POP3_TOP*
	* README.claws
		remove selective donwload readme

2003-03-26 [oliver]	0.8.11claws53
	* src/matcher.[ch]
	* src/matcher_parser_parse.y 
	* src/pop.c 
	* src/prefs_account.[ch]
	* src/prefs_filtering.c
		remove selective donwload

2003-03-26 [oliver]	0.8.11claws52

	* src/inc.[ch] 
	* src/filtering.c 
	* src/mainwindow.c 
		remove selective donwload

2003-03-26 [oliver]	0.8.11claws51
	
	* src/Makefile.am
	* src/selective_download.[ch]   ** REMOVE **	

2003-03-26 [christoph]	0.8.11claws50

	* src/news.c
		fix NEWS that got broken by a sync with sylpheed-main

2003-03-26 [christoph]	0.8.11claws49

	* src/mimeview.c
		fix mime type guessing when no mime type is found for a file

2003-03-25 [christoph]	0.8.11claws48

	* src/mimeview.c
	* src/procmime.c
		remove mime type guessing from mime parser and use
		name based mime types in viewer lookup for mime type
		application/octet-stream

2003-03-25 [christoph]	0.8.11claws47

	* doc-src/readme.txt
	* doc-src/rfc2554.txt
		add RFC about SMTP AUTH

	* src/send_message.c
	* src/common/smtp.[ch]
		add extra error code for authentication errors and
		clear temporary password when this error occurs

	(closes Bug 84 authentication failure while sending should
	 prompt for password again)

2003-03-25 [christoph]	0.8.11claws46

	* configure.ac
	* src/Makefile.am
	* src/imageview.[ch]				** REMOVE **
	* src/messageview.[ch]
	* src/mimeview.[ch]
	* src/prefs_common.[ch]
	* src/textview.c
	* src/plugins/Makefile.am
	* src/plugins/image_viewer/.cvsignore		** NEW **
	* src/plugins/image_viewer/Makefile.am		** NEW **
	* src/plugins/image_viewer/plugin.c		** NEW **
	* src/plugins/image_viewer/viewer.[ch]		** NEW **
		move image viewer into a plugin (building is enabled by default)
		[ToDo: Prefs for resize and autoview]

2003-03-25 [paul]	0.8.11claws45

	* sync with 0.8.11cvs12
		see ChangeLog 2003-03-26

2003-03-25 [paul]	0.8.11claws44

	* sync with 0.8.11cvs11
		see ChangeLog 2003-03-22, 2003-03-24 and 2003-03-25
		
	Note: Selective Download is broken.
		
2003-03-22 [christoph]	0.8.11claws43

	* src/folder.c
		code cleanup for flags copying

2003-03-22 [christoph]	0.8.11claws42

	* src/plugins/trayicon/trayicon.c
		fix setting the transparent area when the window size
		is forced by the system tray

2003-03-22 [christoph]	0.8.11claws41

	* src/plugins/trayicon/gnome-mail.xpm		** REMOVE **
	* src/plugins/trayicon/gnome-nomail.xpm		** REMOVE **
	* src/plugins/trayicon/newmail.xpm		** NEW **
	* src/plugins/trayicon/nomail.xpm		** NEW **
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/unreadmail.xpm		** NEW **
		o replace GBiff icons with KBiff icons resized to 16x16 pixel
		o add icon for unread mails
		o set transparency for window

2003-03-22 [christoph]	0.8.11claws40

	* src/news.c
		init news session to prevent crash when session is closed

2003-03-22 [christoph]	0.8.11claws39

	* src/imap.c
	* src/common/session.[ch]
		Init session data to make sure we don't have invalid pointers
		for read_ch and write_ch when new multi process sessions are
		not used

	* src/main.c
	* src/common/plugin.c
	* src/common/sylpheed.c
	* src/plugins/demo/demo.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/mathml_viewer/mathml_viewer.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		add plugin types to allow loading plugins at different times
		(and maybe for different frontends), because it's not good to
		load GTK-Plugins gefore gtk_init was called

	* configure.ac
	* src/plugins/Makefile.am
	* src/plugins/trayicon/.cvsignore		** NEW **
	* src/plugins/trayicon/Makefile.am		** NEW **
	* src/plugins/trayicon/eggtrayicon.c		** NEW **
	* src/plugins/trayicon/eggtrayicon.h		** NEW **
	* src/plugins/trayicon/gnome-mail.xpm		** NEW **
	* src/plugins/trayicon/gnome-nomail.xpm		** NEW **
	* src/plugins/trayicon/trayicon.c		** NEW **
		New Trayicon plugin that shows an icon in a systray that uses
		XEMBED protocol like Gnome's systray. Icon shows if there
		are new mails and a tooltip shows information about new,
		unread and total messages.

2003-03-22 [paul]	0.8.11claws38

	* src/common/smtp.c
		fix ESMTP AUTH CRAM-MD5
		[sync with main (still version 0.8.11cvs6), see
		 ChangeLog 2003-03-22]

2003-03-21 [colin]	0.8.11claws37

	* src/send_message.c
		Fix USE_SSL => USE_OPENSSL

2003-03-21 [colin]	0.8.11claws36

	* src/folderview.c
		Fix counts in drag and dropped subfolders

2003-03-21 [colin]	0.8.11claws35

	* src/folder.c 
	* src/folderview.c
		speed up a bit folder dnd

2003-03-20 [alfons]	0.8.11claws34

	* src/main.c
	* src/toolbar.c
	* src/procmsg.c
		don't send locked queue messages
		(feature request "[ 705245 ] Locking message in outbox 
		 should prevent sending")

2003-03-20 [christoph]	0.8.11claws33

	* src/folder.c
		remove NEW and UNREAD flag in special folders when scanning
		
	* src/common/smtp.c
		fix ESMTP AUTH CRAM-MD5

2003-03-20 [paul]	0.8.11claws32

	* src/prefs_account.c
		Re-write 'Tunnel command to open connection' as
		'Use command to communicate with server', and disable
		it for all except IMAP accounts

2003-03-20 [paul]	0.8.11claws31

	* sync with 0.8.11cvs6
		see ChangeLog 2003-03-20

2003-03-19 [match]	0.8.11claws30

	* src/addritem.[ch]
		include documentation. minor refactoring.
	* src/addr_compl.[ch]
	* src/addrindex.[ch]
	* src/addresbook.[ch]
	* src/summaryview.c
		re-enable address lookup (was disabled in
		0.8.11claws20).

2003-03-19 [christoph]	0.8.11claws29

	* src/procmsg.c
		add temp flag handling, will make moving and copying
		messages possible again

	* src/folder.c
		correct calulation of folder stats

2003-03-18 [match]	0.8.11claws28

	* src/editgroup.h
		remove case sensitive comparison (closes bug 80).

2003-03-18 [christoph]	0.8.11claws27

	* src/imap.c
		fix imap using a tunnel command

	(closes bug 87)

2003-03-18 [christoph]	0.8.11claws26

	* src/folder.[ch]
	* src/imap.c
	* src/procmsg.[ch]
		rewrite flag handling for folders

2003-03-18 [christoph]	0.8.11claws25

	* src/folder.c
	* src/procmsg.c
	* src/summaryview.c
		unset NEW and UNREAD flags when message is ignored, to make
		sure messages don't show up as unread on other IMAP clients,
		because the IGNORE_THREAD flag can not be syncronized through
		the IMAP folder

2003-03-17 [christoph]	0.8.11claws24

	* src/imap.c
		don't use recursion to fetch uids when the number of messages
		does not match. Moved code into subfunction that is used
		again when needed, to prevent an endless loop.

2003-03-17 [thorsten]	0.8.11claws23

	* src/imageview.[ch]
		export imageview_get_resized_size() (for plugins)
	* src/prefs_common.[ch]
		added prefs_common_get() (for plugins)

2003-03-17 [christoph]	0.8.11claws22

	* src/imap.c
		o remove UID guessing from copy code
		o support UIDPLUS extension for APPEND command

2003-03-17 [paul]	0.8.11claws21

	* src/gtk/about.c
		remove 'Compiled-plugins' section.
		
	* src/plugins/dillo_viewer/dillo_viewer.c
		slight change to description text

2003-03-16 [match]	0.8.11claws20
	* src/ldapserver.[ch]		** NEW **
	* src/ldapctrl.[ch]		** NEW **
	* src/ldapquery.[ch]		** NEW **
	* src/ldaputil.[ch]		** NEW **
	* src/addrcindex.[ch]		** NEW **
	* src/addrquery.h		** NEW **
	* src/addritem.[ch]
	* src/addrcache.[ch]
	* src/addrindex.[ch]
	* src/addr_compl.[ch]
	* src/addressbook.[ch]
	* src/addrbook.[ch]
	* src/editgroup.c
	* src/editaddress.c
	* src/editldap.c
	* src/editldap_basedn.c
	* src/vcard.c
	* src/jpilot.c
	* src/Makefile.am
		included dynamic LDAP queries. improved address
		completion.

2003-03-16 [paul]	0.8.11claws19

	* tools/multiwebsearch.pl
		fix a fatal typo

2003-03-16 [christoph]	0.8.11claws18

	* src/mimeview.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/mathml_viewer/mathml_viewer.c
		make unregistering of MimeViewerFactorys possible

2003-03-16 [alfons]	0.8.11claws17

	* configure.ac
		correct typo

2003-03-16 [melvin]	0.8.11claws16

	* src/plugins/dillo_viewer.c
		Fixed bug where it was not possible to view more than
		one text/html attachment per message (bug discovered
		by Christoph Hohmann).

2003-03-15 [melvin]	0.8.11claws15

	* src/prefs_actions.c
		Fixed compilation warnings.

2003-03-15 [melvin]	0.8.11claws14

	* src/plugins/Makefile.am
	* src/plugins/dillo_viewer/.cvsignore			** NEW **
	* src/plugins/dillo_viewer/Makefile.am			** NEW **
	* src/plugins/dillo_viewer/dillo_viewer.c		** NEW **
		Added a html mail viewer plugin that uses Dillo v0.7.0 or
		newer (http://dillo.auriga.wearlab.de/).

2003-03-15 [christoph]	0.8.11claws13

	* src/imap.c
		don't query imap folder for attributes because we already
		for them from imap_status

	* src/mimeview.[ch]
		add support for plugable MimeViewers (unloading Viewers
		not yet complete)

	* src/plugins/Makefile.am
	* src/plugins/mathml_viewer/.cvsignore		** NEW **
	* src/plugins/mathml_viewer/Makefile.am		** NEW **
	* src/plugins/mathml_viewer/mathml_viewer.c	** NEW **
		add MathML Viewer (Content-Type text/mathml) using GtkMathView
		widget from http://helm.cs.unibo.it/mml-widget/

2003-03-14 [christoph]	0.8.11claws12

	* src/folder.[ch]
		o error return code's should better be negative
		o replace printf with debug_print

	* src/imap.c
		improve IMAP folder scan by checking UID-NEXT

	* src/summaryview.c
		remove check that are unnecessary in my opinion

2003-03-13 [christoph]	0.8.11claws11

	* src/folder.[ch]
	* src/foldersel.c
	* src/folderview.c
	* src/imap.c
	* src/mbox_folder.c
	* src/mh.c
	* src/news.c
	* src/prefs_scoring.c
	* src/summaryview.c
		use a common function to get a displayable name
		for a FolderItem

2003-03-13 [paul]	0.8.11claws10

	* tools/Makefile.am
	  tools/README
	  tools/multiwebsearch.conf	** NEW FILE **
	  tools/multiwebsearch.pl	** NEW FILE **
	  	add multiwebsearch Actions script

2003-03-13 [colin]	0.8.11claws9

	* src/compose.c
		Remove leading emtpy lines from quoted text
		before quoting it

2003-03-13 [melvin]	0.8.11claws8

	* src/prefs_actions.c
		Fixed a memory leak
		Code clean ups
		Added Cancel and OK buttons
		Corrected help text

2003-03-13 [christoph]	0.8.11claws7

	* src/account.c
	* src/folder.[ch]
	* src/imap.c
	* src/mainwindow.c
	* src/mbox_folder.c
	* src/mh.c
	* src/news.c
	* src/setup.c
		replace more folder type stuff with folder class stuff

2003-03-13 [melvin]	0.8.11claws6

	* src/prefs_actions.c
		Added new tokens:
		%u: user provided argument
		%h: user provided argument (hidden on input)
		%s: current text selection in the message view 

2003-03-13 [paul]	0.8.11claws5

	* sync with 0.8.11cvs5
		see ChangeLog 2003-03-11, 2003-03-12

2003-03-12 [christoph]	0.8.11claws4

	* src/folder.c
		use folder class idstr when writing folderlist.xml

	* src/folder.h
	* src/imap.c
	* src/news.c
		replace folder type checks with folder class checks

2003-03-12 [christoph]	0.8.11claws3

	* src/folder.[ch]
	* src/imap.[ch]
	* src/main.c
	* src/mbox_folder.[ch]
	* src/mh.[ch]
	* src/news.[ch]
		o create a list of known folder classes in the folder system
		o use folder class id strings for folder item identifiers

2003-03-12 [christoph]	0.8.11claws2

	* src/imap.c
		fix imap uid validity check

2003-03-12 [christoph]	0.8.11claws1

	* src/account.c
	* src/folder.[ch]
	* src/foldersel.c
	* src/folderview.c
	* src/imap.c
	* src/mainwindow.c
	* src/mbox_folder.c
	* src/mh.c
	* src/news.c
	* src/prefs_scoring.c
	* src/procmsg.c
	* src/setup.c
	* src/summaryview.c
		initial restructuring of folder system, seperating
		folders and folder classes

2003-03-12 [paul]	0.8.11claws

	0.8.11claws release

2003-03-12 [christoph]

	* src/gtk/prefswindow.c
		fix translation of "Page Index"

2003-03-12 [paul]	0.8.10claws110

	a sync from 0.8.11cvs4 before the release

	* src/common/utils.c
		subject_compare_for_sort(): allow null strings (fixes
	  	summary sorting).

2003-03-11 [paul]	0.8.10claws109

	* po/es.po
		update Spanish translation, submitted by
		Ricardo Mones Lastra

2003-03-11 [melvin]	0.8.10claws108

	* po/fr.po
		Updated French translations

2003-03-11 [paul]	0.8.10claws107

	* manual/en/Makefile.am
	  manual/en/*.html
	  	update English manual, add a new page
		updated by Francois Barriere <fbarriere@atmel.fr>
		
	* po/bg.po
	  po/it.po
	  po/sr.po
	  	update Bulgarian, Italian, and Serbian translations
		submitted by George Danchev, Alessandro Maestri, and
		Urke MMI

2003-03-10 [paul]	0.8.10claws106

	* src/gtk/about.c
	  src/gtk/prefswindow.c
	  	make some strings translatable

2003-03-10 [darko]	0.8.10claws105

	* src/compose.c
		code cleanup to make Hiro happy

2003-03-10 [paul]	0.8.10claws104

	* sync with 0.8.11cvs2
		see ChangeLog 2003-03-10

2003-03-09 [melvin]	0.8.10claws103

	* src/textview.c
		textview_set_font(): fix for message display in
	  	UTF-8 locales (thanks to Sergey Vlasov).
		(was unintentionnaly reverted in 0.8.6claws6)	

2003-03-08 [darko]	0.8.10claws102

	* src/compose.c
		fix infinite loop in wrapping as reported
		by happycactus
		obsoletes patch #696482

2003-03-08 [christoph]	0.8.10claws101

	* src/imap.c
		add workaround for IMAP servers that do not
		support the "UID SEARCH UID" command

2003-03-07 [christoph]	0.8.10claws100

	* src/plugins/spamassassin/spamassassin.[ch]
	* src/plugins/spamassassin/spamassassin_gtk.c
		code cleanup

2003-03-07 [paul]	0.8.10claws99

	* po/es.po
		updated Spanish translation, submitted by
		Ricardo Mones Lastra

2003-03-07 [christoph]	0.8.10claws98

	* src/send.c
		fix in 0.8.10claws94 was wrong
		local delivery does not require escaping, remove escaping
		code to make signatures of mails with "." lines valid
		
		NOTE: requires that sendmail is executed with "-i" option,
		      what is the default now, but has to be changed in all
		      exsiting accounts)

2003-03-07 [paul]	0.8.10claws97

	* sync with 0.8.11 release
		see ChangeLog 2003-03-07

2003-03-06 [paul]	0.8.10claws96

	* src/compose.c
		revert commit 0.8.10claws92

2003-03-06 [paul]	0.8.10claws95

	* src/folderview.c
		fix (solaris) bug 73, 'Crash when selecting top-level folder'

	* src/gtkaspell.c
		fix bug 74, 'Crash opening editor window with pseudo-color
		display'
		
	Patches submitted by Kevin Vigor <kevin@vigor.nu>

2003-03-06 [christoph]	0.8.10claws94

	* src/send.c
		fix rfc2821 (4.5.2) violation in SMTP data sending,
		all lines starting with a period get an extra period
		inserted
		(found by Simon 'corecode' Schubert)

2003-03-06 [paul]	0.8.10claws93

	* src/folderview.c
		if configured font can't be loaded fall back to gtk
		default. (with thanks to Christoph)
		
		closes long-standing bug 15 'Crashes on startup'

2003-03-06 [paul]	0.8.10claws92

	* src/compose.c
		freeze text before autosave and thaw afterwards
		fixes bug 67 'autosave make re-rediting message crazy'

2003-03-06 [christoph]	0.8.10claws91

	* src/compose.c
		ignore address comment in dupe check for Cc-list

	(closes reopened bug 47 Replying to message strips name part of
	 e-mail addresses of Cc: lines)

2003-03-06 [paul]	0.8.10claws90

	* src/Makefile.am
		remove reference to gtkxtext.h as its no longer in
		the repository

2003-03-06 [paul]	0.8.10claws89

	* sync with 0.8.10cvs25
		see ChangeLog 2003-03-06

2003-03-06 [oliver]	0.8.10claws88
	
	* src/messageview.c
		remove include

2003-03-06 [oliver]	0.8.10claws87
	
	* src/folderview.c 
		remove changes introduced inclaws74
	* src/messageview.c
		another attempt to sanely delete and update
		messages deleted in separate messageview

2003-03-05 [christoph]	0.8.10claws86

	* src/summaryview.c
		check if "From" matches any account's address if
		addressbook completion of addresses is disabled too

	(closes Bug 70 "Display recipient in from" doesn't check
	 folder's default account)

2003-03-05 [christoph]	0.8.10claws85

	* src/compose.c
	* src/common/utils.[ch]
		don't strip address comments when building Cc lists

	(closes Bug 47 Replying to message strips name part of e-mail addresses
	 of Cc: lines)

	* src/folder.c
		fix return value of copy function

2003-03-05 [christoph]	0.8.10claws84

	* src/imap.c
		don't ask imap server for non rfc822 headers

	(closes bug 71 IMAP FETCH asks for FROM header field twice)

	* src/imap.c
		destroy session on socket error to allow reconnecting

2003-03-05 [christoph]	0.8.10claws83

	* configure.ac
		fix building with gnome when no prefix is set

	(closes bug 66 Gnome directory is set to NONE)

2003-03-05 [paul]	0.8.10claws82

	* sync with 0.8.10cvs23
		see ChangeLog 2003-03-05

2003-03-04 [christoph]	0.8.10claws81

	* src/folder.c
		o fix moving and copying when folder returns 0 for new
		  message number
		o remove some code for single message copy and move
		  operations and use functions for multiple messages

	(closes bug 63 Strange behaviour MOVING messages from MH to IMAP)

	* src/news.c
		remove unused include

2003-03-04 [paul]	0.8.10claws80

	* src/gtk/about.c
		list 'Compiled plugins'

2003-03-03 [christoph]	0.8.10claws79

	* src/news.[ch]
		have to multiply the percentage of the current fetch with
		the percentage that it has of the total fetch operation
		for correct values

2003-03-03 [christoph]	0.8.10claws78

	* src/news.c
		fix calculation of expected lines for progress indicator

2003-03-03 [christoph]	0.8.10claws77

	* src/summaryview.c
	* src/common/utils.c
		fix segfault when opening the root news folder

2003-03-03 [christoph]	0.8.10claws76

	* src/mainwindow.[ch]
	* src/common/Makefile.am
	* src/common/progressindicator.[ch]
		add UI independent progress indicator handling

	* src/news.[ch]
		use new progress indicator for message info fetching

	* src/common/hooks.h
		code cleanup

2003-03-03 [oliver]	0.8.10claws75

	* src/toolbar.c
	* src/compose.c
		removed commented code

2003-03-03 [oliver]	0.8.10claws74

	* src/toolbar.[ch]
		cleanups and refactoring
	* src/compose.[ch]
		compose_reply_mode reply & forwarding interface for
		toolbar buttons
	* src/folderview.c
		act on messages marked for deletion in folderview_selected
		based on prefs_common.immediate_exec since a message might 
		have been deleted by messageview in a folder we are changing 
		to (does anybody understand what I'm on about ?)

2003-03-03 [oliver]	0.8.10claws73
	
	* src/messageview.[ch]
		new functions
		- messageview_delete: delete message shown in messagview
		- messageview_update_view: update messageview to currently 
		  selected summaryview message
 		- add separate messageview to msgview_list in order to update 
		  toolbar to new toolbar style on the fly (TOOLBAR_NONE, TOOLBAR_ICON etc.)
	* src/summaryview.[ch]
		summary_get_selection returns a list of selected msgs
		in summaryview
	* src/mainwindow.c
		toolbar reply refactoring

2003-03-03 [paul]	0.8.10claws72

	* sync with 0.8.10cvs21
		see ChangeLog 2003-03-03

2003-03-02 [christoph]	0.8.10claws71

	* src/common/passcrypt.c
		use POSIX includes

2003-03-02 [christoph]	0.8.10claws70

	* configure.ac
	* src/prefs_account.c
	* src/prefs_gtk.[ch]
	* src/common/.cvsignore
	* src/common/Makefile.am
	* src/common/passcrypt.c		** NEW **
	* src/common/passcrypt.h.in		** NEW **
		Implement password encryption in config files
		using unix encrypt and setkey functions. The crypt
		key can be set as a configure parameter. Old
		passwords will be converted if they do not begin
		with '!'

2003-03-02 [paul]	0.8.10claws69

	* src/prefs_account.c
		fix compile error

2003-03-01 [thorsten]	0.8.10claws68

	* po/el.po
	  po/hr.po
	  po/it.po
	  po/nl.po
	  po/sr.po
	  po/sv.po
		corrected format strings
	* po/en_GB.po
		corrected headers
		(fix compile errors with GNU gettext-0.11.5)

2003-03-01 [oliver]	0.8.10claws67

	* src/summaryview.c
		menu callbacks call toolbar_menu_reply

2003-03-01 [oliver]	0.8.10claws66

	* src/mainwindow.c
	* src/messageview.c
		menu callbacks call toolbar_menu_reply
	* src/toolbar.[ch]
		callbacks from menu handled by toolbar_menu_reply

2003-03-01 [paul]	0.8.10claws65

	* src/addressbook.c
		revert commit 0.8.10claws54 - breaks editing of
		addressbook.
		
	* po/bg.po
		update Bulgarian translation, submitted by
		George Danchev

2003-02-28 [christoph]	0.8.10claws64

	* src/account.c
	* src/addressadd.c
	* src/compose.c
	* src/gtkaspell.c
	* src/gtkxtext.h		** REMOVE **
	* src/imap.c
	* src/matcher.[ch]
	* src/mh.c
	* src/news.c
	* src/pine.c
	* src/prefs_common.c
	* src/prefs_matcher.c
	* src/procheader.[ch]
	* src/procmsg.[ch]
	* src/toolbar.c
	* src/common/ssl_certificate.c
	* src/gtk/colorlabel.c
	* src/gtk/menu.c
		o fix warnings
		o remove code obsoleted by new cache and folder system rework

2003-02-28 [oliver]	0.8.10claws63
	
	* src/toolbar.[ch]
		* fix bug where reply in Messageview replied to 
	  	Message displayed in summaryview
		(reportedd via ML by chinatinte at gmx dot ch)
		* fix bug where toolbar popups (WITH_QUOTE, WITHOUT_QOUTE)
		didn't work in separate MessageView Toolbar
		(wondering if anybody uses this at all ?)
	* src/summaryview.[ch]
		use toolbar.c's toolbar_reply instead of summary_reply (removed)
		(generalize reply and forward code);
	* src/messageview.c 
		remove focus_in event which updated summaryview to messageview

2003-02-28 [paul]	0.8.10claws62

	* po/Makefile.in.in
		add the --check option
		Patch submitted by Ricardo Mones Lastra

2003-02-28 [paul]	0.8.10claws61

	* src/prefs_account.c
		re-order 'Signature' items

2003-02-28 [paul]	0.8.10claws60

	* sync with 0.8.10cvs20
		see ChangeLog 2003-02-28

2003-02-28 [paul]	0.8.10claws59

	* po/POTFILES.in
		update to reflect recent movement of files

2003-02-28 [paul]	0.8.10claws58

	* sync with 0.8.10cvs19
		see ChangeLog 2003-02-28

2003-02-27 [martin]	0.8.10claws57

	* src/prefs_matcher.c 
		fix segfault in prefs_matcher_ok() when the
		last entry is deleted and prevents that the
		message "entry not saved" comes up after deleting
		an entry

2003-02-27 [martin]	0.8.10claws56

	* src/prefs_filtering.c 
		fix segfault in prefs_filtering_ok() when the
		last entry is deleted and prevents that the
		message "entry not saved" comes up after deleting
		an entry

2003-02-27 [paul]	0.8.10claws55

	* sync with 0.8.10cvs18
		see ChangeLog 2003-02-27

2003-02-27 [paul]	0.8.10claws54

	* src/addressbook.c
		fix bug where the address book crashes with 
		multiple lookups.
		Patch [687729] submitted by David Frager 
		<dbfrager@users.sourceforge.net>

2003-02-25 [christoph]	0.8.10claws53

	* src/Makefile.am
	* src/colorlabel.[ch]		** REMOVE **
	* src/gtk/Makefile.am
	* src/gtk/colorlabel.[ch]	** NEW **
		move colorlabel files to gtk directory

	* src/esmtp.[ch]		** REMOVE **
		has been merged into smtp.[ch] in 0.7.5

2003-02-25 [christoph]	0.8.10claws52

	* src/Makefile.am
	* src/about.[ch]		** REMOVE **
	* src/gtk/Makefile.am
	* src/gtk/about.[ch]		** NEW **
		move about files to gtk directory

2003-02-25 [christoph]	0.8.10claws51

	* src/folder.c
		some code optimization of folder scanning code

	Patch submitted by Simon 'corecode' Schubert <corecode@corecode.ath.cx>	

2003-02-25 [christoph]	0.8.10claws50

	* src/main.c
	* src/common/sylpheed.c
		add command line parameter parsing to common code

2003-02-24 [christoph]

	* Makefile.am
	* configure.ac
		fix gnome prefix problems, the configure script now removed
		`gnome-config --prefix` from `gnome-config --datadir`
		and adds $(prefix} instead

	(closes Bug 24 Makefile does not respect prefix when installing
	 GNOME data)

2003-02-24 [christoph]	0.8.10claws49

	* src/news.c
		check for valid session before trying to authenticate

	(closes Bug 60 crash if "authenticate on logon" is activated
	 and newsserver-hostname is not valid)

2003-02-24 [melvin]	0.8.10claws48

	* src/prefs_actions.c
		Make sure all user's input is sent to the action and then
		close the socket..

2003-02-23 [alfons]	0.8.10claws46

	* src/summaryview.c
		also wait cursor when deleting files

2003-02-23 [paul]

	* tools/freshmeat_search.pl
	  tools/google_search.pl
	  	scripts should now work for any browser/browser command line

2003-02-22 [christoph]	0.8.10claws45

	* src/procmsg.c
		fix IMAP flag setting, IMAP flag is not handled correctly
		anymore by the folder system and information about the
		folder should not be saved in the MsgInfo (in my opinion)

	Patch submitted by Simon 'corecode' Schubert <corecode@corecode.ath.cx>

2003-02-22 [christoph]	0.8.10claws44

	* src/summaryview.c
		fix spelling of "label" ;-)

2003-02-22 [thorsten]	0.8.10claws43

	* src/mimeview.c
	  src/prefs_common.[ch]
	  src/procmime.[ch]
	  	do not use description as attachment name

2003-02-22 [alfons]	0.8.10claws42

	* src/summaryview.c
		freeze/thaw folder item updates when changing color labels,
		and put a wait cursors on

2003-02-22 [thorsten]	0.8.10claws41

	* src/mimeview.c
		save-all fixes: crash if invoked on multipart container,
		mimeinfo access, pathseparators, error dialog

2003-02-21 [alfons]	0.8.10claws40

	* src/prefs_gtk.c
		remove unused var

2003-02-21 [colin]	0.8.10claws39

	* src/send.c
		Fix smtp logging

2003-02-21 [colin]	0.8.10claws38

	* src/summaryview.c
		Freeze/thaw folderItem updates when filtering messages 
		via Tools/Filter messages

2003-02-21 [paul]	0.8.10claws37

	* src/compose.c
		revert commit 0.8.10claws26, there are ulterior motives
		for users to set a Reply-To header when posting to
		newsgroups

2003-02-21 [paul]	0.8.10claws36

	* sync with 0.8.10cvs17
		see ChangeLog 2003-02-21

2003-02-20 [christoph]	0.8.10claws35

	* src/imap.c
		IMAP UID fetch speedup using SEARCH

	Patch submitted by Simon 'corecode' Schubert <corecode@corecode.ath.cx>

	* src/imap.c
		fix problem with UIDs in IMAP UID cache that no longer existed

2003-02-20 [christoph]	0.8.10claws34

	* src/imap.c
	* src/procheader.c
	* src/procheader.h
		IMAP header fetch speedup (fetch only headers cached in MsgInfo)

	Patch submitted by Simon 'corecode' Schubert <corecode@corecode.ath.cx>

	* src/imap.c
		Rewrite imap_cmd_gen_recv use sock_getline instead
		of sock_gets to avoid problems with too long reply
		lines
    
2003-02-20 [colin]	0.8.10claws33
	
	* src/prefs_account.c
		Better wording

2003-02-20 [colin]	0.8.10claws32

	* src/compose.c
		Remove useless '&& !to_sender' 

2003-02-20 [darko]

	* AUTHORS
		change my e-mail address

2003-02-19 [colin]	0.8.10claws31

	* src/prefs_common.c
		X11 style colors for every configurable color

2003-02-19 [alfons]	0.8.10claws30

	* src/prefs_gtk.[ch]
	* src/prefs_common.c
		for color_new accept both plain integers and X11 style color
		names (as found in /usr/lib/X11/rgb.txt)

2003-02-19 [paul]	0.8.10claws29

	* src/mainwindow.c
		add tooltips to online/offline button and account selector
		button

2003-02-19 [paul]	0.8.10claws28

	* src/folder.c
	  src/news.c
	  src/prefs_account.[ch]
	  src/prefs_common.[ch]
	  	move 'Maximum number of articles to download' to
		account prefs.
		clean up account prefs gui a little by hiding entries
		rather then greying out entries

2003-02-19 [hiro]	0.8.10claws27

	* src/common/utils.c
		fix bug #54 'yesterdays date is displayed in the message 
		summary window'

2003-02-19 [paul]	0.8.10claws26

	* src/compose.c
		fix bug reported in Feature Request [688596] 
		'Reply-to header in news'

2003-02-18 [paul]	0.8.10claws25

	* src/select-keys.c
		add a 'List all keys' button to key selection dialog

2003-02-18 [colin]	0.8.10claws24
	
	* src/stock_pixmap.c
		fix compile error

2003-02-18 [colin]	0.8.10claws23

	* src/common/smtp.[ch]
	  src/prefs_account.c
		Try to starttls if it seems to be the only
		way to authenticate a user

2003-02-18 [paul]	0.8.10claws22

	* src/Makefile.am
	  src/folderview.c
	  src/stock_pixmap.[ch]
	  src/pixmaps/drafts_close.xpm	** NEW FILE **
	  src/pixmaps/drafts_open.xpm	** NEW FILE **
	  	as a Drafts folder is a special folder allow it to have
		its own unique icons

2003-02-18 [colin]	0.8.10claws21

	* src/imap.c
		Fix port selection when using starttls

2003-02-18 [paul]	0.8.10claws20

	* src/mainwindow.c
	  src/prefs_common.[ch]
	  	make blue the default new mail colour

2003-02-18 [paul]	0.8.10claws19

	* sync with 0.8.10cvs14
		see ChangeLog 2003-02-18

2003-02-17 [jens]       0.8.10claws18

        * src/common/md5.c
		fixed a compile problem with gcc 3.3
		works on 2.95.3 too (testet on PPC as it is big endian)

2003-02-17 [paul]	0.8.10claws17

	* sync with 0.8.10cvs13
		see ChangeLog 2003-02-17

2003-02-17 [paul]	0.8.10claws16

	* sync with 0.8.10cvs12
		see ChangeLog 2003-02-17

2003-02-16 [match]	0.8.10claws15

	* src/addressbook.c
		Eliminates reloading of address data when items
		deleted or added. Applied submitted by
		Luke Plant <lukeplant@softhome.net>

2003-02-16 [paul]	0.8.10claws14

	* src/news.c
		when a 'protocol error' is encountered disconnect from
		the server. This means that the user can carry on viewing
		other articles and doesn't have to either wait until the
		server timesout or quit sylpheed.
		Fixes bug #53 'Unable to read messages in newsgroups, 
		displayed message doesn't change'

2003-02-15 [christoph]	0.8.10claws13

	* src/imap.c
		fix bug that stopped scanning of folders when an
		IMAP folder was empty

	(closes bug 46 stop scan messages in folders after empty folder)

2003-02-15 [paul]

	* tools/Makefile.am
	  tools/README
	  tools/freshmeat_search.pl	** NEW FILE **
	  tools/google_search.pl	** NEW FILE **
	  	Add 2 Actions scripts which search freshmeat/google
		for the selected text using the browser configured
		in sylpheedrc.
		
	Note: These scripts are very dependent on the format of the
	browser command and may not work on every occasion. Testing
	is welcome. 

2003-02-14 [alfons]	0.8.10claws12

	* src/compose.c
		fix breakage because of uninitialized account pointer.
		please verify.

2003-02-14 [paul]	0.8.10claws11

	* src/compose.c
	  src/prefs_account.[ch]
	  src/prefs_common.[ch]
	  	move signature settings to Account Prefs

2003-02-14 [paul]	0.8.10claws10

	* sync with 0.8.10cvs11
		see ChangeLog 2003-02-14

2003-02-13 [thorsten]	0.8.10claws9

	* src/news.c
		revert news progressbar (GUI separation)

2003-02-13 [paul]	0.8.10claws8

	* src/compose.c
		make replies behave correctly, re: RFC 1036, Section 2.2.3,
		paragraph 1

2003-02-13 [paul]	0.8.10claws7

	* src/compose.[ch]
	  src/summaryview.c
	  	fix 'Follow-up and Reply-to' so that it creates a reply to
		the newsgroup and the sender. If the message has the keyword
		'poster' in the Followup-To header, all replies go to the
		sender, re: RFC 1036, Section 2.2.3
		rename all instances of 'ignore_replyto' to 'to_sender', both
		were previously used, now we use just one.

2003-02-13 [paul]	0.8.10claws6

	* sync with 0.8.10cvs9
		see ChangeLog 2003-02-13

2003-02-13 [paul]	0.8.10claws5

	* configure.ac
		show which plugins are configured in the configure
		output.

2003-02-12 [thorsten]	0.8.10claws4

	* src/news.c
		show progress while fetching news headers

2003-02-12 [christoph]	0.8.10claws3

	* configure.ac
	* src/plugins/Makefile.am
		use AM_CONDITIONAL to enable plugins, automake correctly
		manages this when creating distdir

2003-02-12 [christoph]	0.8.10claws2

	* ac/spamassassin.m4
	* src/plugins/spamassassin/Makefile.am
		fix building SpamAssassin plugin without OpenSSL

2003-02-12 [paul]	0.8.10claws1

	* ac/Makefile.am
	  src/Makefile.am
	  src/plugins/Makefile.am
	  	fix failure of 'make release'

2003-02-12 [paul]	0.8.10claws

	* 0.8.10claws released

2003-02-12 [paul]	0.8.9claws56

	* po/bg.po
	  po/es.po
	  po/it.po
	  po/ru.po
	  po/sr.po
	  	updated translations by George Danchev, Ricardo Mones Lastra,
		Alessandro Maestri, Ruslan N. Balkin and Urke MMI respectively
		
	* sylpheed.spec.in
		Allow the building of RPMs by a regular user. Submitted
		by Sergei Astanin

2003-02-11 [alfons]	0.8.9claws55

	* src/colorlabel.c
		don't use pixmaps for label color rect but draw rectangles
		so we can respect the color map of palette based visuals
		(fixes the long time crashes on Suns - thanks to Andreas
		Engel and Steve O'Hara-Smith for testing)

2003-02-11 [christoph]	0.8.9claws54

	* src/matcher_parser_parse.y
		correct bug where filering rules of not existing folders in
		matcherrc were added to global filtering
		
	(closes Debian Bug #180253 - Directory's filter-rules are merged with
	 main filter-rules after removing directory, http://bugs.debian.org/180253)
	
2003-02-11 [paul]	0.8.9claws53

	* sync with 0.8.10cvs7
		see ChangeLog 2003-02-09

2003-02-11 [melvin]	0.8.9claws52

	* po/fr.po
		Updated French tranlsations

2003-02-10 [paul]	0.8.9claws51

	* sylpheed.spec.in
		correct --enable-openssl
		Fix submitted by Sergei Astanin <asita@users.sourceforge.net>

2003-02-09 [martin]	0.8.9claws50

	* src/prefs_matcher.c
		fix segfault in prefs_matcher_substitute_cb() when
		no row is selected

2003-02-09 [paul]	0.8.9claws49

	* src/folderview.c
		fix bug where a newsgroup folder's processing rules were
		merged with the global filtering rules when the newsgroup
		folder was deleted, causing some seriously bad results,
		see <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=180253>

2003-02-08 [melvin]	0.8.9claws48

	* src/compose.c
		Corrected and modified an alert message.

2003-02-07 [paul]	0.8.9claws47

	* src/folderview.c
		fix bug where both an 'Account properties' window and a
		'Folder properties' window were opened when clicking on
		'Properties' in an NNTP or IMAP folder's popup menu.

2003-02-07 [paul]	0.8.9claws46

	* sync with 0.8.10cvs6
		see ChangeLog 2003-02-06

2003-02-06 [christoph]	0.8.9claws45

	* src/mbox.c
		freeze folder updates while importing mbox files
		(closes bug 43 importing mbox took hours)
		
	Patch submitted by Jens Rantil <jens.rantil@telia.com>

2003-02-06 [thorsten]	0.8.9claws44

	* po/de.po
		Updated german translations

2003-02-06 [thorsten]	0.8.9claws43

	* src/news.h
		use guint for message numbers (fix count in grouplist dialog)

2003-02-05 [paul]	0.8.9claws42

	* sync with 0.8.10cvs2
		see ChangeLog 2003-02-05

2003-02-04 [colin]	0.8.9claws41

	* src/prefs_common.[ch]
	  src/procmsg.c
	  src/summaryview.c
	  	Add an option to disable threading by subject

2003-02-04 [christoph]	0.8.9claws40

	* src/inc.c
		only abort fetching mails from multiple accounts when the
		error is fatal and does not allow to check any more accounts
		(currently only disk full error)

	(closes bug 31 after POP3 error: "no such mail" Sylpheed does not
	 receive mails for other accouts)

2003-02-04 [christoph]	0.8.9claws39

	* src/folder.c
		first add the new message to the cache, then
		send the update notification

	(closes bug 39 after sending message folderview doesnt get updated)

2003-02-04 [colin]	0.8.9claws38

	* src/inc.c
		_really_ fix this Connecting... status

2003-02-04 [paul]	0.8.9claws37

	* sync with 0.8.10
		see ChangeLog 2003-02-04

2003-02-04 [paul]	0.8.9claws36

	* sync with 0.8.9cvs6
		see ChangeLog 2003-02-03

2003-02-04 [paul]	0.8.9claws35

	* po/pt_BR.po
		updated by André Filipe de Assunção e Brito 
		<bedecko@netsite.com.br>

2003-02-03 [thorsten]	0.8.9claws34

	* po/de.po
		Updated german translations

2003-02-02 [paul]	0.8.9claws33

	* po/es.po
		updated by Ricardo Mones Lastra

2003-02-02 [thorsten]	0.8.9claws32

	* src/mh.c
		Fix mh_get_msginfo() segfault if file is inaccessible

2003-01-31 [colin]	0.8.9claws31

	* src/procheader.c
		Fix last commit's bug

2003-01-31 [colin]	0.8.9claws30

	* src/procheader.c
		Missing a change for gpg-signed messages

2003-01-31 [paul]	0.8.9claws29

	* src/pixmaps/gpg_signed.xpm	** NEW FILE **
	  src/procheader.c
	  src/stock_pixmap.[ch]
	  src/summaryview.c
	  	indicate GnuPG signed messages by displaying an icon
		in the Attachment column.

2003-01-31 [paul]	0.8.9claws28

	* sync with 0.8.9cvs4
		see ChangeLog 2003-01-31

2003-01-31 [alfons]	0.8.9claws27

	* src/textview.c
		tune URI parser to accept mailto URLs with a '?'
		(patch from Ruslan Balkin)

2003-01-31 [colin]	0.8.9claws26

	* src/summaryview.c
		Fix a leak introduced in claws24

2003-01-31 [colin]	0.8.9claws25

	* src/summaryview.c
		Freeze/Thaw folder updates when deleting dups

2003-01-31 [colin]	0.8.9claws24
	
	* src/addr_compl.c
	  src/summaryview.c
	  src/msgcache.c
	  	little speed improvements

2003-01-31 [colin]	0.8.9claws23

	* src/summaryview.c
		Fix segfault when forwarding nothing
		Patch from "Ruslan N. Balkin" <baron@voices.ru>
		
2003-01-30 [paul]	0.8.9claws22

	* sync with 0.8.9cvs3
		see ChangeLog 2003-01-30

2003-01-30 [paul]	0.8.9claws21

	* sync with 0.8.9cvs2
		see ChangeLog 2003-01-30

2003-01-29 [paul]	0.8.9claws20

	* sync with 0.8.9cvs1
		see ChangeLog 2003-01-29

2003-01-28 [paul]	0.8.9claws19

	* po/POTFILES.in
		update to reflect changes. 
		thanks to Ricardo Mones Lastra

2003-01-27 [christoph]	0.8.9claws18

	* ac/openssl.m4
	* ac/spamassassin.m4
	* src/plugins/spamassassin/README
	* src/plugins/spamassassin/libspamc.[ch]
	* src/plugins/spamassassin/utils.[ch]
		updated to latest libspamc

2003-01-27 [christoph]	0.8.9claws17

	* src/folder.c
		fix wrong use of procheader_get_header_fields

2003-01-27 [christoph]	0.8.9claws16

	* src/news.c
	* src/prefs_account.[ch]
	* src/common/nntp.[ch]
		allow to force authentication for NNTP servers

	Patch submitted by Florian Mickler <dmk@d-labs.de>

2003-01-26 [paul]	0.8.9claws15

	* src/summaryview.c
		speed up of marking messages as read
		patch submitted by Jens Rantil <ztyx@users.sourceforge.net>

2003-01-26 [christoph]	0.8.9claws14

	* src/Makefile.am
	* src/mgutils.[ch]		** REMOVE **
	* src/xml.[ch]			** REMOVE **
	* src/xmlprops.[ch]		** REMOVE **
	* src/common/Makefile.am
	* src/common/mgutils.[ch]	** NEW **
	* src/common/xml.[ch]		** NEW **
	* src/common/xmlprops.[ch]	** NEW **
		move xml files to common directory

2003-01-26 [christoph]	0.8.9claws13

	* src/plugins/spamassassin/spamassassin_gtk.c
		only set gtk entry text if string is available

2003-01-26 [melvin]	0.8.9claws12

	* src/description_window.c
		Allow resizing of the window
		Allow automatic horizontal scroll bar
		Do not vertically expand and fill

2003-01-26 [christoph]	0.8.9claws11

	* src/Makefile.am
	* src/gtkutils.[ch]		** REMOVE **
	* src/common/sylpheed.c
	* src/gtk/Makefile.am
	* src/gtk/description_window.c
	* src/gtk/gtkutils.[ch]		** NEW **
	* src/gtk/prefswindow.c
		move gtkutils to gtk directory

2003-01-26 [paul]	0.8.9claws10

	* src/summaryview.c
		rename summary_unread_clicked() to summary_status_clicked()

2003-01-26 [melvin]	0.8.9claws9

	* src/prefs_actions.c
		Cosmetical changes to the help text

2003-01-26 [paul]	0.8.9claws8

	* src/folder.[ch]
	  src/mainwindow.c
	  src/prefs_common.c
	  src/prefs_sumamry_column.c
	  summaryview.[ch]
	  	rename the 'Unread' column to 'Status'

2003-01-25 [match]	0.8.9claws7

	* src/mgutils.[ch]
		removed reference to LDAP constants. removed error2string.
		included functions to support LDAP dynamic queries.
	* src/syldap.h
		moved LDAP constants here.
	* src/addressbook.c
	* src/addrindex.c
	* src/importldif.c
		removed references to LDAP constants and references to
		error2string.

2003-01-25 [paul]	0.8.9claws6

	* src/summaryview.c
		summary_thread_build(), summary_thread_init(): remove 
		unneeded reference to summaryview->folder_item

2003-01-25 [christoph]	0.8.9claws5

	* src/gtk/description_window.c
		o allow description texts to expand over multiple columns
		o translate all columns
	* src/prefs_actions.c
		change syntax description to use new multi column feature

	Patch submitted by Ivan F. Martinez <ivanfm@users.sourceforge.net>

2003-01-25 [match]	0.8.9claws4

	* src/vcard.c
		fixed bug with Quoted-Printable

2003-01-25 [paul]	0.8.9claws3

	* src/folder.[ch]
	  src/summaryview.[ch]
	  	implement per-folder collapsed/expanded threads setting
		
	* src/prefs_common.c
		remove global collapsed/expanded threads option

2003-01-25 [christoph]	0.8.9claws2

	* po/POTFILES.in
		add pluginwindow and prefswindow
	* src/compose.c
		make send respond correctly to messages that could be added
		to the queue folder, but the UID of the message is unknown
	* src/folder.c
	* src/imap.c
		don't return guessed UIDs in imap_add_msg anymore. We return
		0 to tell the folder system it was appened but the UID is
		unknown. Folder system now get's the UID by scaning the folder
		and searching the cache for the Message-ID
		(closes bug #29 Messages queued, but not sent)

2003-01-25 [paul]	0.8.9claws1

	* src/codeconv.c
		conv_encode_header():  fix bug when long headers with 8-bit
		characters are used, so that the encoded words are wrapped.
		If the space in the original text falls on the wrap boundary,
		it can be lost.
		Patch by Sergey Vlasov.
		
	* src/folderview.c
		 fix bug where a change to the sorting method or thread view
		 of a folder's messages is lost if simpify-subject is set and
		 toggled on or off.
		 Patch by Luke Plant.

2003-01-24 [paul]	0.8.9claws

	* sylpheed-0.8.9claws released
	
	* Makefile.am
	  sylpheed.spec.in
	  	remove reference to 'INSTALL.jp'

2003-01-23 [paul]	0.8.8claws128

	* po/es.po
	  po/it.po
	  po/ru.po
	  po/sr.po
	  	updated translations. submitted by Ricardo Mones Lastra,
		Alessandro Maestri, Ruslan N. Balkin and Urke MMI respectively.

2003-01-23 [colin]	0.8.8claws127

	* src/compose.c
		Fix drafted and queued news articles re-edition

2003-01-23 [melvin]	0.8.8claws126

	* po/fr.po
		Updated French translations

2003-01-23 [colin]	0.8.8claws125

	* src/inc.c
		Fix "Connecting to..." status message

2003-01-22 [paul]	0.8.8claws124

	* po/bg.po
		updated by George Danchev
		
	* src/folder.c
		revert last commit [0.8.8claws111] as it breaks folder d'n'd
		and folder deletion

2003-01-21 [paul]	0.8.8claws123

	* po/bg.po
		updated by George Danchev
		
	* src/about.c
		its now 2003
		
	* src/toolbar.c
		don't translate 'Separator'
		
	* src/plugins/spamassassin/Makefile.am
		add aspell to CPPFLAGS
		
	* src/plugins/spamassassin/spamassassin.c
	  src/plugins/spamassassin/spamassassin_gtk.c
	  	set correct default for spamassassin_receive_spam
	  	slightly re-word descriptions and some
		other minor changes

2003-01-19 [alfons]	0.8.8claws122
		
	* src/mimeview.c
		mimeview_save_as(): we might as well show the file name for
		the single case "Save As" too

2003-01-19 [alfons]	0.8.8claws121

	* src/crash.c
		change bug tracker URL to bugzilla URL

2003-01-19 [alfons]	0.8.8claws120

	* src/mimeview.c
		mimeview_save_all(): display name of file before overwriting;
		continue saving all, even when one overwrite was cancelled

2003-01-19 [christoph]	0.8.8claws119

	* src/summaryview.c
	* src/procmsg.[ch]
		fix wrong usage of procmsg_find_children in summaryview
		by using procmsg_update_unread_children instead of
		summaryview_update_unread_children

2003-01-19 [christoph]	0.8.8claws118

	* src/procmsg.c
		fix infinite loop in procmsg_find_children
		 (closes bug #25 sylpheed crashes on delete.)

	Patch submitted by Ivan F. Martinez <ivanfm@users.sourceforge.net>

2003-01-19 [paul]	0.8.8claws117

	* po/pt_BR.po
		updated by Ivan Francolin Martinez

2003-01-18 [melvin]	0.8.8claws116

	* src/prefs_actions.c
		Removed syntax limitation of only one '&' at the end of command.
			Now actions that contain '>/dev/null 2>&1' are possible.

2003-01-18 [melvin]	0.8.8claws115

	* src/prefs_actions.c
		Actions IO dialog: when the action ends
		the "Close" button now has focus and [Escape] closes the
		window.

2003-01-18 [christoph]	0.8.8claws114

	* src/procmsg.c
		o add debug output when MsgInfos are really freed
		o free GSLists in procmsg_find_children and
		  procmsg_update_unread_children

2003-01-18 [christoph]	0.8.8claws113

	* src/mainwindow.c
		reorder Configuration menu

2003-01-18 [christoph]	0.8.8claws112

	* src/compose.c
		fix applying templates to forwarded messages

	Patch submitted by Ivan Francolin Martinez <ivanfm@users.sourceforge.net>

2003-01-17 [christoph]	0.8.8claws111

	* src/folder.c
		destroy folder items, when a folder item is removed

2003-01-17 [christoph]	0.8.8claws110

	* src/folder.c
		fix wrong folder stats update when ignored message is
		deleted

2003-01-17 [colin]	0.8.8claws109
	
	* src/mainwindow.c
	* src/summaryview.c
		Quicksearch bugfixes: 
		- hide help button at startup if not extended
		- switch to extended when looking for replies

2003-01-17 [paul]

	* sync with 0.8.9 release

2003-01-17 [paul]	0.8.8claws108

	* sync with 0.8.8cvs11
		see ChangeLog 2003-01-17

2003-01-16 [colin]	0.8.8claws107

	* src/procmsg.c
		Changed encryption test to re-ask passphrase
		if an encrypted message hasn't been decrypted
		Fixes bug #5

2003-01-16 [christoph]	0.8.8claws106

	* src/prefs_gtk.c
	* src/prefs_toolbar.c
	* src/gtk/prefswindow.h
	* src/plugins/spamassassin/spamassassin_gtk.c
		remove page destroy function that is not used anymore

2003-01-16 [paul]	0.8.8claws105

	* sync with 0.8.8cvs9
		see ChangeLog 2002-01-16

2003-01-16 [colin]	0.8.8claws104

	* src/compose.[ch]
		Fix bug with autosaved drafts for IMAP, when draft
		folder is specified - fixes bugzilla bug #20

2003-01-15 [paul]	0.8.8claws103

	* src/compose.[ch]
	  src/procmsg.c
		store folder and message-id of message forwarding
		in queue header and set forward flag after sending

2003-01-15 [paul]	0.8.8claws102

	* sync with 0.8.8cvs8
		see ChangeLog 2002-01-15

2003-01-15 [colin]	0.8.8claws101

	* src/Makefile.am
		Fix linking with GNU libiconv

2003-01-15 [darko]	0.8.8claws100

	* src/pine.c
		fix crash when importing pine address book
		entry with an empty name (reported by DY
		<dybulk at tri8.net>)

2003-01-14 [paul]	0.8.8claws99

	* configure.in	** REMOVED **
	  configure.ac	** NEW FILE **
	  	rename configure.in to configure.ac, as it is now
		preferred

2003-01-14 [melvin]	0.8.8claws98

	* src/folderview.c
		folderview_check_new(): More precise function description

2003-01-14 [melvin]	0.8.8claws97

	* src/folderview.c
		folderview_check_new(): return the number of new messages 
			since last check.
	* src/inc.c
		inc_account_mail(): Disable counting of new messages for IMAP
			and NNTP until bug [19] and [14] are fixed.

2003-01-14 [paul]	0.8.8claws96

	* sync with 0.8.8cvs6
		see ChangeLog 2003-01-14

2003-01-13 [alfons]	0.8.8claws95

	* src/textview.c
		tune email address validation (c. 0.8.8claws89): if . is 
		just one char away from @, the address is invalid too 
		(correctly rejects addresses like foo@.com)

2003-01-13 [paul]	0.8.8claws94

	* src/messageview.c
	  src/toolbar.c
	  	fixes to the Message View toolbar and menu:
		fix non-functioning Forward button
		make Reply button consider default_reply_list
		remove 'Follow-up...' menu entry
		add 'Forward' and 'Redirect' menu entries

2003-01-13 [melvin]	0.8.8claws93

	* src/inc.c
		Fixed typo that could make new messages count incorrect.

2003-01-13 [melvin]	0.8.8claws92

	* src/folderview.[ch]
		folderview_check_new(): return the number of new messages.
	* src/inc.c
		Should fix bug [14] where new mail notification worked 
			incorrectly with IMAP accounts.
		inc_spool_account(): return number of new msgs, or -1 on error
		inc_all_spool(): return number of new msgs
		
2003-01-13 [melvin]	0.8.8claws91

	* src/prefs_actions.c
		Justify help text.

2003-01-12 [thorsten]	0.8.8claws90

	* src/common/prefs.c
		close file before rename

2003-01-12 [alfons]	0.8.8claws89

	* AUTHORS
		add Christian Mertes
	* src/common/utils.[ch]
		g_stricase_hash(), g_stricase_equal(): functions for 
		case insensitive hash tables
	* src/textview.c
		use top level domain names to validate email address, based
		on a patch by Christian Mertes (thanks!), but changed 
		implementation to use a hash table 

2003-01-12 [paul]	0.8.8claws88

	* po/bg.po
		updated by George Danchev

2003-01-12 [alfons]	0.8.8claws87

	* src/summaryview.c
		delete / execute performance: use new style folder update

2003-01-12 [paul]	0.8.8claws86

	* sync with 0.8.8cvs5
		see ChangeLog 2003-01-13 (!)

